create or replace package "TEST_APP" as
function get_rating(p_person_no in number, p_test_no in number) 
   return varchar;
   
function get_lifo_short_rating_desc(p_person_no in number, p_test_no in number)
   return varchar;
   
function get_lifo_long_rating_desc(p_person_no in number, p_test_no in number)
         return varchar ;

end "TEST_APP";
/
create or replace PACKAGE BODY TEST_APP as
    function get_rating(p_person_no in number, p_test_no in number) 
       return varchar is
    
       v_results  varchar2(250);
       v_count    number;
    
       cursor results_cur is
         select rating, count(*) counter
          from ratings_criteria rc, 
               (select q.test_no, p.person_no, person_name, 
                       category, count(*) the_count
                  from person p, questions q, 
                       answers a, results r
                 where q.test_no     = p_test_no
                   and p.person_no   = p_person_no
                   and q.question_no = a.question_no
                   and r.person_no   = p.person_no
                   and r.question_no = q.question_no
                   and r.choice      = a.choice_letter
                 group by q.test_no, p.person_no, 
                       person_name, category) q
         where rc.test     = q.test_no
           and rc.category = q.category
           and q.the_count 
               between rc.low_range_count 
                   and rc.high_range_count
         group by rating
         order by counter desc;
    
       cursor results_cur62 is
         select q.category, rating
          from ratings_criteria rc, 
               (select q.test_no, p.person_no, person_name, category, 
               sum(decode (a.choice_letter,'A',3,'B',2,'C',1)) the_count
                  from person p, questions q, 
                       answers a, results r
                 where q.test_no     = p_test_no
                   and p.person_no   = p_person_no
                   and q.question_no = a.question_no
                   and r.person_no   = p.person_no
                   and r.question_no = q.question_no
                   and r.choice      = a.choice_letter
                 group by q.test_no, p.person_no, 
                       person_name, category) q
         where rc.test     = q.test_no
           and rc.category = q.category
           and q.the_count 
               between rc.low_range_count 
                   and rc.high_range_count
        order by q.category;
      
      
      cursor results_cur82 is
        select category, sum(rank) the_sum
         from lifo_results lr, answers a, questions q
        where person_no = p_person_no
          and test_no = 82
          and q.question_no = a.question_no
          and a.question_no = lr.question_no
          and a.choice_letter = lr.choice
           group by category
        order by substr(category,3) desc, category;
    begin
       if p_test_no = 62 then
          v_results := null;
          for it in results_cur62 loop
             v_results := v_results || it.rating;
          end loop;
       elsif p_test_no = 82 then
          v_results := 'N/A';
          
       else     
          open  results_cur;
          fetch results_cur
           into v_results, v_count;
          close results_cur;
       end if;
       return v_results;
       end get_rating;
      
   
   
   function get_lifo_short_rating_desc(p_person_no in number, p_test_no in number)
      return varchar is
     
     cursor data_cur(p_person_no in number, p_test_no in number) is
        select decode(category, 
               'AD_FAV','Favorable Conditions: Adapting Dealing - '||the_sum,
            'CH_FAV','; Conserving Holding - '||the_sum,
            'CT_FAV','; Controlling Taking - '||the_sum,
            'SG_FAV','; Supporting Giving - '||the_sum,
            'AD_AD' ,'<br> Adverse Conditions: Adapting Dealing - '||the_sum,
            'CH_AD','; Conserving Holding - '||the_sum,
            'CT_AD','; Controlling Taking - '||the_sum,
            'SG_AD','; Supporting Giving - '||the_sum) as rating
         from(   
            select category, sum(rank) the_sum
              from lifo_results lr, answers a, questions q
             where person_no = p_person_no
               and test_no = p_test_no
               and q.question_no = a.question_no
               and a.question_no = lr.question_no
               and a.choice_letter = lr.choice
             group by category
             order by substr(category,3) desc, category);
       v_results  varchar2(255);
   begin
      if p_test_no != 82 then
        v_results := 'Wrong test no, this function for LIFO only';
     else
         for it in data_cur(p_person_no, p_test_no) loop
          v_results := v_results||it.rating;
       end loop;
      end if;
     return v_results;
   end get_lifo_short_rating_desc;
   
   
   function get_lifo_long_rating_desc(p_person_no in number, p_test_no in number)
         return varchar is 
         
      type a_row is record( cat varchar2(6), long_name varchar2(20), score number, style varchar2(15));
      type a_table is table of a_row index by binary_integer;
      results a_table;
      i           number := 0;
      the_results varchar2(500);
      a_high_score  number := 0;
      f_high_score  number := 0;
      a_high_index  number;
      f_high_index  number;
      a_low_score   number := 100;
      f_low_score   number := 100;
      a_low_index   number;
      f_low_index   number;
      f_most      number := 0;
      f_backup    number := 0;
      f_least     number := 0;
      a_most      number := 0;
      a_backup    number := 0;
      a_least     number := 0;     
      
      cursor data_cur (p_person_no number, p_test_no  number)is
         select category, sum(rank) the_score,
                decode(category, 
                       'AD_FAV','Adapting Dealing',
                       'CH_FAV','Conserving Holding',
                       'CT_FAV','Controlling Taking',
                       'SG_FAV','Supporting Giving',
                       'AD_AD' ,'Adapting Dealing',
                       'CH_AD' ,'Conserving Holding',
                       'CT_AD' ,'Controlling Taking',
                       'SG_AD' ,'Supporting Giving') as long_name
           from lifo_results lr, answers a, questions q
          where person_no       = p_person_no
            and test_no         = p_test_no
            and q.question_no   = a.question_no
            and a.question_no   = lr.question_no
            and a.choice_letter = lr.choice
          group by category
          order by substr(category,3) desc, category;
          
   begin
      -- load the table with abreviated results
      for it in data_cur(p_person_no, p_test_no) loop
         i := i + 1;
         results(i).cat       := it.category;
         results(i).long_name := it.long_name;
         results(i).score     := it.the_score;
        if i < 5 then
            if it.the_score > f_high_score then
               f_high_score := it.the_score;
               f_high_index := i;
            end if;
            if it.the_score < f_low_score then
               f_low_score := it.the_score;
               f_low_index := i;
            end if;
        else           
            if it.the_score > a_high_score then
               a_high_score := it.the_score;
               a_high_index := i;
            end if;
            if it.the_score < a_low_score then
               a_low_score := it.the_score;
               a_low_index := i;
            end if;
        end if;
      end loop;
      
      -- assign styles based on the numberic score
      for it in 1..8 loop
         if it = a_high_index or it = f_high_index then
            results(it).style := 'Most Preferred';
            if it between 1 and 4 then
               f_most := f_most + 1;
            else
               a_most := a_most + 1;
            end if;
         elsif it = a_low_index or it = f_low_index then
            results(it).style := 'Least Preferred';
            if it between 1 and 4 then
               f_least := f_least + 1;
            else
               a_least := a_least + 1;
            end if;
         elsif it < 5 and results(it).score >= results(f_high_index).score -3 then
            results(it).style := 'Most Preferred';
            if it between 1 and 4 then
               f_most := f_most + 1;
            else
               a_most := a_most + 1;
            end if;
         elsif it > 4 and results(it).score >= results(a_high_index).score -3 then
            results(it).style := 'Most Preferred';
            if it between 1 and 4 then
               f_most := f_most + 1;
            else
               a_most := a_most + 1;
            end if;
         elsif it < 5 and
              results(it).score <= results(f_low_index).score+3 and 
               results(it).score < results(f_high_index).score-3 then
            results(it).style := 'Least Preferred';
            if it between 1 and 4 then
               f_least := f_least + 1;
            else
               a_least := a_least + 1;
            end if;
         elsif it > 4 and
              results(it).score <= results(a_low_index).score+3 and 
               results(it).score < results(a_high_index).score-3 then
            results(it).style := 'Least Preferred';
            if it between 1 and 4 then
               f_least := f_least + 1;
            else
               a_least := a_least + 1;
            end if;
         else
            results(it).style := 'Back Up';
            if it between 1 and 4 then
               f_backup := f_backup + 1;
            else
               a_backup := a_backup + 1;
            end if;
         end if;
      end loop;
      
      -- Concatinate a long description of the favorable and adverse styles
      -- starting with the styles for favorable conditions
      if f_most = 1 then 
         the_results := 'The Most Preferred style for Favorable Conditions is: ';
      else
         the_results := 'The Most Preferred styles for Favorable Conditions are: ';
      end if;
      
      for it in 1..4 loop
         if results(it).style = 'Most Preferred' then
            the_results := the_results||results(it).long_name;
            if f_most > 1 then
               the_results := the_results||' and ';
               f_most := f_most -1;
            end if;
         end if;
      end loop;
      
      if f_least = 1 then
         the_results := the_results||'; The Least Preferred style for Favorable Conditions is: ';
      else 
         the_results := the_results||'; The Least Preferred styles for Favorable Conditions are: ';
      end if;
      
      for it in 1..4 loop
         if results(it).style = 'Least Preferred' then
            the_results := the_results||results(it).long_name;
            if f_least > 1 then
               the_results := the_results||' and ';
               f_least := f_least -1;
            end if;
         end if;
      end loop;
      
      if f_backup = 1 then
         the_results := the_results||'; The back-up style for Favorable Conditions is: ';
      else 
         the_results := the_results||'; The back-up styles for Favorable Conditions are: ';
      end if;
      
      for it in 1..4 loop
         if results(it).style = 'Back Up' then
            the_results := the_results||results(it).long_name;
            if f_backup > 1 then
               the_results := the_results||' and ';
               f_backup := f_backup -1;
            end if;
         end if;
      end loop;
      
      -- and now the ones for the adverse conditions
      if a_most = 1 then 
            the_results := the_results||'.  <br><br>The Most Preferred style for Adverse Conditions is: ';
         else
            the_results := the_results||'.  <br><br>The Most Preferred styles for Adverse Conditions are: ';
         end if;
         
         for it in 5..8 loop
            if results(it).style = 'Most Preferred' then
               the_results := the_results||results(it).long_name;
               if a_most > 1 then
                  the_results := the_results||' and ';
                  a_most := a_most -1;
               end if;
            end if;
         end loop;
         
         if a_least = 1 then
            the_results := the_results||'; The Least Preferred style for Adverse Conditions is: ';
         else 
            the_results := the_results||'; The Least Preferred styles for Adverse Conditions are: ';
         end if;
         
         for it in 5..8 loop
            if results(it).style = 'Least Preferred' then
               the_results := the_results||results(it).long_name;
               if a_least > 1 then
                  the_results := the_results||' and ';
                  a_least := a_least -1;
               end if;
            end if;
         end loop;
         
         if a_backup = 1 then
            the_results := the_results||'; The back-up style for Adverse Conditions is: ';
         else 
            the_results := the_results||'; The back-up styles for Adverse Conditions are: ';
         end if;
         
         for it in 5..8 loop
            if results(it).style = 'Back Up' then
               the_results := the_results||results(it).long_name;
               if a_backup > 1 then
                  the_results := the_results||' and ';
                  a_backup := a_backup -1;
               end if;
            end if;
      end loop;
      
      return the_results;
      
   end get_lifo_long_rating_desc;  
   
end TEST_APP;
/