set define off
set verify off
set serveroutput on size 1000000
set feedback off
WHENEVER SQLERROR EXIT SQL.SQLCODE ROLLBACK
begin wwv_flow.g_import_in_progress := true; end; 
/
 
prompt  Set Credentials...
 
begin
 
  -- Assumes you are running the script connected to sqlplus as the owner (parsing schema) of the application or as the HTML DB product schema.
  wwv_flow_api.set_security_group_id(p_security_group_id=>119319817912617156);
 
end;
/

begin wwv_flow.g_import_in_progress := true; end;
/
begin 

select value into wwv_flow_api.g_nls_numeric_chars from nls_session_parameters where parameter='NLS_NUMERIC_CHARACTERS';

end;

/
begin execute immediate 'alter session set nls_numeric_characters=''.,''';

end;

/
begin wwv_flow.g_browser_language := 'en-us'; end;
/
prompt  Check Compatibility...
 
begin
 
-- This date identifies the minimum HTML DB version required to import this file.
wwv_flow_api.set_version(p_version_yyyy_mm_dd=>'2005.05.01');
 
end;
/

prompt  Set Application ID...
 
begin
 
   -- SET APPLICATION ID
   wwv_flow.g_flow_id := 0;
   wwv_flow_api.g_id_offset := 0;
null;
 
end;
/

---------------------------------------
prompt  ...Image Repository
set linesize 250
--
 
begin
 
    wwv_flow_image_api.remove_image(
      p_image_name   => 'title-logo.gif', 
      p_flow_id      => 0); 
    wwv_flow_image_api.remove_image(
      p_image_name   => 'table6_center.png', 
      p_flow_id      => 0); 
    wwv_flow_image_api.remove_image(
      p_image_name   => 'table6_left.png', 
      p_flow_id      => 0); 
    wwv_flow_image_api.remove_image(
      p_image_name   => 'table6_right.png', 
      p_flow_id      => 0); 
    wwv_flow_image_api.remove_image(
      p_image_name   => 'tab6_active_center.png', 
      p_flow_id      => 0); 
    wwv_flow_image_api.remove_image(
      p_image_name   => 'tab6_active_left.png', 
      p_flow_id      => 0); 
    wwv_flow_image_api.remove_image(
      p_image_name   => 'tab6_active_right.png', 
      p_flow_id      => 0); 
    wwv_flow_image_api.remove_image(
      p_image_name   => 'tab6_center.png', 
      p_flow_id      => 0); 
    wwv_flow_image_api.remove_image(
      p_image_name   => 'tab6_left.png', 
      p_flow_id      => 0); 
    wwv_flow_image_api.remove_image(
      p_image_name   => 'tab6_right.png', 
      p_flow_id      => 0); 
    wwv_flow_image_api.remove_image(
      p_image_name   => 'sapphire_button_center.png', 
      p_flow_id      => 0); 
    wwv_flow_image_api.remove_image(
      p_image_name   => 'sapphire_button_left.png', 
      p_flow_id      => 0); 
    wwv_flow_image_api.remove_image(
      p_image_name   => 'sapphire_button_right.png', 
      p_flow_id      => 0); 
    wwv_flow_image_api.remove_image(
      p_image_name   => 'sapphire_edit.gif', 
      p_flow_id      => 0); 
    wwv_flow_image_api.remove_image(
      p_image_name   => 'sapphire_go.gif', 
      p_flow_id      => 0); 
    wwv_flow_image_api.remove_image(
      p_image_name   => 'sapphire_logout.gif', 
      p_flow_id      => 0); 
    wwv_flow_image_api.remove_image(
      p_image_name   => 'sapphire_print.gif', 
      p_flow_id      => 0); 
    wwv_flow_image_api.remove_image(
      p_image_name   => 'circledCheck.gif', 
      p_flow_id      => 0); 
   null;
 
end;
/

begin
    wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
    wwv_flow_image_api.g_varchar2_table(1) := '474946383961820064008700001314271617351D1D371B1B381E1E3C28221427273720203B22223F1E1D4B24244221214F24264825275524285B282B552D304233344C3D3B4438365D292D602D326D32397F3C457D65552846455E4D4C5A4C4C645F5E74';
    wwv_flow_image_api.g_varchar2_table(2) := '67656B6364766C6B7F7B79782A368E2E3A90333E87323D8D343F93343F9637428C3F4D8E3340953541923743983A45953A469B3240A13B4AA14554854C5B8F44519F4F5CA3525CA3586B9A5967AB6D6E847A788B667AA76372B36E7AB2697FBC78869679';
    wwv_flow_image_api.g_varchar2_table(3) := '89A67386B3748CBA7E93B77A92BF7189C27790C77C95C47C96CA7F9ACC9B7E0C8E7A348A7F5CBC9502B59417908B7EB1A15BC99F03CDA613D3A701DAAD01DEB100DBB20FC4A73BD3AE23E2B300E3B500E5B600E7B800E7B909E9B700E9B900E9BA04EABC';
    wwv_flow_image_api.g_varchar2_table(4) := '00EABE05EDBB00EDBD00EEBF07E9BC0FE6BD1FF1BE00E2BD34CCB35AC5B47AEEC301EBC017F2C100F2C500F4C200F5C304F5C500F4C70AF6C900F6CC00FAC800FBCF00F9CB0CF1C310F4CC1DF8D801F0C92FFBE120E4C44DF3CF43F8DA50E3C967F4D564';
    wwv_flow_image_api.g_varchar2_table(5) := 'F6DE7E81818184838386868682818E8888888D8D8D8C8D9895928B9292929494949999999C9C9C848ABC8E9BAC8C9FBE9998A496A4B7A09B8EAFA892A2A2A2A6A6A6A6A6A8AAAAAAAAAAAFAEAEAEA2A3B4BEB8A6B0B0B1B4B5B5B8B8B9BDBDBD829DCE84';
    wwv_flow_image_api.g_varchar2_table(6) := '9FD2989CC689A3D49BAAC193AAD59EB3DA9CB7E9A6ADCDAEAFC7A4B1C2ADBBCCB1B8C3BDBCC6B0B6D5ABBFE1B6C0CFBCC4DABCCCE8D6C796D5CEB1EFDB93E9D9A4F9E599FAECBBC2C2C2C6C6C6CACACACCCCCCC2C8D1C1CCDDC9CDD6CECFDED1CFCBDEDB';
    wwv_flow_image_api.g_varchar2_table(7) := 'C7D0D0D0D4D4D4D2D2DCD5D7DAD8D8D8DDDDDDC7D6EAC8D2E1CCDBEFD3D4E7D2D8E2D8DEECD1DFF1D5E3F4D7E5F7D9E6F5DAE7F8DEE9F6DDECFDF0E9CDFBF2D4E1E1E1E1E2E4E4E3E3E4E4E5E0E2EEE8E8E8ECECECE5E6F2E7E8F1E5EEF8EFEFF0EFF0F7';
    wwv_flow_image_api.g_varchar2_table(8) := 'EBF1FAFBF7E8F1F1F1F4F3F2F4F4F4F6F5F5F7F6F5F6F6F6F1F4FBF7F7FBF4F8FDF9F7F1FBF9F7FEFCF3FEFDF7F8F8F8FAFAFAF8FAFDFBFDFFFCFBF9FCFCFAFCFCFCFDFDFEFDFEFFFEFDFDFFFEFDFEFEFE21F904000000FF002C00000000820064000008';
    wwv_flow_image_api.g_varchar2_table(9) := 'FF00FF091C48B0A0C18308131EDCA7AFA13E5719387C08A6B0A2C58B18336ADCA8705FBE7AECD8A9D3A68080000725C0F1E3C8B2A5CB9719F78144F7ED9BB70D030E3C609182463D9840830ADD08F29CB76CC90A054080E0440B16221CED5B39B4AAD5A1';
    wwv_flow_image_api.g_varchar2_table(10) := 'F9D89DE386AC97A7A5082CB438B16346085957D3AA65B98F9E5164BC3E21387080420B153544116921A2D9DABF8011CA4CE72D595C0D03103038B122869123A178A890412EB0E5C020C725EBF5492953B127808482642A940D113BF65D5E7D359FDB6DC5';
    wwv_flow_image_api.g_varchar2_table(11) := '405D4A7CA0C2DD1CA284FC8246CA888D10A3580B0FDAD668B15D9E22E46CC042C58CDCABA8495316CA888CBEC3B3B3AD47D8F027C40716AFFF4051C448296ACB9E5183756448F3CADAE35FCC3A2E1B315088C082FE112A883268C7E4234E34B04426820E';
    wwv_flow_image_api.g_varchar2_table(12) := 'F4C8A72042AE9D039B2EB3CD65175EB9C5428D2FEAFCB34F35D09872C46FC12D28A24032A1E30D32C881C75C634714711E30DE0CF4CE34CAF476DD32238A588F3ADF7877430007343516104740C20C33C914D40E35B38432045FE1E4281F7DF6E1B7546D';
    wwv_flow_image_api.g_varchar2_table(13) := '63ED90DB2FD1F4A20F550395234D8192CD30CE37DB64834C31C4F4E2E69B70C629E79C74D619E76AC53DD8C95C75DD959710ACA0870E42039E72840E21FCA09A94AC9578E22E9F4C909878E41539CD324922740F35CC90128A59BF30CA1A483D7286837E';
    wwv_flow_image_api.g_varchar2_table(14) := '63F117C43200F6A3903BD450FF47840C2A7423AA6554C616C995B65128842CD200938E45623639C40A33B873EB5FC571538C2EC9D14541733184E2A235CBC4789138631E8A5A3ECBA63558618725D6D4784214098D32C864C40F87868218EE55996DF6C9';
    wwv_flow_image_api.g_varchar2_table(15) := 'A99F65294A105C02838F46F754C38C29D66137AF500DC2261B907DE2150AA0D600B30E47F6D018CAAC2290E3CFC13015F7E82710D0D5800A8D196104249766CA919864A2B6CFC61C6FD75D5C1DA01ADABEFF1D03334BDC1A8A6888317344E57D9E21D06B';
    wwv_flow_image_api.g_varchar2_table(16) := '0E0FCB320D3019BAB44FA147988563D01A25FCEC9ED2DE3583B5A548932D50F6704A0AC6F0516D91A3282697130324A3902E24D128738C50612B23CA102AD8F093D915EDFFD8635CF886A52FBFC12618143FED74AB43547C2B343428BBCED56B0D0FB362';
    wwv_flow_image_api.g_varchar2_table(17) := 'CD2FE3B83A14D4BFA1D5B841793EEB494E07AC18C31127A3A7F250FC883330113388F0CCE7048D8BE2779332868268413803A05AF65453E35EC9D22E10A9F6FE3897582AE0F6EB8513ABE58E344DF2809AF1F4291C096D13FE19DD32DF0096788188BEF2';
    wwv_flow_image_api.g_varchar2_table(18) := '79B3C840CB27DBE3155164DC73AB358F3FF4176A84597E993D6E3290D6AC985327F8C1BE9651B8B460E30F7A38032072F1B4D7C98005658B59BD7A010A7C61C96180A2063032F712735CC31CB5CB0515A430052C84210EB9D894DD24B383BD71CC6A0B93';
    wwv_flow_image_api.g_varchar2_table(19) := 'D05DAA4584F3608A2554590720D6B08535F8211702C9C516FF4AD80533C0010E7EF8C73BA81719E0C4CC63698B005D28251A48E4EC651891472E68F1074098631849888219DC000737BC0117F3D0C315AED00532B2C10D779007E2BAD5B983C98447DEF1';
    wwv_flow_image_api.g_varchar2_table(20) := '9FE0C8921B595CA8690C9207366E818D7FE0220C59E0C217B051852718D10D6474831E68F1842B68C10C5710031BCC308642B6AE43F7CB9846E8474A5CB1A33EF7C98F0C29E4A24B698B20F3186420F870863260410A80F8471A9EE0063194E10F616043';
    wwv_flow_image_api.g_varchar2_table(21) := '19E9008737C2E10995EC421F3841053798C10BD858C9865ED782D408261FF98887397211083FECC10F81C04560ACA68B4E90CE74E581843498313B7F6C939B7ED0C316C410062E64210BB70C043FFE10FF054D92E1095F20E31898200531D8410F51D042';
    wwv_flow_image_api.g_varchar2_table(22) := '095308053364A10C201448F066611DCF0DC423F5800736B8D9873840520D5308291F008336E44C60290950810B5630847DF96218B4C00520F41087387C210C6248241CE460062C84540AB6B8471FB230463160E1886E08442C9260056CD8C2925238C33F';
    wwv_flow_image_api.g_varchar2_table(23) := 'BC910434D0021E0511072C74A03786D423A31BF5031EBA70852CA861A77098C2129E10056CEC2C2D7EB31708308001094CE0061D508213AA60853280410D6E50C317B4D0852E68320C5F80C31CD87085904E0117FBD0C317C4104939C8810D5E3C863DFE';
    wwv_flow_image_api.g_varchar2_table(24) := '0188304CE1097FF8473DC8B15925CD6256DE60C7366D01083C1CB10D6AE80209C9388736FF4481AD7F988AB85CE3C161DCE20F67880209A100052970819E5DD0C2172C0B49317CA1B0C1DCA41CEA00872CAC710AB9F0C71AB820CCE7CAA19866D8821E70';
    wwv_flow_image_api.g_varchar2_table(25) := '618E3E84210A4BB84542EEC19B17E0C0167DB8431BBE2B862934D6BE53C88230E7A005B652C11C5824CE4734CA513BC8610E7068C311D9A006C02EB89E58B8421BE6E04C3638B7B094758316A86085E46AC10BB930C716DA48072948810E6E782324E1A0';
    wwv_flow_image_api.g_varchar2_table(26) := '075B3E21BD6022083FAC810A2074A0B852C0421BF23087DB92300B5A28AB30E16005ABEA6217BCB0939C0AC2107CC0C31C1BC58558BFFBDA3700769316666E82C350D8908A01C16FEC02160AAB8530DC8116C7B08522BB004D6C8CA1FF8D71B082148A49';
    wwv_flow_image_api.g_varchar2_table(27) := 'C632EE740AB74DEF3D0E628E5A38010A5CFEF21CF290073120330A53D0823DCBC0873F706217C5D0C639E8A10F8EC8A41EF460C735E41C524B9EB50D6230AC19BEF0C64D8A61BE64344361ADBB463180010A55484315A4D0852C84A10F2F0B443039B94D';
    wwv_flow_image_api.g_varchar2_table(28) := '3368C10D76480313CC400763C261D45278F1126851CA58CA140F6AE08290773AE81E23F3095438431A285189465CC213BB408637CEE1C28C7C841DE83893376AC1842874E10B6A900324932B867A2FD80C6130831CE8506C2E249B09B1A6C530B8D18E7D';
    wwv_flow_image_api.g_varchar2_table(29) := 'FC410A5AD0821872C95923B2218EB908351BEC600E4220410BC48483181A8BDE252CA1A9F0A42924DD1086C61275BE73FF98C3159E106B4A50A21193A8442530E1095D102319DF5047B92F2213ADA029196B62F789530EC9E7D6DB0CA876A318A4006B27';
    wwv_flow_image_api.g_varchar2_table(30) := 'A44117048FB13FF8C0C62E842110020184C3F160C83060810D7898873B36A184243021B10A4DB6C7A540063064F8C15AC00261C718073DA061DB8CC87B232A71094C5CA2129FE805CE27BD0FCD6164306842063176010A4F70A20A5348F91B9FFB463AD4';
    wwv_flow_image_api.g_varchar2_table(31) := 'A10D5D88021292D0811BAC8219B11087E109E20F3D64C1EA6CC005FDFCE0703D18920B5310831FFC218F5B5CA31DBA788230C5705B641E750EDF5D311BC8AADF35F001EF7A9779DF237183092C60010DA8402B260DAE8D786C33D0C244B72B81062A9491';
    wwv_flow_image_api.g_varchar2_table(32) := 'E462F0C2FF139040570D54000644A8A13594A18D84C8A30C88A5AC38F7D10787FB611E8068ECAD035186289421177FE04873500755D06E51B05C96654C28460577F7727AB7779770099180031D4001099000D1670131E008DDE00ED5677D6E412E9FD009';
    wwv_flow_image_api.g_varchar2_table(33) := '95C0088A700886300968B006DAA6040500000090002EE002284004EA020DC4F05605010F64B049480744A5976AB9E40796C406D6456BCE24778A9507D700024BC0057040071466066FB00655D00188A008C9178198C07CCE9700D057011670022C1003B1';
    wwv_flow_image_api.g_varchar2_table(34) := '306995B61D78741F246882286808836008826008110024E211405B120DBE700E3A4810D80006E0F506D19446647475FDA0466D945C53D0056CF046FAFF3607FAF40D20607654500680600BC3700A5C257333278138000316888162480227800230000331';
    wwv_flow_image_api.g_varchar2_table(35) := '90033F400E85E71259B1157031822578828740087188184C3139D6B20A5EF34A081171C52406770042EF67615C800BD7205C5820064B900512875448340F02E10FC7F009C2406EEF300B43F0029BE0775EB80060480162588AA61803359003400009CB10';
    wwv_flow_image_api.g_varchar2_table(36) := '0E1FD8123D370EDBD0158DA77D6E6808F991350E7332D3200DD3D78704810B6270595DA007D2180F56306A57700656B0043976074D8004C4E4466F0008F2A029BC310328D07C0D70810D400163C802A6888A3500044510043ED0033DD00A3A07143D6714';
    wwv_flow_image_api.g_varchar2_table(37) := 'C9500CBC308F8D708284000203C0002CFF301635400A47F003E7C10CAD500C09D10F81109039D50702410F56606153200551205C57E007E79008660705671008D995105A25190D007D1E69012A8002E5788E4010044180923D2009ACE00CE1C00EEDE834';
    wwv_flow_image_api.g_varchar2_table(38) := '984613DC900C8BF7099830937208020660012FB002164039A2F00392B08FADD02E07C10F80200670D0055CC070F650056CD00611F694FE0742FEE00CA0500CECE08F03610FCC50042750011E49022039963B200425899692100BD0F00CC9C00DE3400FAD';
    wwv_flow_image_api.g_varchar2_table(39) := '1814E76614D9701C9E50092738088230081260172DA08142200A40F008D0400DB1C00B08517F0E750581A01AFC300948F05DB2150556C0409C8910CB9003273086A5788AE7F80342FF609228F908AB200BCB0029A0106EDE900E3BC792AE910EDF502577';
    wwv_flow_image_api.g_varchar2_table(40) := 'A90870D89B1A30322D400230F003A430043EF00BD6100BBA603803910F7A306A8A264E02310E84509557690E315611E1200B3F700224109622898EE379923D609EBF909E7759099D9099D9109B6F291488E71D97C008283808BC090207400277710139D0';
    wwv_flow_image_api.g_varchar2_table(41) := '1B3E100B97E3097C3810E6400666E05C6C004404110EE2660F7B6611F5D00DA3A0033260033BC00333608E3F5004E389968F100BCAB00C9F30938CC0779E000A37F70DEEB9165004292D6A9FBCD99B1250017D790179D193ABB07EADB00D03810DB42606';
    wwv_flow_image_api.g_varchar2_table(42) := '63D00711C511E1F00A3F600333E008AFD00CBF00094000041D8A9288FF709ECBE00BB9C908104873EB590C83470F295A1599118F90529FB52808824008F9D902C1590345109883190DAD9029C350057C600BD7307A17410ECD900A6561038E200BE1400E';
    wwv_flow_image_api.g_varchar2_table(43) := 'CFF00A4430043C9003E5B90A21EA0B9DD00892CA779D10A6BAC00B96BA0DDF3069EF6915EFC81531A97D34B9A61D90002BB09F30309C40E003CC600DADA09CEE400EF7403F19410E162A032DA003A9100EF4400ECA600AA4600AF1520359CA0C985982C9';
    wwv_flow_image_api.g_varchar2_table(44) := '8A099DF009EBD90BC5800CAFE90DE3900EF4500FB369A645511814D4862FDA9B1DC000344A0217E09F4210A003DA0B998A10EEF00CA9F0033330033BF00AE1E00EE1300BA7400AA7300BE1100DB1500AADB00CCBFF002179C777002BB0BB40B0C9900DDC';
    wwv_flow_image_api.g_varchar2_table(45) := '80B0E7A00E0BFBB1BB15822F092D697A9F82A0977CB902368AA33A2A0B055A11EDB00C8E30032C6003A3F00CEEB00FBD4A0AA4000BCF600FAED20DCBC00CA7D00AC83AA99EF009CD4A0C969A0DDEF00DE3800EEC50B40DBB1AF1399FC76197784908A03A';
    wwv_flow_image_api.g_varchar2_table(46) := '08A3BA0227500390F10373BA0CADE08B24D20C4D5AB2849AB2E2C0B22E3B0B1DD80FEF200ED5300DD0000B500A81CB0A0ACD5AB0C9B00D759BB0795B0FF9B0B7C351AD70010AD85A8BBC39081DB0002A109C31309C3EE9B9A0A02D153A0A36F0A48E000C';
    wwv_flow_image_api.g_varchar2_table(47) := 'EEE00ED5300BF6FAB2ACE80F9B3B0DD3200EEDA0554EDA09013BB0A68BBAE370B7ABEBBAF2D19285FFC1862538B14D8B0034AA02170004A42004C6F90B3ED0A42C2003277B0EFFE00E6A1B0A63FB0CF5E00FFD500ED3100DD16B0F53F10ECA70042DB009';
    wwv_flow_image_api.g_varchar2_table(48) := 'D8FBB3413B0E43ABB7B29A23AE612249EB094BBBA62010017C89BE399003A88802F19B03AF400EF5500ECAD0B2A640B6EEE00FF6500ED5100DD5200EEF0026F7300DA760033AE0B3406BB778EBC02F440FF2799B9D1AB8A06A0812107D155001A459B2A5';
    wwv_flow_image_api.g_varchar2_table(49) := '300DABD00ACA1B0AA6300BACF80FF6200EFF5B0DE5505A05510EB08037BCF09AD18A0E44CBBADE3B2F77048FB13BBBB648B100A0022FA00231F003AA080946200A90F00BF0C1C2D02BBD5A6C10042C0A32300AD9F00D3BCCB00F4C35E0BB19A0FF20B14C';
    wwv_flow_image_api.g_varchar2_table(50) := '5BB124F002150001B87132D0F00BA0400E0312BD055711EF52C336A00DE3A07365DC381E81B4A253C1A02A0810C0971690B1A4000437100BD3E10CF730A109D10E5D2C02C0F00DEC30ADC623107D0BC4804B93A02AAA14F0A6B8F103018A9CC480119E49';
    wwv_flow_image_api.g_varchar2_table(51) := '0A81CC0DE8C0B0D9693C671C8FD7AA9BB48B9F0DD0AD1630C91C1B0BBD50CD0241BD3270A298FACB1591C8E2EBA2F739082060B1631103EEF3039643B5067A10ED40512B100B086B13DCA0266CA264045DD0063D14A5EC92A76C824C2B0818ECAD401098';
    wwv_flow_image_api.g_varchar2_table(52) := 'A5802DA0D0A3A0130DA630A8E3269BEA8C11F1591F7F5B9F8620B8A1DAA66F9CB1C4699CD0D0B807B1952A8073EAD0BA1D7D7899FF61ADB2ABCD6B6CBB0BB002508B34E3B90C326B9803D10E052C03A9D09EBE3CD382F1B08ACCC816CC36A52A0A46B0CC';
    wwv_flow_image_api.g_varchar2_table(53) := '853910FC200D9ECC0D68A8D41BD12085B1D06A3AB818FC0227B0BBA160CFD6200BBB002E5C7C2CBBEC965C2D343EECB7416C9F246D08E607D181191DBFB00BE4C00C803C0A481D60711D133B82C6D99CADA05AB8510B0492100DD0000D35DC02A02C9B87';
    wwv_flow_image_api.g_varchar2_table(54) := '5CD8EBCCD4113BBE391DCF347AB8B9B12AA7B502BEC0CB498DD9EBECD5138CCA4DFBD07F893A41400A83AAD5868CDA2D11CC212DC48BEDA6FC2904A4C0032C70A2706DDB70A90E886D9738ADAD1302033B60D4DEB092C4FD1289BCD9EE6CC123B302A8A1';
    wwv_flow_image_api.g_varchar2_table(55) := 'D59416DD1DA3DAC489002D9660828430DE87A0081E300225600CBC9C86DC0D13FA400F3C22CC77B9088770088B40A299A00A834DCEEDCD73876DD39AD06D7BA70936079B96DDDFC4A1D9D0A2099A50A263CA0EEC8DE041F1DEB60993BA706437E70DD31C';
    wwv_flow_image_api.g_varchar2_table(56) := 'E1120E14EFCD2373B92606BBD11CDEE12C591436E10D757B0EBD6CE25751CAEC900EE850C8A3ECE2367EE3F21110003B';
 
end;
/

 
declare
    l_name   varchar2(255);
    l_img_id number := null;
begin
    l_name   := 'title-logo.gif';
    l_img_id := wwv_flow_image_api.new_image_repository_record(
       p_name=> l_name,
       p_varchar2_table=> wwv_flow_image_api.g_varchar2_table,
       p_mimetype=> 'image/gif',
       p_flow_id=> 0,
       p_nlang=> '0',
       p_notes=> '');
 
end;
/

begin
    wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
    wwv_flow_image_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D49484452000000320000001E0802000000E133DAAB0000002C744558744372656174696F6E2054696D6500576564203238204A616E20323030342031343A35383A3531202D30373030E45E82940000000774494D4507D401';
    wwv_flow_image_api.g_varchar2_table(2) := '1C1608025CA801E8000000097048597300000EC400000EC401952B0E1B0000000467414D410000B18F0BFC6105000000AE4944415478DACDD4CB0DC2401003D09DC9860BDA0BF9500FE14C99B4052C914814290D445985067CB75DC1933D1A1B6E8FA097';
    wwv_flow_image_api.g_varchar2_table(3) := '781F9E6C03882D4B611B40E2FBB5B30D88953F926DE52CC91ABF92AC79DAD806C4DACBC83660D6C4362056293FB601B18E63651B202B9CD806C4B250B30D906592ACA039A2BB645BA2B7253AA228CB3CB20D9025DA96E6DF323BB30D885579CB3620564A';
    wwv_flow_image_api.g_varchar2_table(4) := '896D40ACFEEA6C0362356DC5362056D749B6756914597F71C320C7FDDEF2710000000049454E44AE426082';
 
end;
/

 
declare
    l_name   varchar2(255);
    l_img_id number := null;
begin
    l_name   := 'table6_center.png';
    l_img_id := wwv_flow_image_api.new_image_repository_record(
       p_name=> l_name,
       p_varchar2_table=> wwv_flow_image_api.g_varchar2_table,
       p_mimetype=> 'image/x-png',
       p_flow_id=> 0,
       p_nlang=> '0',
       p_notes=> '');
 
end;
/

begin
    wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
    wwv_flow_image_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D49484452000000320000001E0802000000E133DAAB0000002C744558744372656174696F6E2054696D6500576564203238204A616E20323030342031353A30303A3433202D30373030007DA6100000000774494D4507D401';
    wwv_flow_image_api.g_varchar2_table(2) := '1C160734148A88BE000000097048597300000EC400000EC401952B0E1B0000000467414D410000B18F0BFC6105000000E64944415478DACDD63D0EC2300C05E03CD7A185FE7224CACC31B916509028AAC405504B486043DEED3765FC645B8ED1EF0ECE5E';
    wwv_flow_image_api.g_varchar2_table(3) := '78DF1FB50D42304D8BB641089F4FB3B641620D1793D51A0693ACDBD524EB31BEB40D126B5E6EDA0699356A1B24D6B2DCB50D122B84A7B64164B995B64162C1796D83C8824996B3D9442293D5323A5B469B689405626D83C8325AADB4B7423CEAB525FFAC';
    wwv_flow_image_api.g_varchar2_table(4) := '22048A2FC0902CEEAD2604FF3565765C4CE840DE7B30238BF7C45B5BF4636D36795E60BD76CC8E528236E9CBEAB6D184B2A48C93CC48B8AEA96E505558C53E9AF987B8ACD0B688B822F5D1CAD07F008DDC2AA6E58EC78B0000000049454E44AE426082';
 
end;
/

 
declare
    l_name   varchar2(255);
    l_img_id number := null;
begin
    l_name   := 'table6_left.png';
    l_img_id := wwv_flow_image_api.new_image_repository_record(
       p_name=> l_name,
       p_varchar2_table=> wwv_flow_image_api.g_varchar2_table,
       p_mimetype=> 'image/x-png',
       p_flow_id=> 0,
       p_nlang=> '0',
       p_notes=> '');
 
end;
/

begin
    wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
    wwv_flow_image_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D49484452000000320000001E0802000000E133DAAB0000002C744558744372656174696F6E2054696D6500576564203238204A616E20323030342031353A30303A3537202D303730303898829D0000000774494D4507D401';
    wwv_flow_image_api.g_varchar2_table(2) := '1C16080B2574B94C000000097048597300000EC400000EC401952B0E1B0000000467414D410000B18F0BFC6105000000F24944415478DACDD7BF0A02310C06F0A41775905BFCFB3CEAEC63FA5AEA29A8082E829CDAB4B1070A0ED9936F281D7F7C2981E2';
    wwv_flow_image_api.g_varchar2_table(3) := '72B1067FA1D572636D5082D76BB23628A1DD96AD0D1AABD9BB6CAB695CB28E0797ACCBF96D6DD0589C8ED6069D75B63668AC944ED6068D2572B336A82CE85B1B341642CFDAA0B2D0250B7C0E3104976D397D5B4E87E8948581AC0D2ACB695BEEF696941F';
    wwv_flow_image_api.g_varchar2_table(4) := '46610DAD1D7F22292640CC54858935E667EA8E54648891EABAB6F674C100899159622CB048B379B02675C9197316666C5B783D038D279535E91BE652183C1EB9C8683A75D156C78AF08ED21F04BA0B8DC66E582CCF16AB2A97FB07111F570FFCAB835000';
    wwv_flow_image_api.g_varchar2_table(5) := '00000049454E44AE426082';
 
end;
/

 
declare
    l_name   varchar2(255);
    l_img_id number := null;
begin
    l_name   := 'table6_right.png';
    l_img_id := wwv_flow_image_api.new_image_repository_record(
       p_name=> l_name,
       p_varchar2_table=> wwv_flow_image_api.g_varchar2_table,
       p_mimetype=> 'image/x-png',
       p_flow_id=> 0,
       p_nlang=> '0',
       p_notes=> '');
 
end;
/

begin
    wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
    wwv_flow_image_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D49484452000000020000001E080200000089C058930000002C744558744372656174696F6E2054696D6500576564203238204A616E20323030342031353A31353A3334202D30373030E8B885030000000774494D4507D401';
    wwv_flow_image_api.g_varchar2_table(2) := '1C16120AE25E7301000000097048597300000EC400000EC401952B0E1B0000000467414D410000B18F0BFC6105000000654944415478DA4DCCC10DC3300C03403A71C7487669FE1D2FE8A4B5E41A311B497DC89F0345C285248005FECAF17C19EFF3F3A8';
    wwv_flow_image_api.g_varchar2_table(3) := 'A8DBBEDEA94A6346A7D11AF251FEE4AE774F1ADD18C398EC0620C675492435C816936F9A90CE9C3E41D1483D3A4D4BF8D73F52A1434836BE7EAC0000000049454E44AE426082';
 
end;
/

 
declare
    l_name   varchar2(255);
    l_img_id number := null;
begin
    l_name   := 'tab6_active_center.png';
    l_img_id := wwv_flow_image_api.new_image_repository_record(
       p_name=> l_name,
       p_varchar2_table=> wwv_flow_image_api.g_varchar2_table,
       p_mimetype=> 'image/x-png',
       p_flow_id=> 0,
       p_nlang=> '0',
       p_notes=> '');
 
end;
/

begin
    wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
    wwv_flow_image_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D49484452000000140000001E0802000000A370A93C0000002C744558744372656174696F6E2054696D6500576564203238204A616E20323030342031353A31343A3533202D3037303004B2D9340000000774494D4507D401';
    wwv_flow_image_api.g_varchar2_table(2) := '1C16103411090C28000000097048597300000EC400000EC401952B0E1B0000000467414D410000B18F0BFC6105000001AF4944415478DA9D94BD4E024110C777EEF838A301698C564A672CAD249636765AF00EBE05ADC602294C8C4FA009D26882958595';
    wwv_flow_image_api.g_varchar2_table(3) := '1B3FA28716BC04A7C6FB803B76C7450920DC3A099B5CB333BFFDFF6766F70011D9B4CB989A542B41668461C8F9BD6DBFD9F6ABEB7A8EF32EBA7DB3F08F6D85D56A97E76735CFF3069B000B567AC34A6F65B3F35A657EF7502E1FB79C8F5F447DA9642197';
    wwv_flow_image_api.g_varchar2_table(4) := 'D9DBD9B5E6328656590851A99CD4EB37831D1366B399C3623167266034731C5664A974C0F9D3B02BE6E266E1309F37E986552AA79CBF28B1FED9CC585BDD5F5C82A02D0998F3C7EBFA2D8CCC6FC6DA5E5E49F83E352AD5DBA3F2E95838955C0F7CED3886';
    wwv_flow_image_api.g_varchar2_table(5) := '70B57AE5385F00F037410401052BD98B6A1DD918C910A3209004CCF9B3FBD58698DB1AEA0A1EC20DBB3961B8AFDCE950CA8D461359CC24258A3659B3EBF99A1716465144C04ECB650C6261891D021602E261148C05040C9A9F02B248080AD678EED966AC';
    wwv_flow_image_api.g_varchar2_table(6) := '4DC2F1D26A54883E05A30E9612C3296D638F241BA6291940D9A6E0D8EBC57A37ACCB24DD309DED2E33A6EDB69A93941655B3262CA46B1A29DDD144CDBD90FC04C3FA0F3674D23FF2881E4373F2C17F038033CF5ADC24C1AB0000000049454E44AE426082';
 
end;
/

 
declare
    l_name   varchar2(255);
    l_img_id number := null;
begin
    l_name   := 'tab6_active_left.png';
    l_img_id := wwv_flow_image_api.new_image_repository_record(
       p_name=> l_name,
       p_varchar2_table=> wwv_flow_image_api.g_varchar2_table,
       p_mimetype=> 'image/x-png',
       p_flow_id=> 0,
       p_nlang=> '0',
       p_notes=> '');
 
end;
/

begin
    wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
    wwv_flow_image_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D49484452000000140000001E0802000000A370A93C0000002C744558744372656174696F6E2054696D6500576564203238204A616E20323030342031353A31333A3238202D30373030EEAC9FAE0000000774494D4507D401';
    wwv_flow_image_api.g_varchar2_table(2) := '1C1611357F150DFF000000097048597300000EC400000EC401952B0E1B0000000467414D410000B18F0BFC6105000001D94944415478DA9D94CF2F034114C7DFB4254A4522E1E0CA45E24722519286C48F848B0307E10F7023110EE2EA0FE02422911037';
    wwv_flow_image_api.g_varchar2_table(3) := '695DE881DECA01074EED81B8F8150769A3ACFDD5DD7966A3D6B63A33E2E57BD8B7BB9F796FDE9B370411E1BFE6FB37C98C0C0E8CB94E43637D2854D3D6D6DAD9D9DEDB1B0E0683127863FDE3E1DE7E7AB4DEDEEF0C33A99B490216FB5051513939393E35';
    wwv_flow_image_api.g_varchar2_table(4) := '3D215882C40F75AFCF56393EBA56D42DCB7E626E6DA87A6171B6BF3F521E8EEE69BFDFAA2AEEC7128AB6F3E58E8C0CCCCDCDFC4E81EC6EABBCAC0E0EB2AF6FF3146DF6DCD5D5B1B2B254C2FB4747972D0BCBAAB9B9EAE1AEC9302F59539E9F5F32996C24';
    wwv_flow_image_api.g_varchar2_table(5) := '122E6A95AA8240E19E6E1FA923E0634A1C9F9E9C9C15C19A8A02218540A0C5FD7B6D7553513E3CB086620120F93645D1A3D1B817A662015004E22A168DBBC1032AB7D8AE21C19F536C1AF4E2FC6A68B8CF896C18542CA79FC5964ADF1422EB9A7CAA10FC';
    wwv_flow_image_api.g_varchar2_table(6) := '5E379DBA2DC0F97C5EC6D292E1CBE5BEF74CD1900706E2F5B359A50003683298F2C63E60DB521809E7CA609175195B9AF60F8C286D3472D3A668CA608673E0BF158C9BF61F0A569E65695359C19CC1F0978781486014549B52D9092336B76088E2C826A2';
    wwv_flow_image_api.g_varchar2_table(7) := 'CDD9B2B8DA8C734E811FB83067309CAD12DB4740609FD695691082D2278A0000000049454E44AE426082';
 
end;
/

 
declare
    l_name   varchar2(255);
    l_img_id number := null;
begin
    l_name   := 'tab6_active_right.png';
    l_img_id := wwv_flow_image_api.new_image_repository_record(
       p_name=> l_name,
       p_varchar2_table=> wwv_flow_image_api.g_varchar2_table,
       p_mimetype=> 'image/x-png',
       p_flow_id=> 0,
       p_nlang=> '0',
       p_notes=> '');
 
end;
/

begin
    wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
    wwv_flow_image_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D49484452000000020000001E080200000089C058930000002C744558744372656174696F6E2054696D6500576564203238204A616E20323030342031353A31353A3531202D303730307CEFA3230000000774494D4507D401';
    wwv_flow_image_api.g_varchar2_table(2) := '1C1610200BD3D855000000097048597300000EC400000EC401952B0E1B0000000467414D410000B18F0BFC6105000000644944415478DA4D8BC11180200C0493C05B6BE063FF5D383E19AB2104A31E3892CFCEED5DD8DD8948081752DA723EF9D85502C5';
    wwv_flow_image_api.g_varchar2_table(3) := '65E547466B4055072A604648E673A790AD8D494783B4DA1F3EF894C6F2BADE6914796D64D69E0A10CA2483003C3AD11F37D9A63A4B5056AF9A0000000049454E44AE426082';
 
end;
/

 
declare
    l_name   varchar2(255);
    l_img_id number := null;
begin
    l_name   := 'tab6_center.png';
    l_img_id := wwv_flow_image_api.new_image_repository_record(
       p_name=> l_name,
       p_varchar2_table=> wwv_flow_image_api.g_varchar2_table,
       p_mimetype=> 'image/x-png',
       p_flow_id=> 0,
       p_nlang=> '0',
       p_notes=> '');
 
end;
/

begin
    wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
    wwv_flow_image_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D49484452000000140000001E0802000000A370A93C0000002C744558744372656174696F6E2054696D6500576564203238204A616E20323030342031353A31333A3333202D303730302001CBCA0000000774494D4507D401';
    wwv_flow_image_api.g_varchar2_table(2) := '1C16110D5717B561000000097048597300000EC400000EC401952B0E1B0000000467414D410000B18F0BFC6105000001804944415478DA9DD24B4FC2401007F09DDD5212924A0C979E8912BCE8C5BB5EFDD61C8C4A7C5C140818E301144ABC292DDDA74B';
    wwv_flow_image_api.g_varchar2_table(3) := '89F2EA3AA67322B3FCF29F9D2D186348D1A285A52D0FFD87526A347A8BA2E96432E53C4D92B9D606C796F57AFDA7C75ECAF95A732F991D05411804D4896DDAF5D56D9224F637649D386ED66ACD46C32B97970D02BB0BD35AB7DB7783C1CB6FC7E872895D';
    wwv_flow_image_api.g_varchar2_table(4) := '1C9F78C03676B48DAD6CB52E87C3F7D59C72BF5E3FAF5619BEB076FB7E381CFF4CBAA8303CAB54A81006C1F69E83C1EBBA9C7D9E1E1E3029B1A7B2BBBDB97E00D838F6FD5048E757B4C29D4E3F8EE7EBB1D90A8CE018B6B1DDEE33D9CA5DF489E004C1A3';
    wwv_flow_image_api.g_varchar2_table(5) := 'D19873B17BAC95F55872147D1003BBC7564AF4CE1603E46000251543B0C89B39C3520A1FC149921A9297CC941004C14A13928B89CCFDB63670AE5C5E084F76614A25BE6D7004DB8569FBD658B2A340512A50EC1C1B8063D8E4633B36A569E16445198A9D';
    wwv_flow_image_api.g_varchar2_table(6) := '0B13FF18DB992C182D8C59AC75A920B6C5BC2FA3FDBFB1B30034B079F61CDB01DF7294C9662063BF6F0000000049454E44AE426082';
 
end;
/

 
declare
    l_name   varchar2(255);
    l_img_id number := null;
begin
    l_name   := 'tab6_left.png';
    l_img_id := wwv_flow_image_api.new_image_repository_record(
       p_name=> l_name,
       p_varchar2_table=> wwv_flow_image_api.g_varchar2_table,
       p_mimetype=> 'image/x-png',
       p_flow_id=> 0,
       p_nlang=> '0',
       p_notes=> '');
 
end;
/

begin
    wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
    wwv_flow_image_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D49484452000000140000001E0802000000A370A93C0000002C744558744372656174696F6E2054696D6500576564203238204A616E20323030342031353A31353A3136202D303730303D0293570000000774494D4507D401';
    wwv_flow_image_api.g_varchar2_table(2) := '1C1611238BC1B8AE000000097048597300000EC400000EC401952B0E1B0000000467414D410000B18F0BFC6105000001AA4944415478DA9D94CF4B024114C7E78DFB03F3101D545049887E105E2430103AF807F44F7AE9DEB56B8224588269501E9244C2';
    wwv_flow_image_api.g_varchar2_table(3) := '45A80DCADDD99D69D6B5C51F3B33E1E37BD899E533DFF7DEBE1D608CA16D036F4DF2D0EAF5AB68914A250DC3CC64D2D96CBA50C8EBBA2E87E1AEE9DA5FD4FE6496457D3ADC493D004070AA864BA5532EC911F0D427CB6B7E4AA743125A43D7A77C699846';
    wwv_flow_image_api.g_varchar2_table(4) := 'B55A2916F7E3E16ED7DBDC751DDAB8B577F76EC2E5D1E141E5FC6C3305B86F132488DE23F1D975F89CCB656BB58B351E13C2443A3ED1EC8F4B6EC0351E4F5AAD87F54FE57948A272D9603419F283C1EB70F8B6EAEC318968507F9EB73F54B3D9765D7709';
    wwv_flow_image_api.g_varchar2_table(5) := '76995C08186210CA7548BFFFBC0C23B980C3913540BFF7129963DF677221B432FC9EEF8F46EF51C3985CC1BCFDA51DCAB2A68BD9F67CE5FCD37060A3984C229828E1F570668B9A35A2820178DD2BCEDF3F4E04FFE73280D85DB5B3615221CCFB29877553';
    wwv_flow_image_api.g_varchar2_table(6) := 'EC4CA9A2DDC1C789679186B1B26354F4460370156C306182B431761470F863C4C30905CC274CE8AC4E1B1812352C8115F0BC61226769CD7C364102638933308C6722520ECF2F2031C9E317083B61E844CEC3B30000000049454E44AE426082';
 
end;
/

 
declare
    l_name   varchar2(255);
    l_img_id number := null;
begin
    l_name   := 'tab6_right.png';
    l_img_id := wwv_flow_image_api.new_image_repository_record(
       p_name=> l_name,
       p_varchar2_table=> wwv_flow_image_api.g_varchar2_table,
       p_mimetype=> 'image/x-png',
       p_flow_id=> 0,
       p_nlang=> '0',
       p_notes=> '');
 
end;
/

begin
    wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
    wwv_flow_image_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D49484452000000020000001E080200000089C058930000002C744558744372656174696F6E2054696D6500546875203239204A616E20323030342031343A32313A3539202D3037303063EA15360000000774494D4507D401';
    wwv_flow_image_api.g_varchar2_table(2) := '1D15190EBC3DB7EF000000097048597300000EC400000EC401952B0E1B0000000467414D410000B18F0BFC6105000000664944415478DA4DCC410E80200C04C02D2007FFFF1AE38BA8E8C5031A0569EB014232D976536AAD0170D017D6E5EE10A72A29A5';
    wwv_flow_image_api.g_varchar2_table(3) := '4760D6C4499A21E757D873B5A4C3729D02D1A6202BEEB06111F44B8A03801F7680ED9CB72B93313689FEA6EE406325C6B9F301B35220C4E85441BC0000000049454E44AE426082';
 
end;
/

 
declare
    l_name   varchar2(255);
    l_img_id number := null;
begin
    l_name   := 'sapphire_button_center.png';
    l_img_id := wwv_flow_image_api.new_image_repository_record(
       p_name=> l_name,
       p_varchar2_table=> wwv_flow_image_api.g_varchar2_table,
       p_mimetype=> 'image/x-png',
       p_flow_id=> 0,
       p_nlang=> '0',
       p_notes=> '');
 
end;
/

begin
    wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
    wwv_flow_image_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D494844520000000F0000001E08020000007C3ED3230000002C744558744372656174696F6E2054696D6500546875203239204A616E20323030342031343A32313A3531202D3037303050055B510000000774494D4507D401';
    wwv_flow_image_api.g_varchar2_table(2) := '1D151837FA230EA6000000097048597300000EC400000EC401952B0E1B0000000467414D410000B18F0BFC6105000001CB4944415478DA8D944B4BC34010C767D207C58A584105457C1D7C80D0CF202888C72278F22B2908E2515044C5AB07A92F44F424';
    wwv_flow_image_api.g_varchar2_table(3) := '28D5B6B4C657D5D6D468A22DBA4DD2316D5334353619E632CB6F7667FF3BB34844E0D838E7A86E6E5B42519448E43299E41389AB7A7426F3BCBB7370767E99CB7D96621A71FFB7DFD656786FEF5855153D44EAE9EE9E9998F4E1DF5B4A92B4B4B4994CDC';
    wwv_flow_image_api.g_varchar2_table(4) := '5542A2FEF1B1E9400B5AD42D49F2DCECB2907D03F094177C438353AA0A59816A69C6D8FCFC6AF6E503D158C7E2A8D70BA2A85968B2B616CE6472D55DCB6540E0552C5A28C8F3A9D3539E43533EE18328B65AD01BEB47507421B8CCAF1765AC83C06FA279';
    wwv_flow_image_api.g_varchar2_table(5) := 'FE299D96016B2FAD0B41DC0947C304DE1F3A1E7FFC5DAE290115C008501B528341C7A2CF80D6743547D4E535E87C5EE31CF48C41C852C14987555F013D88B670956E0E34BEBD166C69631AFCFE0628296DE3063D34DC5E3EC7C60D7A70A0054AFADBB851';
    wwv_flow_image_api.g_varchar2_table(6) := '776F5FA0A3B3319DFE7454B76EA150BFDBE541A8E73F746F5F5330D88AE0ADE3A61F2234D5D5D6EEABA349ED5CCA7261712125BE28D6DDF2778AF584D515E1E69A39A27553D562785B3E3C7CD734B4A72B2608EC603F7F1151D81755D443DB5F93318A45';
    wwv_flow_image_api.g_varchar2_table(7) := 'D5BB5B2D75AF7E031130C825366BFF0F0000000049454E44AE426082';
 
end;
/

 
declare
    l_name   varchar2(255);
    l_img_id number := null;
begin
    l_name   := 'sapphire_button_left.png';
    l_img_id := wwv_flow_image_api.new_image_repository_record(
       p_name=> l_name,
       p_varchar2_table=> wwv_flow_image_api.g_varchar2_table,
       p_mimetype=> 'image/x-png',
       p_flow_id=> 0,
       p_nlang=> '0',
       p_notes=> '');
 
end;
/

begin
    wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
    wwv_flow_image_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D494844520000000F0000001E08020000007C3ED3230000002C744558744372656174696F6E2054696D6500546875203239204A616E20323030342031343A32323A3036202D303730303675D0B80000000774494D4507D401';
    wwv_flow_image_api.g_varchar2_table(2) := '1D1519286E303212000000097048597300000EC400000EC401952B0E1B0000000467414D410000B18F0BFC6105000001EC4944415478DA9593CD4FD44018C6E79D9956D71228B6C48BC5126A6A0C648307B9E169B321F56C080921E123E19F91131C2504';
    wwv_flow_image_api.g_varchar2_table(3) := 'E3C523FE019A180FC403170DC1258A0751B65BED421769C9EE50BB65E82EA5BB3E79937EE4376F9EF79919608CA1AE85BB474311427207073F7DDF5794DB94D26C1A3EBCF75FBDACD6614314CBE38F1F594F8BB22C5F4B7FFE14848F9AC7D6D78E19798E';
    wwv_flow_image_api.g_varchar2_table(4) := '312A169F585601E31493F0EEED29FFF8B8157CFDBE02E844D7EFCECD3F5394FEF629ED32E3A50F09505F6248F8B67FB8BCBC6EDB4E3BED38F5643D1C1101A900D475FFAEAEBEF6BC5A0BFDDB6924EBA8DA08698484B06CDB5B7BB199A4A9E35CD91D7031';
    wwv_flow_image_api.g_varchar2_table(5) := 'C451964ABFB6B777C7C6CC983EF5BD24C9D03EC141D43BD69BCDAD7CFE7E33220A5049B07F30D90B7F26D7572A27A5D20FD3D4221A45834303211761370284366B3B3B9CC6A1F1330467A95C535F76CBB16F8000A2978CE351AB35623A9B6BAAEA06BCB7';
    wwv_flow_image_api.g_varchar2_table(6) := 'D891BECCBB1BBA4F16B913D29196A4DC7FF836CD014E7776623E502F7CE30E4E54F58661C817F4353BC265593ABF47219DE564D8C88D8C5EDEA0AC4CD401716676287941C3BCD333E9EDA30B8B9A24B5F8A4A927E99E2E4E4DDF5194769314410B4D089B';
    wwv_flow_image_api.g_varchar2_table(7) := '98E82D4ECA18C3D52E7C4A2C086C347FB350B825F79354F41FAD693DDA20D506896150A9074866FAE74905A488C3FA16470000000049454E44AE426082';
 
end;
/

 
declare
    l_name   varchar2(255);
    l_img_id number := null;
begin
    l_name   := 'sapphire_button_right.png';
    l_img_id := wwv_flow_image_api.new_image_repository_record(
       p_name=> l_name,
       p_varchar2_table=> wwv_flow_image_api.g_varchar2_table,
       p_mimetype=> 'image/x-png',
       p_flow_id=> 0,
       p_nlang=> '0',
       p_notes=> '');
 
end;
/

begin
    wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
    wwv_flow_image_api.g_varchar2_table(1) := '4749463839612A0012008700003750AD9EABD4FFFFFF334EB1FFFFFF7686C0FFFFFFFFFFFFF1EFEFE8E4E45369B9FBF9F9F9F7F724367AF4F2F22F479FBCC4E24059B4FFFFFF6476BAE9EBF51F3069ECE8E8334DAD334CA97F87A3939AAF2C43969DA8D3';
    wwv_flow_image_api.g_varchar2_table(2) := 'E6E2E2334DADF5F6FB7484C0354A973750ABBECAF86778B7344EB05469B62E469E3048A08697D82E4392FFFFFFFFFFFFFFFFFF7585C1909DCE223476324BA8AEB9DC25387F2335793F4B79FFFFFF3852B025387D445CB4213273314BAB2F47A1324CAC30';
    wwv_flow_image_api.g_varchar2_table(3) := '49A67689CE324AA2344EB0415AB72B4191334DAF283D8A3D56B16274B6A0A6C04E5984AEB7DADCDFEAD6DDF63345892C3C72445BAE4D609DA2ABCC1E2E68BBBFC9364FAA1F2F692C3D743851AE52608E44548AA5AECF4A60B228366C344EB08F96B34F5D';
    wwv_flow_image_api.g_varchar2_table(4) := '8B7283C23E54A4AEB4CC3D56B1D9DCE7A2AFDEB1B9D16376BB4A62BA485FB23952AF9EABDC4258AA46578E354EA93D53A3455CB1556AB77988B9596DB7354DA74A62BAE3E6EF3246885B6FB72F479FF3F1F14A61B67788C76679BE435CB75063A23750AD';
    wwv_flow_image_api.g_varchar2_table(5) := '5D70B7B7C5FBD4DBF6BBBECB2C43982D449B4E5A86F0EEEE7989BB2D449B687BC0CAD0E84E64B6FFFFFF2D3D71445BB0838BA98291C83750AD909DCEA7ADC724377C5E71B8C4C7D4334DAF7585C1D8DCEE5D70B7324CAE475EB125387F2F47A11E2E6AE5';
    wwv_flow_image_api.g_varchar2_table(6) := 'E1E1EFEDEDFFFFFF334EB1FFFFFFFFFFFF0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D';
    wwv_flow_image_api.g_varchar2_table(7) := '0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D';
    wwv_flow_image_api.g_varchar2_table(8) := '0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D0D21F904030000A7002C000000002A0012000008';
    wwv_flow_image_api.g_varchar2_table(9) := 'FF004F091C48B0A0C18308139EB2C1A40C9F339702719A48B1A2C58A78E698D892488B1D842C46A45814674F1A4F2853AA5CC9120E24366F42FC31639085A01F68C6A8013409408E02400B9000409468811C268616252A820A1D202A9A88216863C40F3F';
    wwv_flow_image_api.g_varchar2_table(10) := '378294C8C4D585A94D6095701D6BCA05874D99287118CB9508061445DA90193828459D1B5D4AE9D5ABC9D4DEBD9A022830A549C10421142028F83B20538C0D30BC0810B8A68F91207FF912D654B89424533236110EB069428B0F2F320FE8718206160307';
    wwv_flow_image_api.g_varchar2_table(11) := '4E816974A544E6527DC16E4ACD08422921A33795DA14E076A90B0F2C596140E0D491272232DDEE9B99B8DEE0C38BDFF690A7C12307124EC9F709E386C880CCD4FF86C68DDDBAEA1D86741C42B0E25494104030643A0FD8947FFFA598460105D841F08176';
    wwv_flow_image_api.g_varchar2_table(12) := '7A0DD0890F435490017DA72C01850A28C4D0C3059D64A8E1869D440002871D821041861778B0830F8534500321E09D4240257714B1C1090FF000CA8D38E6A8E38E37F2F080224334C08506163077CA01062091050C34E030C327504629E594547E32030E';
    wwv_flow_image_api.g_varchar2_table(13) := '0DE850410D1A2480006C0209B00026917CE1442868A6A9E69A6CA2594115522491C114098CB2C0640389898005097420CA9F80062AE8A0817690800508DC6990000630E00022A3442AE9A494564AA91E0C1880A7410710200129A0862AEAA8A492EA0801';
    wwv_flow_image_api.g_varchar2_table(14) := 'B10D1410003B';
 
end;
/

 
declare
    l_name   varchar2(255);
    l_img_id number := null;
begin
    l_name   := 'sapphire_edit.gif';
    l_img_id := wwv_flow_image_api.new_image_repository_record(
       p_name=> l_name,
       p_varchar2_table=> wwv_flow_image_api.g_varchar2_table,
       p_mimetype=> 'image/gif',
       p_flow_id=> 0,
       p_nlang=> '0',
       p_notes=> '');
 
end;
/

begin
    wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
    wwv_flow_image_api.g_varchar2_table(1) := '4749463839611A0011008700001428501322591E294E1C2A601B26691B31691A2D721A397224367A233383233C8323398B2B41932B3E9D2B499D2B45A52B50A5334DAD404B6E3E50783B59AD3A54B6445AAC4461B44E599A4C62B45062BA506BBA5766B1';
    wwv_flow_image_api.g_varchar2_table(2) := '5B6FB75B79B76678BC6E7BBC6E82BC7685BC7784C3778BC37F8DC37F93CB8798C38795CB9199CB91A3CB99A5CB99A1D399A9D3A1ACD3A2AADAAAB4DAAFB4C5B3B8DBBBC2DBBCC0E2BCC9E2C4CBE2C5D1E9CDD4E9D4D5EAD4DCEAD7DDF1DEDFF2E3E3EBE6';
    wwv_flow_image_api.g_varchar2_table(3) := 'E8F2E8EEF8EFF1F9F6F6FAFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF';
    wwv_flow_image_api.g_varchar2_table(4) := 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF';
    wwv_flow_image_api.g_varchar2_table(5) := 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF';
    wwv_flow_image_api.g_varchar2_table(6) := 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF';
    wwv_flow_image_api.g_varchar2_table(7) := 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF';
    wwv_flow_image_api.g_varchar2_table(8) := 'FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF21F904030000FF002C000000001A0011000008';
    wwv_flow_image_api.g_varchar2_table(9) := 'FF00FF09FC07C4060C172E56B068A170054315294CA4C03170A0101C330EAE508102C5898E1F3D962811E283081F166DD080B1C2C4081121428090491304880F1E325CA080F21F0E1A2E5488F8D0A143060D17326CC870F4C2D20C14223CE04030A30A10';
    wwv_flow_image_api.g_varchar2_table(10) := '4571081922C407080A1528880D1B41AA0306330CB210B161838F20292C94F021246AD9BB65CF2AC070F0C4870C2B8678B89B414887081D6CE49091A16C03060810B86041A283051C3E2240C01BA1700E1774294060B0004101162A4270A8A04347D91339';
    wwv_flow_image_api.g_varchar2_table(11) := '5A9F7011A46C8621271E38508060808A13203450C0C1A36C08844310162F0BC485DE02034E8C0071A1C2892120F02677D1A3AC85212ACEF685F62D226759BA30409CD021640588E419660CB10019BA041C7F2B94A5B02208D71E2244E0C0094208114408';
    wwv_flow_image_api.g_varchar2_table(12) := '0CF036800031FC23827E1038D080036755C88084173200596F024820D00F163CF05882092A50E202132CA04002A62D28400F03F9C0418291D558406406209023740B4A006345FFCC8081690540570001031CC9E3001234385040003B';
 
end;
/

 
declare
    l_name   varchar2(255);
    l_img_id number := null;
begin
    l_name   := 'sapphire_go.gif';
    l_img_id := wwv_flow_image_api.new_image_repository_record(
       p_name=> l_name,
       p_varchar2_table=> wwv_flow_image_api.g_varchar2_table,
       p_mimetype=> 'image/gif',
       p_flow_id=> 0,
       p_nlang=> '0',
       p_notes=> '');
 
end;
/

begin
    wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
    wwv_flow_image_api.g_varchar2_table(1) := '47494638396120002000830000FFFFFFD3D1FBA6A2F67B75F14E46EC2218E81C14B80000007B75F1827CF20F0B65706AF0B2AFF70000002A21E916109621F904000000FF002C00000000200020000004D610C839431078688C03FDA0747182250A5B1986';
    wwv_flow_image_api.g_varchar2_table(2) := '99BA5E9AB74EA83B9F837073F79ACB1F5E8FA501D586AF632587DC1574924E73168845A11F20451B7C022E5C49614C197B4101C200805909C604C960BCF63DDB764309EE2C52E173672F057E336F66757F6A436605487443818E3D01904E883D87892B8D';
    wwv_flow_image_api.g_varchar2_table(3) := '63582C05047821817B643373399F148793819B5B04845561006614B205B587250361AF5BB72073041E5253A49E27ABC86CB2BE344CCD51B2A25B4AC802B9CC23CC5403B9B015249428809928AA5C28B984DE68E99DF2A2B5991AED6AD22B11003B';
 
end;
/

 
declare
    l_name   varchar2(255);
    l_img_id number := null;
begin
    l_name   := 'sapphire_logout.gif';
    l_img_id := wwv_flow_image_api.new_image_repository_record(
       p_name=> l_name,
       p_varchar2_table=> wwv_flow_image_api.g_varchar2_table,
       p_mimetype=> 'image/gif',
       p_flow_id=> 0,
       p_nlang=> '0',
       p_notes=> '');
 
end;
/

begin
    wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
    wwv_flow_image_api.g_varchar2_table(1) := '47494638396120002000870000FFFFFFD3D1FBA6A2F67B75F14E46EC2218E8D3D1FBD3D1FBA6A2F67B75F14E46EC2218E8A6A2F6A6A2F6A6A2F67B75F14E46EC2218E87B75F17B75F17B75F17B75F14E46EC2218E84E46EC4E46EC4E46EC4E46EC4E46EC';
    wwv_flow_image_api.g_varchar2_table(2) := '2218E82218E82218E82218E82218E82218E82218E8D3D1FBD3D1FBA6A2F67B75F14E46EC2218E8D3D1FBA6A2F67B75F14E46EC2218E81C14B8A6A2F67B75F17B75F14E46EC2218E81C14B87B75F14E46EC4E46EC4E46EC2218E81C14B84E46EC2218E822';
    wwv_flow_image_api.g_varchar2_table(3) := '18E82218E82218E81C14B82218E81C14B81C14B81C14B81C14B81C14B8A6A2F6A6A2F6A6A2F67B75F14E46EC2218E8A6A2F67B75F17B75F14E46EC2218E81C14B8A6A2F67B75F14E46EC2218E81C14B8150F8B7B75F14E46EC2218E82218E81C14B8150F';
    wwv_flow_image_api.g_varchar2_table(4) := '8B4E46EC2218E81C14B81C14B81C14B8150F8B2218E81C14B8150F8B150F8B150F8B150F8B7B75F17B75F17B75F17B75F14E46EC2218E87B75F14E46EC4E46EC4E46EC2218E81C14B87B75F14E46EC2218E82218E81C14B8150F8B7B75F14E46EC2218E8';
    wwv_flow_image_api.g_varchar2_table(5) := '1C14B8150F8B0E0A5C4E46EC2218E81C14B8150F8B150F8B0E0A5C2218E81C14B8150F8B0E0A5C0E0A5C0E0A5C4E46EC4E46EC4E46EC4E46EC4E46EC2218E84E46EC2218E82218E82218E82218E81C14B84E46EC2218E81C14B81C14B81C14B8150F8B4E';
    wwv_flow_image_api.g_varchar2_table(6) := '46EC2218E81C14B8150F8B150F8B0E0A5C4E46EC2218E81C14B8150F8B0E0A5C07052F2218E81C14B8150F8B0E0A5C07052F07052F2218E82218E82218E82218E82218E82218E82218E81C14B81C14B81C14B81C14B81C14B82218E81C14B8150F8B150F';
    wwv_flow_image_api.g_varchar2_table(7) := '8B150F8B150F8B2218E81C14B8150F8B0E0A5C0E0A5C0E0A5C2218E81C14B8150F8B0E0A5C07052F07052F2218E81C14B8150F8B0E0A5C07052F000000000000000000000000000000000000000000000000000000000000000000000000000000000000';
    wwv_flow_image_api.g_varchar2_table(8) := '00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000021F904000000FF002C00000000200020000008';
    wwv_flow_image_api.g_varchar2_table(9) := 'FF0001081C383040801508592844883000C18710051E64B8C2A0C4150B2B468C9850E3C6830A1D6E1C88D1E3C88B2C569C647872634A910F5942BC4293C5468C3663A6DC7825000B9A5772162C49D0A74A9E001C06000A71C595A3001A8EEC9914C01500';
    wwv_flow_image_api.g_varchar2_table(10) := '0A1FFA642112E1C9AB4A815E8DF934A9C9885495222C5BD48A4DAF117FD2ACAAD42AD4813F65E2AD89B5A6CAB077053ACD4A326853B93B81DE5D4A5820D7C63AC5CE2D78C52DC1B15B5D02FDF990EFC0B1121BCB0DAA903365C39F23FAAC59BA34E8A89E';
    wwv_flow_image_api.g_varchar2_table(11) := '1DA3BEDCBA365BD856E0CA9E6DB576EBCA7B5306B6B2592069DF3FAD4824FE1866542BC46B1E77AD5830CD8A5C9B42972C3937C1E40EA56A468F0E147A60B947278E5C01BD7DE0E74161126D7993B8F7A13BE9C78CFE7EE2FB913E4527945614B504124D';
    wwv_flow_image_api.g_varchar2_table(12) := '96AD84937824B1405E7E06E2C45D7767E9179542E4B90561440101003B';
 
end;
/

 
declare
    l_name   varchar2(255);
    l_img_id number := null;
begin
    l_name   := 'sapphire_print.gif';
    l_img_id := wwv_flow_image_api.new_image_repository_record(
       p_name=> l_name,
       p_varchar2_table=> wwv_flow_image_api.g_varchar2_table,
       p_mimetype=> 'image/gif',
       p_flow_id=> 0,
       p_nlang=> '0',
       p_notes=> '');
 
end;
/

begin
    wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
    wwv_flow_image_api.g_varchar2_table(1) := '4749463839610F000D008700001A13B1FFFFFF5149ED938EF4AAA6F6A4A0F63B32EA3D34EA1C14C0ECEBFDEDECFE918CF44139EB1A13AFACA8F6433BEBA29EF63229E91D15C91C14BE534BEDFFFFFF000000000000000000000000000000000000000000';
    wwv_flow_image_api.g_varchar2_table(2) := '0000000000000000007771F1746EF03229E91D15C3281EE8FFFFFF0000000000000000000000000000000000000000000101010E0A60161098120D770F0B63000000726CF0130E821F16CC0000000E0A60150F872218E68C87F3A19DF5FFFFFF2E25E990';
    wwv_flow_image_api.g_varchar2_table(3) := '8BF3150F872017D32017DD2017D31E16CA130E823B32EA000000010101100C6A0101010101030101019D99F50F0B613B32EA0101012017D32E25E92017D30403150101012218E62218E60D0955130E820101032218E80F0B6107052D130E82000000A8A4';
    wwv_flow_image_api.g_varchar2_table(4) := 'F6BBB8F8010109040317000000FFFFFF0F0B6104031B130E820000002017D32017DD433BEB1E16CA02020A1912A62017D51E16CA1B13B51E16CA0F0B691912AC1610942017D51E16CA1F16D01E16CA463EEC000000110C6E010101C4C1F91F16CE000000';
    wwv_flow_image_api.g_varchar2_table(5) := '2017D90F0B696C66F07B75F11D15C30000000000000000001912AC0604240000000000000000000000000000000504200000000000000000002218E605041E837EF2807AF2352CEA352CEA0101070403171610901D15C101010702020C02020A0101010B';
    wwv_flow_image_api.g_varchar2_table(6) := '08480101010000000000000000000000000000000000000000000A073D0F0B63150F8F010101010103000000150F8F0000001610902218E60000000A073D0F0B63000000000000150F8F00000017119B150F8F2218E62218E60F0B658C87F3352CEAFFFF';
    wwv_flow_image_api.g_varchar2_table(7) := 'FF161098120D771B13B31C14BA01010702020C16109A2017D3010109000000120D730000000000000000000000000000000000001F16CE00000016109A2017D3120D77000000000000010101100C6A120D770000000101011E16CA16109A000000010101';
    wwv_flow_image_api.g_varchar2_table(8) := '281EE816109A16109A2017D31F16CE0101091F16CC1C14B80E0A5E3F37EB120D792218E20000000000000E0A5A1F16CE0F0B610E0A5C0E0A5E0E0A5C0F0B610E0A600E0A5C00000000000000000000000021F90403000015002C000000000F000D000008';
    wwv_flow_image_api.g_varchar2_table(9) := '7E002B081C483081008208071240D0A0A0000300221A107000C0C1810F260C70108000058904060E40508040809310225E14784040800100022800108122410026612E100060000100374FC24460404281004007E23CC9B3C1D19F040F2C3839D3808297';
    wwv_flow_image_api.g_varchar2_table(10) := '07080A2029746A819E051F583CEA6024838415063088086062C280003B';
 
end;
/

 
declare
    l_name   varchar2(255);
    l_img_id number := null;
begin
    l_name   := 'circledCheck.gif';
    l_img_id := wwv_flow_image_api.new_image_repository_record(
       p_name=> l_name,
       p_varchar2_table=> wwv_flow_image_api.g_varchar2_table,
       p_mimetype=> 'image/gif',
       p_flow_id=> 0,
       p_nlang=> '0',
       p_notes=> '');
 
end;
/

commit;
begin 
execute immediate 'alter session set nls_numeric_characters='''||wwv_flow_api.g_nls_numeric_chars||'''';
end;
/
set verify on
set feedback on
prompt  ...done
