 
--------------------------------------------------------------------
prompt  APPLICATION 42876 - Tester
--
-- Application Export:
--   Application:     42876
--   Name:            Tester
--   Date and Time:   17:11 Monday February 27, 2006
--   Exported By:     LARRY
--   Flashback:       0
--   HTML DB Version: 2.0.0.00.49
 
-- Import:
--   Using HTML DB application application builder
--   or
--   Using sqlplus as the Oracle user: FLOWS_020000
 
-- Application Statistics:
--   Pages:                24
--     Items:              69
--     Computations:        4
--     Validations:        14
--     Processes:          29
--     Regions:            45
--     Buttons:            49
--   Shared Components
--     Breadcrumbs:         0
--        Entries           0
--     Items:               1
--     Computations:        0
--     Processes:           1
--     Parent Tabs:         0
--     Tab Sets:            2
--        Tabs:            10
--     NavBars:             2
--     Lists:               1
--     Shortcuts:           0
--     Themes:              1
--     Templates:
--        Page:             7
--        List:             1
--        Report:           2
--        Label:            3
--        Region:           8
--     Messages:            0
--     Build Options:       1
 
 
set define off
set verify off
set serveroutput on size 1000000
set feedback off
WHENEVER SQLERROR EXIT SQL.SQLCODE ROLLBACK
begin wwv_flow.g_import_in_progress := true; end; 
/
 
prompt  Set Credentials...
 
begin
 
  -- Assumes you are running the script connected to sqlplus as the owner (parsing schema) of the application or as the HTML DB product schema.
  wwv_flow_api.set_security_group_id(p_security_group_id=>1074952124592816560);
 
end;
/

begin wwv_flow.g_import_in_progress := true; end;
/
begin 

select value into wwv_flow_api.g_nls_numeric_chars from nls_session_parameters where parameter='NLS_NUMERIC_CHARACTERS';

end;

/
begin execute immediate 'alter session set nls_numeric_characters=''.,''';

end;

/
begin wwv_flow.g_browser_language := 'en-us'; end;
/
prompt  Check Compatibility...
 
begin
 
-- This date identifies the minimum HTML DB version required to import this file.
wwv_flow_api.set_version(p_version_yyyy_mm_dd=>'2005.05.01');
 
end;
/

prompt  Set Application ID...
 
begin
 
   -- SET APPLICATION ID
   wwv_flow.g_flow_id := 42876;
   wwv_flow_api.g_id_offset := 0;
null;
 
end;
/

 
begin
 
   -- Remove Application
wwv_flow_api.remove_flow(42876);
 
end;
/

 
begin
 
wwv_flow_audit.remove_audit_trail(42876);
null;
 
end;
/

 
begin
 
wwv_flow_api.create_flow(
  p_id    => 42876,
  p_display_id=> 42876,
  p_owner => 'CHAPTER15',
  p_name  => 'Tester',
  p_alias => '42876',
  p_page_view_logging => 'YES',
  p_default_page_template=> 1245068046305425259 + wwv_flow_api.g_id_offset,
  p_printer_friendly_template=> 1135157468037532621 + wwv_flow_api.g_id_offset,
  p_default_region_template=> 1246756937831840116 + wwv_flow_api.g_id_offset,
  p_error_template    => 1135157468037532621 + wwv_flow_api.g_id_offset,
  p_home_link         => 'f?p=&APP_ID.:1:&SESSION.',
  p_box_width         => '98%',
  p_flow_language     => 'en-us',
  p_flow_language_derived_from=> 'FLOW_PRIMARY_LANGUAGE',
  p_flow_image_prefix => '/i/',
  p_documentation_banner=> 'Created 12/09/2003 12:46:36 PM',
  p_authentication    => 'CUSTOM2',
  p_login_url         => 'f?p=&APP_ID.:LOGIN:&SESSION.',
  p_logout_url        => 'wwv_flow_custom_auth_std.logout?p_this_flow=&APP_ID.&p_next_flow_page_sess=&APP_ID.:1:&SESSION.',
  p_public_url_prefix => '',
  p_public_user       => 'PUBLIC_USER',
  p_dbauth_url_prefix => '',
  p_proxy_server      => '',
  p_cust_authentication_process=> '.'||to_char(1135165162408532688 + wwv_flow_api.g_id_offset)||'.',
  p_cust_authentication_page=> '',
  p_custom_auth_login_url=> '',
  p_flow_version      => '1.0',
  p_flow_status       => 'AVAILABLE_W_EDIT_LINK',
  p_flow_unavailable_text=> 'This application is currently unavailable at this time.',
  p_build_status      => 'RUN_AND_BUILD',
  p_exact_substitutions_only=> 'Y',
  p_vpd               => '',
  p_theme_id => 101,
  p_default_label_template => 1135159145247532623 + wwv_flow_api.g_id_offset,
  p_default_report_template => 1246592133988720648 + wwv_flow_api.g_id_offset,
  p_default_list_template => 1135162364204532627 + wwv_flow_api.g_id_offset,
  p_default_menu_template => 1135162456437532627 + wwv_flow_api.g_id_offset,
  p_default_button_template => 1246824252491886845 + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'LARRY',
  p_last_upd_yyyymmddhh24miss => '20060227164632',
  p_required_roles             => wwv_flow_utilities.string_to_table2(''));
 
 
end;
/

---------------------------------------
prompt  ...AUTHORIZATION SCHEMES
--
 
begin
 
wwv_flow_api.create_security_scheme(
  p_id => 1135924664190927330 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_name=>'Test Admin',
  p_scheme_type=>'FUNCTION_RETURNING_BOOLEAN',
  p_scheme=>'return wwv_flow_user_api.current_user_in_group(''Test Admin'')',
  p_caching=>'BY_USER_BY_PAGE_VIEW',
  p_error_message=>'You must have Administrator privileges to access this page.');
 
wwv_flow_api.create_security_scheme(
  p_id => 1135924243066921149 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_name=>'TestTaker',
  p_scheme_type=>'FUNCTION_RETURNING_BOOLEAN',
  p_scheme=>'return wwv_flow_user_api.current_user_in_group(''Test Taker'')',
  p_caching=>'BY_USER_BY_SESSION',
  p_error_message=>'You must have Test Takers privileges to access this page.');
 
 
end;
/

--
prompt  ...Navigation Bar Entries
--
 
begin
 
wwv_flow_api.create_icon_bar_item(
  p_id             => 1135165047802532679 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_icon_sequence  => 90,
  p_icon_image     => '#COMPANY_IMAGES#sapphire_print.gif',
  p_icon_image2    => 'wwv_print.gif',
  p_icon_subtext   => '<span style="padding:4px;font-size:9pt;color:brown;">Print</span>',
  p_icon_target    => 'f?p=&FLOW_ID.:&APP_PAGE_ID.:&SESSION.::&DEBUG.::::YES',
  p_icon_image_alt => 'Print',
  p_icon_height    => 32,
  p_icon_width     => 32,
  p_icon_height2   => 24,
  p_icon_width2    => 24,
  p_icon_bar_disp_cond      => '',
  p_icon_bar_disp_cond_type => '',
  p_begins_on_new_line=> 'NO',
  p_cell_colspan      => 1,
  p_onclick=> '',
  p_icon_bar_comment=> '');
 
wwv_flow_api.create_icon_bar_item(
  p_id             => 1135164968706532675 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_icon_sequence  => 100,
  p_icon_image     => '#COMPANY_IMAGES#sapphire_logout.gif',
  p_icon_image2    => 'wwv_logout.gif',
  p_icon_subtext   => '<span style="padding:4px;font-size:9pt;color:brown;">Logout</span>',
  p_icon_target    => '&LOGOUT_URL.',
  p_icon_image_alt => 'Logout',
  p_icon_height    => 32,
  p_icon_width     => 32,
  p_icon_height2   => 24,
  p_icon_width2    => 24,
  p_icon_bar_disp_cond      => '',
  p_icon_bar_disp_cond_type => '',
  p_begins_on_new_line=> 'NO',
  p_cell_colspan      => 1,
  p_onclick=> '',
  p_icon_bar_comment=> '');
 
 
end;
/

---------------------------------------
prompt  ...Application Level Processes
--
 
begin
 
declare
    p varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
p:=p||'HTMLDB_ITEM.MULTI_ROW_UPDATE(''SCOTT:emp:empno,1|ename,2:job,3:sal,4:comm,5:deptno,6'');';

wwv_flow_api.create_flow_process(
  p_id => 1136259365651909328 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_process_sequence=> 1,
  p_process_point => 'AFTER_SUBMIT',
  p_process_type=> 'PLSQL',
  p_process_name=> 'MultiRowEmp',
  p_process_sql_clob=> p,
  p_process_error_message=> 'Problem processing rows for EMP',
  p_process_when=> '1 = 2 ',
  p_process_when_type=> 'PLSQL_EXPRESSION',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_process_comment=> 'created 06-JAN-2004 11:54:42');
end;
 
null;
 
end;
/

---------------------------------------
prompt  ...Application Level Items
--
 
begin
 
wwv_flow_api.create_flow_item(
  p_id=> 1135165561477537259 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_name=> 'FSP_AFTER_LOGIN_URL',
  p_data_type=> 'VARCHAR',
  p_is_persistent=> 'Y',
  p_protection_level=> '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_item_comment=> 'Used by Custom2 authentication for deep linking support');
 
null;
 
end;
/

---------------------------------------
prompt  ...Application Level Computations
--
 
begin
 
null;
 
end;
/

---------------------------------------
prompt  ...Application Tabs
--
 
begin
 
wwv_flow_api.create_tab (
  p_id=> 1135164654728532671 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_tab_sequence=> 1,
  p_tab_name=> 'T_TAKETEST',
  p_tab_text => 'TakeTest',
  p_tab_step => 1,
  p_tab_also_current_for_pages => '102,103,104,113,114',
  p_tab_parent_tabset=>'',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_security_scheme => 1135924243066921149+ wwv_flow_api.g_id_offset,
  p_tab_comment  => '');
 
wwv_flow_api.create_tab (
  p_id=> 1135164746452532674 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_tab_sequence=> 2,
  p_tab_name=> 'T_ADMINTEST',
  p_tab_text => 'AdminTest',
  p_tab_step => 210,
  p_tab_also_current_for_pages => '212,214,216,215,213,217,217,213,211,215',
  p_tab_parent_tabset=>'',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_security_scheme => 1135924664190927330+ wwv_flow_api.g_id_offset,
  p_tab_comment  => '');
 
wwv_flow_api.create_tab (
  p_id=> 1136807851309499534 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_tab_sequence=> 3,
  p_tab_name=> 'Applicants',
  p_tab_text => 'Applicants',
  p_tab_step => 501,
  p_tab_also_current_for_pages => '502,500',
  p_tab_parent_tabset=>'',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_security_scheme => 1135924664190927330+ wwv_flow_api.g_id_offset,
  p_tab_comment  => '');
 
wwv_flow_api.create_tab (
  p_id=> 1135164859225532674 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_tab_sequence=> 4,
  p_tab_name=> 'T_REPORTS',
  p_tab_text => 'Reports',
  p_tab_step => 300,
  p_tab_also_current_for_pages => '301,303',
  p_tab_parent_tabset=>'',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_security_scheme => 1135924664190927330+ wwv_flow_api.g_id_offset,
  p_tab_comment  => '');
 
wwv_flow_api.create_tab (
  p_id=> 1136240867730791815 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_tab_sequence=> 5,
  p_tab_name=> 'T_MULTIROWUPDATE',
  p_tab_text => 'MultiRow Update',
  p_tab_step => 400,
  p_tab_also_current_for_pages => '',
  p_tab_parent_tabset=>'',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_security_scheme => 1135924664190927330+ wwv_flow_api.g_id_offset,
  p_tab_comment  => '');
 
wwv_flow_api.create_tab (
  p_id=> 1136271070980035573 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_tab_sequence=> 6,
  p_tab_name=> 'SimpleMRU',
  p_tab_text => 'SimpleMRU',
  p_tab_step => 401,
  p_tab_also_current_for_pages => '',
  p_tab_parent_tabset=>'',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_security_scheme => 1135924664190927330+ wwv_flow_api.g_id_offset,
  p_tab_comment  => '');
 
wwv_flow_api.create_tab (
  p_id=> 1135619151106616660 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Tables',
  p_tab_sequence=> 1,
  p_tab_name=> 'T_TAKETEST',
  p_tab_text => 'Take Test',
  p_tab_step => 1,
  p_tab_also_current_for_pages => '',
  p_tab_parent_tabset=>'',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_tab_comment  => '');
 
wwv_flow_api.create_tab (
  p_id=> 1135594759745467809 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Tables',
  p_tab_sequence=> 10,
  p_tab_name=> 'Test Table',
  p_tab_text => 'Maintain Tests',
  p_tab_step => 210,
  p_tab_also_current_for_pages => '',
  p_tab_parent_tabset=>'',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_tab_comment  => '');
 
wwv_flow_api.create_tab (
  p_id=> 1135625665005649138 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Tables',
  p_tab_sequence=> 20,
  p_tab_name=> 'T_QUESTIONS',
  p_tab_text => 'Questions',
  p_tab_step => 212,
  p_tab_also_current_for_pages => '',
  p_tab_parent_tabset=>'',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_tab_comment  => '');
 
wwv_flow_api.create_tab (
  p_id=> 1135626855093655670 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Tables',
  p_tab_sequence=> 30,
  p_tab_name=> 'T_ANSWERS',
  p_tab_text => 'Answers',
  p_tab_step => 214,
  p_tab_also_current_for_pages => '',
  p_tab_parent_tabset=>'',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_tab_comment  => '');
 
 
end;
/

---------------------------------------
prompt  ...Application Parent Tabs
--
 
begin
 
null;
 
end;
/

---------------------------------------
prompt  ...Application Level Lists of Values
--
 
begin
 
wwv_flow_api.create_list_of_values (
  p_id       => 1136255370874787783 + wwv_flow_api.g_id_offset,
  p_flow_id  => wwv_flow.g_flow_id,
  p_lov_name => 'DEPARTMENT',
  p_lov_query=> 'select dname, deptno '||chr(10)||
'from   dept'||chr(10)||
'order by 1');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_list_of_values (
  p_id       => 1136958749739592430 + wwv_flow_api.g_id_offset,
  p_flow_id  => wwv_flow.g_flow_id,
  p_lov_name => 'PERSON_LOV',
  p_lov_query=> 'select person_name, person_no'||chr(10)||
'  from person'||chr(10)||
' order by 1');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_list_of_values (
  p_id       => 1136975852294602652 + wwv_flow_api.g_id_offset,
  p_flow_id  => wwv_flow.g_flow_id,
  p_lov_name => 'TEST_LOV',
  p_lov_query=> 'select name, test_no from tests order by 1');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_list_of_values (
  p_id       => 1141669652405578919 + wwv_flow_api.g_id_offset,
  p_flow_id  => wwv_flow.g_flow_id,
  p_lov_name => 'YES_NO_LOV',
  p_lov_query=> '.'||to_char(1141669652405578919 + wwv_flow_api.g_id_offset)||'.');
 
null;
 
end;
/

---------------------------------------
prompt  ...Application Trees
--
 
begin
 
null;
 
end;
/

---------------------------------------
prompt  ...Application Level Lists of Values Entries
--
 
begin
 
wwv_flow_api.create_static_lov_data (
  p_id=>1141669952730578920 + wwv_flow_api.g_id_offset,
  p_lov_id=>1141669652405578919 + wwv_flow_api.g_id_offset,
  p_lov_disp_sequence=>1,
  p_lov_disp_value=>'Yes',
  p_lov_return_value=>'Y',
  p_lov_data_comment=> '');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_static_lov_data (
  p_id=>1141670147395578923 + wwv_flow_api.g_id_offset,
  p_lov_id=>1141669652405578919 + wwv_flow_api.g_id_offset,
  p_lov_disp_sequence=>2,
  p_lov_disp_value=>'No',
  p_lov_return_value=>'N',
  p_lov_data_comment=> '');
 
null;
 
end;
/

---------------------------------------
prompt  ...Page Groups
--
 
begin
 
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 1: TakeTest
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h:=h||'No help is available for this page.';

ph := null;
wwv_flow_api.create_page(
  p_id     => 1,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_name   => 'TakeTest',
  p_step_title=> 'TakeTest',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> '',
  p_help_text => ' ',
  p_html_page_header => '',
  p_step_template => '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20041107203015',
  p_page_comment  => '');
 
wwv_flow_api.set_page_help_text(p_flow_id=>wwv_flow.g_flow_id,p_flow_step_id=>1,p_text=>h);
end;
 
end;
/

declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s := null;
wwv_flow_api.create_page_plug (
  p_id=> 1135172745622788185 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 1,
  p_plug_name=> 'Who will be testing?',
  p_plug_template=> 1246756937831840116+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 10,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'BEFORE_BOX_BODY',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_display_error_message=> '#SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_row_count_max => 500,
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => '',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_customized=>'0',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> '');
end;
/
 
begin
 
wwv_flow_api.create_page_button(
  p_id             => 1135204866155626845 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 1,
  p_button_sequence=> 20,
  p_button_plug_id => 1135172745622788185+wwv_flow_api.g_id_offset,
  p_button_name    => 'P1_SELECT_TAKER',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Continue',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
 
end;
/

 
begin
 
wwv_flow_api.create_page_branch(
  p_id=>1135205143010626857 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 1,
  p_branch_action=> 'f?p=&FLOW_ID.:102:&SESSION.::&DEBUG.:::&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_when_button_id=>1135204866155626845+ wwv_flow_api.g_id_offset,
  p_branch_sequence=> 10,
  p_branch_comment=> '');
 
wwv_flow_api.create_page_branch(
  p_id=>1275617555245130103 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 1,
  p_branch_action=> 'f?p=&FLOW_ID.:102:&SESSION.::&DEBUG.:::',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_sequence=> 20,
  p_branch_comment=> 'Created 03-FEB-2004 13:58 by TESTDEV');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
h := null;
h:=h||'Select the name of the test taker from the selection list.  The selection list is diplayed by pressing the icon to the right of the field.';

wwv_flow_api.create_page_item(
  p_id=>1135982760080354899 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 1,
  p_name=>'P1_PERSON_NO',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 12,
  p_item_plug_id => 1135172745622788185+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'Test Taker',
  p_source_type=> 'STATIC',
  p_display_as=> 'POPUP_KEY_LOV',
  p_lov => 'select person_name display_value, person_no return_value '||chr(10)||
'  from person '||chr(10)||
' where active = ''Y'''||chr(10)||
' order by 1',
  p_lov_columns=> 1,
  p_lov_display_null=> 'YES',
  p_lov_translated=> 'N',
  p_lov_null_text=>'',
  p_lov_null_value=> '',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_help_text   => h,
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
h := null;
h:=h||'Passwords are case sensitive.  MyPassword is not the same as MYPASSWORD.  Make sure your caps lock key is not on.';

wwv_flow_api.create_page_item(
  p_id=>1135947363797248865 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 1,
  p_name=>'P1_PASSWORD',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 15,
  p_item_plug_id => 1135172745622788185+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'Password',
  p_source_type=> 'STATIC',
  p_display_as=> 'PASSWORD_WITH_ENTER_SUBMIT',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_help_text   => h,
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135844963286118164 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 1,
  p_name=>'P1_X',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 20,
  p_item_plug_id => 1135172745622788185+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'X',
  p_source=>'person=&P1_PERSON_NO. and test=&P102_TEST_NO.',
  p_source_type=> 'STATIC',
  p_display_as=> 'TEXT',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_required_patch=> 1258416841377875293 + wwv_flow_api.g_id_offset,
  p_item_comment => '');
 
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 1135983653631362481 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 1,
  p_validation_name => 'p1_person_selected',
  p_validation_sequence=> 12,
  p_validation => 'P1_PERSON_NO',
  p_validation_type => 'ITEM_NOT_NULL',
  p_error_message => 'select yourself from the list',
  p_associated_item=> 1135982760080354899 + wwv_flow_api.g_id_offset,
  p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 1135948573278261128 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 1,
  p_validation_name => 'p1_password_entered',
  p_validation_sequence=> 20,
  p_validation => 'P1_PASSWORD',
  p_validation_type => 'ITEM_NOT_NULL',
  p_error_message => 'You must enter the password.',
  p_associated_item=> 1135947363797248865 + wwv_flow_api.g_id_offset,
  p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 1135949168346278558 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 1,
  p_validation_name => 'p1_good_password',
  p_validation_sequence=> 30,
  p_validation => 'select 1'||chr(10)||
'  from person'||chr(10)||
' where person_no = :p1_person_no'||chr(10)||
'   and password  = :p1_password;',
  p_validation_type => 'EXISTS',
  p_error_message => 'Incorrect password for this test taker.  Passwords are case sensitive, make sure the caps lock is not on.',
  p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 1
--
 
begin
 
null;
end;
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 101: Login
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h := null;
ph := null;
wwv_flow_api.create_page(
  p_id     => 101,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> '',
  p_name   => 'Login',
  p_alias  => 'LOGIN',
  p_step_title=> 'Login',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> 'AUTO_FIRST_ITEM',
  p_help_text => '',
  p_html_page_header => '',
  p_step_template => 1245068342666425261+ wwv_flow_api.g_id_offset,
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20060227093623',
  p_page_is_public_y_n=> 'N',
  p_page_comment  => '');
 
end;
 
end;
/

declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s:=s||'<table border="0" summary=""><tr><td align="center"><img src="#WORKSPACE_IMAGES#circledCheck.gif" width="15px" height="13px" border="0" alt=""><font face="Arial" color="BLUE" size="-1">Passwords are case sensitive</font></td></tr></table>';

wwv_flow_api.create_page_plug (
  p_id=> 1256760228492865533 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 101,
  p_plug_name=> 'warning',
  p_plug_template=> 0,
  p_plug_display_sequence=> 20,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_display_error_message=> '#SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_row_count_max => 500,
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => '',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> '');
end;
/
declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s := null;
wwv_flow_api.create_page_plug (
  p_id=> 1135163671526532636 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 101,
  p_plug_name=> 'Login Items',
  p_plug_template=> 0,
  p_plug_display_sequence=> 10,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'COLON_DELMITED_LIST',
  p_plug_query_row_count_max => 500,
  p_plug_display_condition_type => '',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> '');
end;
/
 
begin
 
null;
 
end;
/

 
begin
 
null;
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135163756736532639 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 101,
  p_name=>'P101_USERNAME',
  p_data_type=> '',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 10,
  p_item_plug_id => 1135163671526532636+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> '',
  p_prompt=>'User Name',
  p_display_as=> 'TEXT',
  p_lov_columns=> null,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 20,
  p_cMaxlength=> 100,
  p_cHeight=> null,
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135163864308532640 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 101,
  p_name=>'P101_PASSWORD',
  p_data_type=> '',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 20,
  p_item_plug_id => 1135163671526532636+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> '',
  p_prompt=>'Password',
  p_display_as=> 'PASSWORD_WITH_ENTER_SUBMIT',
  p_lov_columns=> null,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 20,
  p_cMaxlength=> 100,
  p_cHeight=> null,
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135163946488532640 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 101,
  p_name=>'P101_LOGIN',
  p_data_type=> '',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 30,
  p_item_plug_id => 1135163671526532636+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> '',
  p_item_default => 'Login',
  p_source=>'LOGIN',
  p_display_as=> 'BUTTON',
  p_lov_columns=> null,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> null,
  p_cMaxlength=> null,
  p_cHeight=> null,
  p_tag_attributes  => 'template:'||to_char(1246824252491886845 + wwv_flow_api.g_id_offset),
  p_begin_on_new_line => 'NO',
  p_begin_on_new_field=> 'NO',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'LEFT',
  p_field_alignment  => 'LEFT',
  p_is_persistent=> 'Y',
  p_item_comment => '');
 
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'begin'||chr(10)||
'owa_util.mime_header(''text/html'', FALSE);'||chr(10)||
'owa_cookie.send('||chr(10)||
'    name=>''LOGIN_USERNAME_COOKIE'','||chr(10)||
'    value=>lower(:P101_USERNAME));'||chr(10)||
'exception when others then null;'||chr(10)||
'end;';

wwv_flow_api.create_page_process(
  p_id     => 1135164159556532644 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 101,
  p_process_sequence=> 10,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'PLSQL',
  p_process_name=> 'Set Username Cookie',
  p_process_sql_clob => p, 
  p_process_error_message=> '',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'wwv_flow_custom_auth_std.login('||chr(10)||
'    P_UNAME       => :P101_USERNAME,'||chr(10)||
'    P_PASSWORD    => :P101_PASSWORD,'||chr(10)||
'    P_SESSION_ID  => v(''APP_SESSION''),'||chr(10)||
'    P_FLOW_PAGE   => :APP_ID||'':1'''||chr(10)||
'    );';

wwv_flow_api.create_page_process(
  p_id     => 1135164054038532641 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 101,
  p_process_sequence=> 20,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'PLSQL',
  p_process_name=> 'Login',
  p_process_sql_clob => p, 
  p_process_error_message=> '',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'101,1,102';

wwv_flow_api.create_page_process(
  p_id     => 1135164368094532645 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 101,
  p_process_sequence=> 30,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'CLEAR_CACHE_FOR_PAGES',
  p_process_name=> 'Clear',
  p_process_sql_clob => p, 
  p_process_error_message=> '',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'declare'||chr(10)||
'    v varchar2(255) := null;'||chr(10)||
'    c owa_cookie.cookie;'||chr(10)||
'begin'||chr(10)||
'   c := owa_cookie.get(''LOGIN_USERNAME_COOKIE'');'||chr(10)||
'   :P101_USERNAME := c.vals(1);'||chr(10)||
'exception when others then null;'||chr(10)||
'end;';

wwv_flow_api.create_page_process(
  p_id     => 1135164260285532644 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 101,
  p_process_sequence=> 10,
  p_process_point=> 'BEFORE_HEADER',
  p_process_type=> 'PLSQL',
  p_process_name=> 'Get Username Cookie',
  p_process_sql_clob => p, 
  p_process_error_message=> '',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 101
--
 
begin
 
null;
end;
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 102: SelectTest
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h := null;
ph := null;
wwv_flow_api.create_page(
  p_id     => 102,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_name   => 'SelectTest',
  p_step_title=> '',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> '',
  p_help_text => '',
  p_html_page_header => '',
  p_step_template => '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20041107203015',
  p_page_comment  => '');
 
end;
 
end;
/

declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s := null;
wwv_flow_api.create_page_plug (
  p_id=> 1135206360746634669 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 102,
  p_plug_name=> 'Select Test To Take',
  p_plug_template=> 1246756937831840116+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 10,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_display_error_message=> '#SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_row_count_max => 500,
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => '',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_customized=>'0',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> '');
end;
/
 
begin
 
wwv_flow_api.create_page_button(
  p_id             => 1135208150188669520 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 102,
  p_button_sequence=> 10,
  p_button_plug_id => 1135206360746634669+wwv_flow_api.g_id_offset,
  p_button_name    => 'P102_SELECT_TEST',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Start',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
 
end;
/

 
begin
 
wwv_flow_api.create_page_branch(
  p_id=>1135208449227669525 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 102,
  p_branch_action=> 'f?p=&FLOW_ID.:103:&SESSION.::&DEBUG.:::&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_when_button_id=>1135208150188669520+ wwv_flow_api.g_id_offset,
  p_branch_sequence=> 10,
  p_branch_comment=> '');
 
wwv_flow_api.create_page_branch(
  p_id=>1136393930758066552 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 102,
  p_branch_action=> 'f?p=&FLOW_ID.:103:&SESSION.::&DEBUG.:::&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'BEFORE_HEADER',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_sequence=> 10,
  p_branch_condition_type=> 'FUNCTION_BODY',
  p_branch_condition=> 'declare'||chr(10)||
'   v_count number;'||chr(10)||
'   v_test_no         number;'||chr(10)||
'   v_first_question  number;'||chr(10)||
'   v_total_questions number;'||chr(10)||
'   v_max_question    number;'||chr(10)||
'   v_max_answer      number;'||chr(10)||
'   v_results         varchar2(50);'||chr(10)||
'   '||chr(10)||
'   skip_to_questions boolean := false;'||chr(10)||
' '||chr(10)||
'    '||chr(10)||
'begin'||chr(10)||
'   select count(*)'||chr(10)||
'     into v_count'||chr(10)||
'     from person_tests'||chr(10)||
'    where person_no = :p1_person_no;'||chr(10)||
''||chr(10)||
'   if v_count = 1 then'||chr(10)||
'      -- they are only authorized one test '||chr(10)||
'      '||chr(10)||
'      select test_no '||chr(10)||
'        into v_test_no'||chr(10)||
'        from person_tests'||chr(10)||
'       where person_no = :p1_person_no;'||chr(10)||
''||chr(10)||
'      :p102_test_no := v_test_no;'||chr(10)||
'      '||chr(10)||
'      select nvl(max(r.question_no),-9) '||chr(10)||
'        into v_max_answer'||chr(10)||
'        from results r, questions q'||chr(10)||
'       where test_no = v_test_no'||chr(10)||
'         and q.question_no = r.question_no '||chr(10)||
'         and person_no = :p1_person_no;'||chr(10)||
' '||chr(10)||
'      if v_max_answer > 0 then '||chr(10)||
'         -- they have answers for this test '||chr(10)||
'      '||chr(10)||
'         -- select number of last question '||chr(10)||
'         select max(question_no)'||chr(10)||
'           into v_max_question '||chr(10)||
'           from questions q'||chr(10)||
'          where test_no = v_test_no;'||chr(10)||
'         '||chr(10)||
'         if v_max_answer = v_max_question then '||chr(10)||
'            -- they have answered all of the questions '||chr(10)||
'            '||chr(10)||
'            v_results := test_app.get_rating(nv(''P1_PERSON_NO''), v_test_no);'||chr(10)||
'            :p103_results := v_results;'||chr(10)||
'            :p103_all_done := ''TRUE''; '||chr(10)||
'            '||chr(10)||
'            skip_to_questions := true;'||chr(10)||
'         else'||chr(10)||
'            -- they have answered some of the questions '||chr(10)||
'            '||chr(10)||
'            select min(question_no) '||chr(10)||
'	           into v_first_question'||chr(10)||
'	           from questions '||chr(10)||
'	          where test_no = v_test_no'||chr(10)||
'               and question_no > v_max_answer;'||chr(10)||
'	   '||chr(10)||
'	         :p102_current_question := v_first_question;'||chr(10)||
'	'||chr(10)||
'		      select count(*)'||chr(10)||
'		       into v_total_questions'||chr(10)||
'		       from questions'||chr(10)||
'		      where test_no = v_test_no;'||chr(10)||
'		'||chr(10)||
'		      :p102_total_questions := v_total_questions;'||chr(10)||
'            '||chr(10)||
'            select count(*) +1'||chr(10)||
'              into v_count'||chr(10)||
'	      from results r, questions q'||chr(10)||
'	     where test_no = v_test_no'||chr(10)||
'               and q.question_no = r.question_no'||chr(10)||
'	       and person_no = :p1_person_no;'||chr(10)||
'            '||chr(10)||
'            :p102_cur_question_no := v_count;'||chr(10)||
'            '||chr(10)||
'            :p103_all_done := ''FALSE'';'||chr(10)||
'            '||chr(10)||
'            skip_to_questions := true;'||chr(10)||
'         end if;     '||chr(10)||
'      else '||chr(10)||
'         -- they have answered no questions '||chr(10)||
'      '||chr(10)||
'	 select min(question_no) '||chr(10)||
'	   into v_first_question'||chr(10)||
'	   from questions '||chr(10)||
'	  where test_no = v_test_no;'||chr(10)||
'	   '||chr(10)||
'	 :p102_current_question := v_first_question;'||chr(10)||
'	'||chr(10)||
'	 select count(*)'||chr(10)||
'	   into v_total_questions'||chr(10)||
'	   from questions'||chr(10)||
'	  where test_no = v_test_no;'||chr(10)||
'	'||chr(10)||
'	 :p102_total_questions := v_total_questions;'||chr(10)||
'	 :p102_cur_question_no := 1;'||chr(10)||
'         :p103_all_done := ''FALSE'';'||chr(10)||
'	     '||chr(10)||
'	 skip_to_questions := true;'||chr(10)||
'      end if;'||chr(10)||
'   end if;'||chr(10)||
'   '||chr(10)||
'   return skip_to_questions;'||chr(10)||
'   '||chr(10)||
'end;',
  p_branch_comment=> 'Created 12-JAN-2004 14:01 by LINNEMEYERL@TUSC.COM');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135207458022662330 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 102,
  p_name=>'P102_TEST_NO',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 10,
  p_item_plug_id => 1135206360746634669+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'Test',
  p_source=>'Test_No',
  p_source_type=> 'DB_COLUMN',
  p_display_as=> 'POPUP_KEY_LOV',
  p_lov => 'select name display_value, t.test_no return_value'||chr(10)||
'  from tests t , person_tests pt'||chr(10)||
' where pt.person_no = :p1_person_no'||chr(10)||
'   and t.test_no = pt.test_no'||chr(10)||
' order by 1',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135232042849255559 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 102,
  p_name=>'P102_CURRENT_QUESTION',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 20,
  p_item_plug_id => 1135206360746634669+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source_type=> 'STATIC',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'LEFT',
  p_field_alignment  => 'LEFT',
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135364472779175592 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 102,
  p_name=>'P102_TOTAL_QUESTIONS',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 30,
  p_item_plug_id => 1135206360746634669+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source_type=> 'STATIC',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> null,
  p_cMaxlength=> 2000,
  p_cHeight=> null,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'NO',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'LEFT',
  p_field_alignment  => 'LEFT',
  p_is_persistent=> 'Y',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135364949361178289 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 102,
  p_name=>'P102_CUR_QUESTION_NO',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 40,
  p_item_plug_id => 1135206360746634669+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source_type=> 'STATIC',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> null,
  p_cMaxlength=> 2000,
  p_cHeight=> null,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'NO',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'LEFT',
  p_field_alignment  => 'LEFT',
  p_is_persistent=> 'Y',
  p_item_comment => '');
 
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 1135237267446338353 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 102,
  p_validation_name => 'p102_test_selected',
  p_validation_sequence=> 10,
  p_validation => 'P102_TEST_NO',
  p_validation_type => 'ITEM_NOT_NULL',
  p_error_message => 'Select a test to take',
  p_when_button_pressed=> 1135208150188669520 + wwv_flow_api.g_id_offset,
  p_associated_item=> 1135207458022662330 + wwv_flow_api.g_id_offset,
  p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'declare'||chr(10)||
'   v_no              number;'||chr(10)||
'   v_count           number;'||chr(10)||
'   v_max_answer      number;'||chr(10)||
'   v_max_question    number;'||chr(10)||
'   v_total_questions number;'||chr(10)||
'   v_first_question  number;'||chr(10)||
'   v_results         varchar2(50);'||chr(10)||
'begin'||chr(10)||
''||chr(10)||
'   -- Determine if they have taken this test'||chr(10)||
'   if :p102_test_no = 82 then'||chr(10)||
'      -- this is the LIFO survey'||chr(10)||
'      select nvl(max(r.question_no),-9) '||chr(10)||
'        into v_max_answer'||chr(10)||
' ';

p:=p||'       from lifo_results r'||chr(10)||
'       where person_no = :p1_person_no;'||chr(10)||
'   else'||chr(10)||
'      select nvl(max(r.question_no),-9) '||chr(10)||
'        into v_max_answer'||chr(10)||
'        from results r, questions q'||chr(10)||
'       where test_no = :p102_test_no'||chr(10)||
'         and q.question_no = r.question_no'||chr(10)||
'         and person_no = :p1_person_no;'||chr(10)||
'   end if;'||chr(10)||
'   '||chr(10)||
'   if v_max_answer > 0 then '||chr(10)||
'      -- they have answers for this test '||chr(10)||
''||chr(10)||
'      -- select';

p:=p||' number of last question '||chr(10)||
'      select max(question_no)'||chr(10)||
'        into v_max_question '||chr(10)||
'        from questions q'||chr(10)||
'       where test_no = :p102_test_no;'||chr(10)||
''||chr(10)||
'      if v_max_answer = v_max_question then '||chr(10)||
'         -- they have answered all of the questions '||chr(10)||
''||chr(10)||
'         v_results := test_app.get_rating(nv(''P1_PERSON_NO''), :p102_test_no);'||chr(10)||
'         '||chr(10)||
'         if :p102_test_no = 82 then'||chr(10)||
'         '||chr(10)||
'            :p114_';

p:=p||'results := v_results;'||chr(10)||
'            :p114_all_done := ''TRUE''; '||chr(10)||
'            '||chr(10)||
'         else'||chr(10)||
'         '||chr(10)||
'            :p103_results := v_results;'||chr(10)||
'            :p103_all_done := ''TRUE'';'||chr(10)||
'         '||chr(10)||
'         end if;'||chr(10)||
''||chr(10)||
'      else'||chr(10)||
'         -- they have answered some of the questions '||chr(10)||
''||chr(10)||
'         '||chr(10)||
'         -- get the next question after the last one that they answered'||chr(10)||
'         select min(question_no) '||chr(10)||
'           int';

p:=p||'o v_first_question'||chr(10)||
'           from questions '||chr(10)||
'          where test_no = :p102_test_no'||chr(10)||
'            and question_no > v_max_answer;'||chr(10)||
''||chr(10)||
'         :p102_current_question := v_first_question;'||chr(10)||
''||chr(10)||
'         -- get the total number of questions'||chr(10)||
'         select count(*)'||chr(10)||
'          into v_total_questions'||chr(10)||
'          from questions'||chr(10)||
'         where test_no = :p102_test_no;'||chr(10)||
''||chr(10)||
'         :p102_total_questions := v_total_que';

p:=p||'stions;'||chr(10)||
''||chr(10)||
'         '||chr(10)||
'         if :p102_test_no = 82 then'||chr(10)||
'            -- count how many questions have been asked'||chr(10)||
'            -- for the LIFO survey there are 4 answers stored for each question.'||chr(10)||
'            select (count(*)/4) + 1'||chr(10)||
'              into v_count'||chr(10)||
'              from lifo_results'||chr(10)||
'             where person_no = :p1_person_no;'||chr(10)||
'         else'||chr(10)||
'            '||chr(10)||
'            --count how many questions h';

p:=p||'ave been asked'||chr(10)||
'            select count(*) +1'||chr(10)||
'              into v_count'||chr(10)||
'              from results r, questions q'||chr(10)||
'             where test_no = :p102_test_no'||chr(10)||
'               and q.question_no = r.question_no'||chr(10)||
'               and person_no = :p1_person_no;'||chr(10)||
'         end if;'||chr(10)||
'         '||chr(10)||
'         '||chr(10)||
'         :p102_cur_question_no := v_count;'||chr(10)||
''||chr(10)||
'         '||chr(10)||
'         if :p102_test_no = 82 then'||chr(10)||
'            :p114_al';

p:=p||'l_done := ''FALSE'';'||chr(10)||
'         else'||chr(10)||
'            :p103_all_done := ''FALSE'';'||chr(10)||
'         end if;'||chr(10)||
''||chr(10)||
'      end if;  '||chr(10)||
'      '||chr(10)||
'   else '||chr(10)||
'      -- they have answered no questions '||chr(10)||
'         '||chr(10)||
'      -- get the first question number'||chr(10)||
'      select min(question_no) '||chr(10)||
'        into v_no'||chr(10)||
'        from questions '||chr(10)||
'       where test_no = :p102_test_no;'||chr(10)||
''||chr(10)||
'      :p102_current_question := v_no;'||chr(10)||
''||chr(10)||
'      -- count the total number of q';

p:=p||'uestions'||chr(10)||
'      select count(*)'||chr(10)||
'        into v_no'||chr(10)||
'        from questions'||chr(10)||
'       where test_no = nv(''P102_TEST_NO'');'||chr(10)||
''||chr(10)||
'      :p102_total_questions := v_no;'||chr(10)||
'      :p102_cur_question_no := 1;'||chr(10)||
'      if :p102_test_no = 82 then'||chr(10)||
'         :p114_all_done := ''FALSE'';'||chr(10)||
'      else'||chr(10)||
'         :p103_all_done := ''FALSE'';'||chr(10)||
'      end if;'||chr(10)||
''||chr(10)||
'   end if;'||chr(10)||
'end;';

wwv_flow_api.create_page_process(
  p_id     => 1135232950992295825 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 102,
  p_process_sequence=> 10,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'PLSQL',
  p_process_name=> 'p102_get_first_question',
  p_process_sql_clob => p, 
  p_process_error_message=> '',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 102
--
 
begin
 
null;
end;
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 103: Ask Questions
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h := null;
ph := null;
wwv_flow_api.create_page(
  p_id     => 103,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_name   => 'Ask Questions',
  p_step_title=> '',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> 'AUTO_FIRST_ITEM',
  p_help_text => '',
  p_html_page_header => '',
  p_step_template => '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20041107203015',
  p_page_is_public_y_n=> 'N',
  p_page_comment  => '');
 
end;
 
end;
/

declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s:=s||'select question||''?'' question'||chr(10)||
'  from questions '||chr(10)||
' where test_no = nv(''P102_TEST_NO'') '||chr(10)||
'   and question_no = NV(''P102_CURRENT_QUESTION'')';

wwv_flow_api.create_report_region (
  p_id=> 1135324973622636505 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 103,
  p_name=> 'Question',
  p_template=> 1246756937831840116+ wwv_flow_api.g_id_offset,
  p_display_sequence=> 10,
  p_display_column=> 1,
  p_display_point=> 'AFTER_SHOW_ITEMS',
  p_source=> s,
  p_source_type=> 'SQL_QUERY',
  p_display_error_message=> '#SQLERRM#',
  p_footer                       => '&nbsp;',
  p_customized                   => '0',
  p_query_row_template           => 1,
  p_query_headings_type          => 'NO_HEADINGS',
  p_query_num_rows               => '15',
  p_query_options                => 'DERIVED_REPORT_COLUMNS',
  p_query_show_nulls_as          => ' - ',
  p_query_break_cols             => '0',
  p_query_no_data_found          => 'no data found',
  p_query_num_rows_type          => '0',
  p_query_row_count_max          => '500',
  p_pagination_display_position  => 'BOTTOM_RIGHT',
  p_csv_output                   => 'N',
  p_query_asc_image              => 'blue_arrow_down.gif',
  p_query_asc_image_attr         => 'width="13" height="12"',
  p_query_desc_image             => 'blue_arrow_up.gif',
  p_query_desc_image_attr        => 'width="13" height="12"',
  p_required_patch               => '' + wwv_flow_api.g_id_offset,
  p_comment                      => '');
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1135325354146636515 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135324973622636505 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 1,
  p_form_element_id=> null,
  p_column_alias=> 'QUESTION',
  p_column_display_sequence=> 1,
  p_column_heading=> '',
  p_column_css_class=> 'itemLabel',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_lov_show_nulls=> 'NO',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
end;
/
declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s := null;
wwv_flow_api.create_page_plug (
  p_id=> 1135343658767934977 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 103,
  p_plug_name=> 'Select the Best Answer',
  p_plug_template=> 1246756937831840116+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 20,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_display_error_message=> '#SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_row_count_max => 500,
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => '',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_customized=>'0',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> '');
end;
/
 
begin
 
wwv_flow_api.create_page_button(
  p_id             => 1144155655491103145 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 103,
  p_button_sequence=> 5,
  p_button_plug_id => 1135343658767934977+wwv_flow_api.g_id_offset,
  p_button_name    => 'P103_PREVIOUS',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> '<- Previous',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_button_condition=> 'P102_CUR_QUESTION_NO',
  p_button_condition2=> '1',
  p_button_condition_type=> 'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1135346649033979539 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 103,
  p_button_sequence=> 10,
  p_button_plug_id => 1135343658767934977+wwv_flow_api.g_id_offset,
  p_button_name    => 'P103_NEXT',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Next ->',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
 
end;
/

 
begin
 
wwv_flow_api.create_page_branch(
  p_id=>1135346968095979547 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 103,
  p_branch_action=> 'f?p=&FLOW_ID.:103:&SESSION.::&DEBUG.:::&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_sequence=> 10,
  p_branch_condition_type=> 'REQUEST_IN_CONDITION',
  p_branch_condition=> 'P103_NEXT P103_PREVIOUS',
  p_branch_comment=> '');
 
wwv_flow_api.create_page_branch(
  p_id=>1079044135727364608 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 103,
  p_branch_action=> 'f?p=&FLOW_ID.:113:&SESSION.::&DEBUG.:::',
  p_branch_point=> 'BEFORE_HEADER',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_sequence=> 5,
  p_branch_condition_type=> 'PLSQL_EXPRESSION',
  p_branch_condition=> 'NVL(:P103_ALL_DONE,''FALSE'') = ''FALSE'' and'||chr(10)||
'NVL(:P102_TEST_NO, ''99'') = ''82''',
  p_branch_comment=> 'Created 17-SEP-2004 17:43 by TESTDEV');
 
wwv_flow_api.create_page_branch(
  p_id=>1135416664868395517 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 103,
  p_branch_action=> 'f?p=&FLOW_ID.:104:&SESSION.::&DEBUG.:::&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'BEFORE_HEADER',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_sequence=> 10,
  p_branch_condition_type=> 'PLSQL_EXPRESSION',
  p_branch_condition=> 'NVL(:P103_ALL_DONE,''FALSE'') = ''TRUE''',
  p_branch_comment=> 'Created 11-DEC-2003 11:37 by TESTDEV');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135341368848890562 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 103,
  p_name=>'P103_SELECTIONS',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 10,
  p_item_plug_id => 1135343658767934977+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source_type=> 'STATIC',
  p_display_as=> 'RADIOGROUP',
  p_lov => 'select answer, choice_letter'||chr(10)||
'  from answers '||chr(10)||
' where question_no = NV(''P102_CURRENT_QUESTION'')',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135373871758326667 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 103,
  p_name=>'P103_SPACE',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 15,
  p_item_plug_id => 1135343658767934977+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source=>'&nbsp;',
  p_source_type=> 'STATIC',
  p_display_as=> 'DISPLAY_ONLY_HTML',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135366161743200817 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 103,
  p_name=>'P103_QUESTION_COUNTER',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 20,
  p_item_plug_id => 1135343658767934977+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source=>'Question &P102_CUR_QUESTION_NO. of &P102_TOTAL_QUESTIONS.',
  p_source_type=> 'STATIC',
  p_display_as=> 'DISPLAY_ONLY_HTML',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'LEFT',
  p_field_alignment  => 'LEFT-BOTTOM',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135389661303561749 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 103,
  p_name=>'P103_XXXXXX',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 30,
  p_item_plug_id => 1135343658767934977+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'variables',
  p_source=>'''current=''||nv(''P102_CURRENT_QUESTION'')||'||chr(10)||
'''count=''||NV(''P102_CUR_QUESTION_NO'')||'||chr(10)||
'''TEST=''||NV(''P102_TEST_NO'')||'||chr(10)||
'''TAKER=''||NV(''P1_PERSON_NO'')',
  p_source_type=> 'FUNCTION',
  p_display_as=> 'TEXT',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 75,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_required_patch=> 1258416841377875293 + wwv_flow_api.g_id_offset,
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135411368912838409 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 103,
  p_name=>'P103_ALL_DONE',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 40,
  p_item_plug_id => 1135343658767934977+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'All Done',
  p_source_type=> 'ALWAYS_NULL',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135448842451145992 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 103,
  p_name=>'P103_RESULTS',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 50,
  p_item_plug_id => 1135343658767934977+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source_type=> 'ALWAYS_NULL',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> null,
  p_cMaxlength=> 2000,
  p_cHeight=> null,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'NO',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'LEFT',
  p_field_alignment  => 'LEFT',
  p_is_persistent=> 'Y',
  p_item_comment => '');
 
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 1135361770177136983 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 103,
  p_validation_name => 'p103_made_choice',
  p_validation_sequence=> 10,
  p_validation => 'P103_SELECTIONS',
  p_validation_type => 'ITEM_NOT_NULL',
  p_error_message => 'You must select an answer to the question.',
  p_when_button_pressed=> 1135346649033979539 + wwv_flow_api.g_id_offset,
  p_associated_item=> 1135341368848890562 + wwv_flow_api.g_id_offset,
  p_error_display_location=>'INLINE_IN_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'declare'||chr(10)||
'  v_next number;'||chr(10)||
'    v_results  varchar2(30);'||chr(10)||
''||chr(10)||
'begin'||chr(10)||
''||chr(10)||
'   begin'||chr(10)||
'      insert into results'||chr(10)||
'         (person_no, question_no, choice)'||chr(10)||
'        values'||chr(10)||
'         (nv(''P1_PERSON_NO''),'||chr(10)||
'          nv(''P102_CURRENT_QUESTION''),'||chr(10)||
'          v(''P103_SELECTIONS''));'||chr(10)||
'   exception'||chr(10)||
'      when dup_val_on_index then'||chr(10)||
'         update results'||chr(10)||
'            set choice = v(''P103_SELECTIONS'')'||chr(10)||
'          where person_no = ';

p:=p||'nv(''P1_PERSON_NO'')'||chr(10)||
'            and question_no = nv(''P102_CURRENT_QUESTION'');'||chr(10)||
'   end;'||chr(10)||
''||chr(10)||
'   select min(question_no)'||chr(10)||
'     into v_next'||chr(10)||
'     from questions'||chr(10)||
'    where test_no = nv(''P102_TEST_NO'') '||chr(10)||
'      and question_no > NV(''P102_CURRENT_QUESTION'');'||chr(10)||
'   '||chr(10)||
'   if v_next is null then '||chr(10)||
'      v_results := test_app.get_rating(nv(''P1_PERSON_NO''),nv(''P102_TEST_NO''));'||chr(10)||
'      :p103_results := v_results;'||chr(10)||
'      :p103_';

p:=p||'all_done := ''TRUE'';'||chr(10)||
'   else'||chr(10)||
'      :p103_all_done := ''FALSE'';'||chr(10)||
'   end if;'||chr(10)||
''||chr(10)||
'   :p102_current_question := v_next;'||chr(10)||
'   :p103_selections := null;'||chr(10)||
''||chr(10)||
'   v_next := nv(''P102_CUR_QUESTION_NO'');'||chr(10)||
'   :p102_cur_question_no := v_next + 1;'||chr(10)||
''||chr(10)||
'end;';

wwv_flow_api.create_page_process(
  p_id     => 1135348645319035236 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 103,
  p_process_sequence=> 10,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'PLSQL',
  p_process_name=> 'p103_save_answer',
  p_process_sql_clob => p, 
  p_process_error_message=> '',
  p_process_when_button_id=>1135346649033979539 + wwv_flow_api.g_id_offset,
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'declare'||chr(10)||
'   v_previous  number;'||chr(10)||
'begin'||chr(10)||
''||chr(10)||
'   select max(question_no)'||chr(10)||
'     into v_previous'||chr(10)||
'     from questions'||chr(10)||
'    where test_no = nv(''P102_TEST_NO'') '||chr(10)||
'      and question_no < NV(''P102_CURRENT_QUESTION'');'||chr(10)||
'   '||chr(10)||
'   :p103_all_done := ''FALSE'';'||chr(10)||
'   '||chr(10)||
'   :p102_current_question := v_previous;'||chr(10)||
'   :p103_selections := null;'||chr(10)||
''||chr(10)||
'   v_previous := nv(''P102_CUR_QUESTION_NO'');'||chr(10)||
'   :p102_cur_question_no := v_previous - 1;'||chr(10)||
''||chr(10)||
'en';

p:=p||'d;';

wwv_flow_api.create_page_process(
  p_id     => 1144174337876126468 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 103,
  p_process_sequence=> 20,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'PLSQL',
  p_process_name=> 'p103_previous',
  p_process_sql_clob => p, 
  p_process_error_message=> '',
  p_process_when_button_id=>1144155655491103145 + wwv_flow_api.g_id_offset,
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 103
--
 
begin
 
null;
end;
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 104: View Results
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h := null;
ph := null;
wwv_flow_api.create_page(
  p_id     => 104,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_name   => 'View Results',
  p_step_title=> '',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> 'AUTO_FIRST_ITEM',
  p_help_text => '',
  p_html_page_header => '',
  p_step_template => '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20060223091839',
  p_page_is_public_y_n=> 'N',
  p_page_comment  => '');
 
end;
 
end;
/

declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s:=s||'<table border=1 width = 100%>'||chr(10)||
'  <tr>'||chr(10)||
'    <td colspan=3 >The graph displays four groups each containing two categories.  If one of the categories is missing this means that you answered all of that groups questions in the remaining category '||chr(10)||
'    </td>'||chr(10)||
'  </tr>'||chr(10)||
'  <tr>'||chr(10)||
'    <td colspan = 3>&nbsp;</td>'||chr(10)||
'  </tr> '||chr(10)||
'  <tr>'||chr(10)||
'    <th width = 30%>Group</th><th width=40%>Category</th><th width=30%>Total Group Que';

s:=s||'stions</th>'||chr(10)||
'  </tr>'||chr(10)||
'  <tr>'||chr(10)||
'     <td rowspan=2 align=center>Group One</td>'||chr(10)||
'     <td>&nbsp;Introvert</td>'||chr(10)||
'     <td rowspan=2 align=center>10</td>'||chr(10)||
'  </tr>'||chr(10)||
'  <tr>'||chr(10)||
'     <td>&nbsp;Extrovert</td>'||chr(10)||
'  </tr>'||chr(10)||
'  <tr>'||chr(10)||
'     <td rowspan=2 align=center>Group Two</td>'||chr(10)||
'     <td>&nbsp;Sensing</td>'||chr(10)||
'     <td rowspan=2 align=center>20</td>'||chr(10)||
'  </tr>'||chr(10)||
'  <tr>'||chr(10)||
'     <td>&nbsp;Intuition</td>'||chr(10)||
'  </tr>'||chr(10)||
'  <tr>'||chr(10)||
'     <td rowspan=2 al';

s:=s||'ign=center>Group Three</td>'||chr(10)||
'     <td>&nbsp;Feeling</td>'||chr(10)||
'     <td rowspan=2 align=center>20</td>'||chr(10)||
'  </tr>'||chr(10)||
'  <tr>'||chr(10)||
'     <td>&nbsp;Thinking</td>'||chr(10)||
'  </tr>'||chr(10)||
'  <tr>'||chr(10)||
'     <td rowspan=2 align=center>Group Four</td>'||chr(10)||
'     <td>&nbsp;Judging</td>'||chr(10)||
'     <td rowspan=2 align=center>20</td>'||chr(10)||
'  </tr>'||chr(10)||
'  <tr>'||chr(10)||
'     <td>&nbsp;Perceiving</td>'||chr(10)||
'  </tr>'||chr(10)||
'</table>';

wwv_flow_api.create_page_plug (
  p_id=> 1225959450760723398 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 104,
  p_plug_name=> 'Key',
  p_plug_template=> 1135160457661532625+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 30,
  p_plug_display_column  => 2,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_display_error_message=> '#SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_row_count_max => 500,
  p_plug_column_width => 'valign=middle',
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => 'PLSQL_EXPRESSION',
  p_plug_display_when_condition => ':p102_test_no = 1',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_customized=>'1',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> '');
end;
/
declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s:=s||'select decode(rating, '||chr(10)||
'              ''ENFP'',''<a href="http://www.typelogic.com/enfp.html" target="NEW">ENFP</a>'', '||chr(10)||
'              ''INFP'',''<a href="http://www.typelogic.com/infp.html" target="NEW">INFP</a>'', '||chr(10)||
'              ''ENFJ'',''<a href="http://www.typelogic.com/enfj.html" target="NEW">ENFJ</a>'', '||chr(10)||
'              ''INFJ'',''<a href="http://www.typelogic.com/infj.html" target="NEW">INFJ</a>'', '||chr(10)||
'         ';

s:=s||'     ''ESTJ'',''<a href="http://www.typelogic.com/estj.html" target="NEW">ESTJ</a>'', '||chr(10)||
'              ''ISTJ'',''<a href="http://www.typelogic.com/istj.html" target="NEW">ISTJ</a>'', '||chr(10)||
'              ''ESFJ'',''<a href="http://www.typelogic.com/esfj.html" target="NEW">ESFJ</a>'', '||chr(10)||
'              ''ISFJ'',''<a href="http://www.typelogic.com/isfj.html" target="NEW">ISFJ</a>'', '||chr(10)||
'              ''ENTP'',''<a href="http://www';

s:=s||'.typelogic.com/entp.html" target="NEW">ENTP</a>'', '||chr(10)||
'              ''INTP'',''<a href="http://www.typelogic.com/intp.html" target="NEW">INTP</a>'', '||chr(10)||
'              ''ENTJ'',''<a href="http://www.typelogic.com/entj.html" target="NEW">ENTJ</a>'', '||chr(10)||
'              ''INTJ'',''<a href="http://www.typelogic.com/intj.html" target="NEW">INTJ</a>'', '||chr(10)||
'              ''ESTP'',''<a href="http://www.typelogic.com/estp.html" target';

s:=s||'="NEW">ESTP</a>'', '||chr(10)||
'              ''ISTP'',''<a href="http://www.typelogic.com/istp.html" target="NEW">ISTP</a>'', '||chr(10)||
'              ''ESFP'',''<a href="http://www.typelogic.com/esfp.html" target="NEW">ESFP</a>'', '||chr(10)||
'              ''ISFP'',''<a href="http://www.typelogic.com/isfp.html" target="NEW">ISFP</a>'','||chr(10)||
'              rating) rating, '||chr(10)||
'       decode(rating,''N/A'',test_app.get_lifo_short_rating_desc(v(''P1_PERSON';

s:=s||'_NO''),v(''P102_TEST_NO'')), short_description) as short_description, '||chr(10)||
'       decode(rating,''N/A'',test_app.get_lifo_long_rating_desc(v(''P1_PERSON_NO''),v(''P102_TEST_NO'')), short_description) as full_description'||chr(10)||
'  from ratings'||chr(10)||
' where rating = decode(v(''P102_TEST_NO''),82,v(''P114_RESULTS''),v(''P103_RESULTS''))'||chr(10)||
'   and test =  nv(''P102_TEST_NO'')';

wwv_flow_api.create_report_region (
  p_id=> 1135452070679191983 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 104,
  p_name=> 'Test Results',
  p_template=> 1246756937831840116+ wwv_flow_api.g_id_offset,
  p_display_sequence=> 2,
  p_display_column=> 1,
  p_display_point=> 'AFTER_SHOW_ITEMS',
  p_source=> s,
  p_source_type=> 'SQL_QUERY',
  p_display_error_message=> '#SQLERRM#',
  p_customized                   => '0',
  p_query_row_template           => 1246592133988720648+ wwv_flow_api.g_id_offset,
  p_query_headings_type          => 'COLON_DELMITED_LIST',
  p_query_num_rows               => '15',
  p_query_options                => 'DERIVED_REPORT_COLUMNS',
  p_query_show_nulls_as          => ' - ',
  p_query_break_cols             => '0',
  p_query_no_data_found          => 'no data found',
  p_query_num_rows_type          => '0',
  p_query_row_count_max          => '500',
  p_pagination_display_position  => 'BOTTOM_RIGHT',
  p_csv_output                   => 'N',
  p_query_asc_image              => 'blue_arrow_down.gif',
  p_query_asc_image_attr         => 'width="13" height="12"',
  p_query_desc_image             => 'blue_arrow_up.gif',
  p_query_desc_image_attr        => 'width="13" height="12"',
  p_required_patch               => '' + wwv_flow_api.g_id_offset,
  p_comment                      => '');
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1079241952235045292 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135452070679191983 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 1,
  p_form_element_id=> null,
  p_column_alias=> 'RATING',
  p_column_display_sequence=> 1,
  p_column_heading=> 'Rating',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1079242030006045292 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135452070679191983 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 2,
  p_form_element_id=> null,
  p_column_alias=> 'SHORT_DESCRIPTION',
  p_column_display_sequence=> 2,
  p_column_heading=> 'Short Description',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1079242131912045292 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135452070679191983 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 3,
  p_form_element_id=> null,
  p_column_alias=> 'FULL_DESCRIPTION',
  p_column_display_sequence=> 3,
  p_column_heading=> 'Full Description',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
end;
/
declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s:=s||'<div id="svgRegion"><embed src="f?p=&FLOW_ID.:104:#SESSION#:FLOW_SVG_CHART_R#REGION_ID#" width="#WIDTH#" height="#HEIGHT#" type="image/svg+xml" /></div><script src="#IMAGE_PREFIX#javascript/plugins.js"></script>';

wwv_flow_api.create_page_plug (
  p_id=> 1226087132732916907 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 104,
  p_plug_name=> 'SVG Myers Briggs Distributions',
  p_plug_template=> 1246555551819688014+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 10,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'SVG_CHART',
  p_plug_display_error_message=> '#SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_row_count_max => 500,
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => 'PLSQL_EXPRESSION',
  p_plug_display_when_condition => ':p102_test_no = 1',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_customized=>'1',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> '');
declare
 a varchar2(32767):=null;
begin
a:=a||'PIE';

wwv_flow_api.create_generic_attr(
 p_id=>1226087330034916909+wwv_flow_api.g_id_offset,
 p_region_id=>1226087132732916907+wwv_flow_api.g_id_offset,
 p_attribute_id=>2,
 p_attribute_value=>a);
end;
declare
 a varchar2(32767):=null;
begin
a:=a||'SVG Myers-Briggs Category Distribution';

wwv_flow_api.create_generic_attr(
 p_id=>1226087434542916909+wwv_flow_api.g_id_offset,
 p_region_id=>1226087132732916907+wwv_flow_api.g_id_offset,
 p_attribute_id=>4,
 p_attribute_value=>a);
end;
declare
 a varchar2(32767):=null;
begin
a:=a||'Y';

wwv_flow_api.create_generic_attr(
 p_id=>1226108230885931674+wwv_flow_api.g_id_offset,
 p_region_id=>1226087132732916907+wwv_flow_api.g_id_offset,
 p_attribute_id=>9,
 p_attribute_value=>a);
end;
declare
 a varchar2(32767):=null;
begin
a:=a||'RED';

wwv_flow_api.create_generic_attr(
 p_id=>1226108334988931674+wwv_flow_api.g_id_offset,
 p_region_id=>1226087132732916907+wwv_flow_api.g_id_offset,
 p_attribute_id=>10,
 p_attribute_value=>a);
end;
declare
 a varchar2(32767):=null;
begin
a:=a||'Y';

wwv_flow_api.create_generic_attr(
 p_id=>1226108658017931674+wwv_flow_api.g_id_offset,
 p_region_id=>1226087132732916907+wwv_flow_api.g_id_offset,
 p_attribute_id=>14,
 p_attribute_value=>a);
end;
declare
 a varchar2(32767):=null;
begin
a:=a||'Arial';

wwv_flow_api.create_generic_attr(
 p_id=>1226109358554931675+wwv_flow_api.g_id_offset,
 p_region_id=>1226087132732916907+wwv_flow_api.g_id_offset,
 p_attribute_id=>26,
 p_attribute_value=>a);
end;
declare
 a varchar2(32767):=null;
begin
a:=a||'14';

wwv_flow_api.create_generic_attr(
 p_id=>1226109455604931675+wwv_flow_api.g_id_offset,
 p_region_id=>1226087132732916907+wwv_flow_api.g_id_offset,
 p_attribute_id=>27,
 p_attribute_value=>a);
end;
declare
 a varchar2(32767):=null;
begin
a:=a||'#000000';

wwv_flow_api.create_generic_attr(
 p_id=>1226109542657931675+wwv_flow_api.g_id_offset,
 p_region_id=>1226087132732916907+wwv_flow_api.g_id_offset,
 p_attribute_id=>28,
 p_attribute_value=>a);
end;
declare
 a varchar2(32767):=null;
begin
a:=a||'Arial';

wwv_flow_api.create_generic_attr(
 p_id=>1226109630450931675+wwv_flow_api.g_id_offset,
 p_region_id=>1226087132732916907+wwv_flow_api.g_id_offset,
 p_attribute_id=>29,
 p_attribute_value=>a);
end;
declare
 a varchar2(32767):=null;
begin
a:=a||'400';

wwv_flow_api.create_generic_attr(
 p_id=>1226087650521916909+wwv_flow_api.g_id_offset,
 p_region_id=>1226087132732916907+wwv_flow_api.g_id_offset,
 p_attribute_id=>30,
 p_attribute_value=>a);
end;
declare
 a varchar2(32767):=null;
begin
a:=a||'600';

wwv_flow_api.create_generic_attr(
 p_id=>1226087741668916909+wwv_flow_api.g_id_offset,
 p_region_id=>1226087132732916907+wwv_flow_api.g_id_offset,
 p_attribute_id=>31,
 p_attribute_value=>a);
end;
declare
 a varchar2(32767):=null;
begin
a:=a||'8';

wwv_flow_api.create_generic_attr(
 p_id=>1226109746964931675+wwv_flow_api.g_id_offset,
 p_region_id=>1226087132732916907+wwv_flow_api.g_id_offset,
 p_attribute_id=>35,
 p_attribute_value=>a);
end;
declare
 a varchar2(32767):=null;
begin
a:=a||'#000000';

wwv_flow_api.create_generic_attr(
 p_id=>1226109849584931675+wwv_flow_api.g_id_offset,
 p_region_id=>1226087132732916907+wwv_flow_api.g_id_offset,
 p_attribute_id=>36,
 p_attribute_value=>a);
end;
declare
 a1 varchar2(32767) := null;
begin
a1:=a1||'select ''http://htmldb.oracle.com/pls/otn/f?p=&APP_ID.:310:&SESSION.:::RP:P310_PERSON_NO,P310_TEST_NO,P310_CATEGORY,P310_RETURN_PAGE:''||person_no||'',''||test_no||'',''||the_cat||'',104'' the_link, category, the_count'||chr(10)||
'  from (select q.test_no, p.person_no, person_name, '||chr(10)||
' 	       decode(category,'||chr(10)||
'                      ''I'', ''Introvert'','||chr(10)||
'                      ''E'', ''Extrovert'','||chr(10)||
'                      ''J'', ''Ju';

a1:=a1||'dging'','||chr(10)||
'                      ''P'', ''Perceiving'','||chr(10)||
'                      ''T'', ''Thinking'','||chr(10)||
'                      ''F'', ''Feeling'','||chr(10)||
'                      ''S'', ''Sensing'','||chr(10)||
'                      ''N'', ''Intuition'') category,'||chr(10)||
'               decode(category,'||chr(10)||
'                      ''I'',''A'','||chr(10)||
'                      ''E'',''B'','||chr(10)||
'                      ''S'',''C'','||chr(10)||
'                      ''N'',''D'','||chr(10)||
'                      ''F'',''E'',';

a1:=a1||''||chr(10)||
'                      ''T'',''F'','||chr(10)||
'                      ''J'',''G'','||chr(10)||
'                      ''P'',''H'') the_order,'||chr(10)||
'               category as the_cat,'||chr(10)||
'               count(*) the_count'||chr(10)||
'          from person p, questions q, '||chr(10)||
' 	       answers a, results r'||chr(10)||
'         where q.test_no     = :P102_TEST_NO'||chr(10)||
'           and p.person_no   = :P1_PERSON_NO'||chr(10)||
'           and q.question_no = a.question_no'||chr(10)||
'           and r.pers';

a1:=a1||'on_no   = p.person_no'||chr(10)||
'           and r.question_no = q.question_no'||chr(10)||
'           and r.choice      = a.choice_letter'||chr(10)||
'         group by q.test_no, p.person_no, '||chr(10)||
'                  person_name, category)'||chr(10)||
' order by the_order';

wwv_flow_api.create_chart_series_attr(
  p_id => 1226087853067916909+wwv_flow_api.g_id_offset,
  p_region_id => 1226087132732916907+wwv_flow_api.g_id_offset,
  p_series_id => 1,
  p_a001 => a1,
  p_a002 => '8',
  p_a003 => 'No data found.',
  p_a004 => '',
  p_a005 => '',
  p_a006 => '',
  p_a007 => '',
  p_a008 => '',
  p_a009 => '',
  p_a010 => '',
  p_a011 => '',
  p_a012 => '',
  p_a013 => '',
  p_a014 => '',
  p_a015 => '',
  p_a016 => '',
  p_a017 => '',
  p_a018 => '',
  p_a019 => '',
  p_a020 => '',
  p_a021 => '',
  p_a022 => '',
  p_a023 => '',
  p_a024 => '',
  p_a025 => '',
  p_a026 => '',
  p_a027 => '',
  p_a028 => '',
  p_a029 => '',
  p_a030 => '',
  p_a031 => '',
  p_a032 => '',
  p_a033 => '',
  p_a034 => '',
  p_a035 => '',
  p_a036 => '',
  p_a037 => '',
  p_a038 => '',
  p_a039 => '',
  p_a040 => '',
  p_a041 => '',
  p_a042 => '',
  p_a043 => '',
  p_a044 => '',
  p_a045 => '',
  p_a046 => '',
  p_a047 => '',
  p_a048 => '',
  p_a049 => '',
  p_a050 => '');
end;
end;
/
declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s:=s||'&nbsp;'||chr(10)||
'&nbsp;'||chr(10)||
'&nbsp;';

wwv_flow_api.create_page_plug (
  p_id=> 1220415728570371806 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 104,
  p_plug_name=> 'space',
  p_plug_template=> 0,
  p_plug_display_sequence=> 15,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_display_error_message=> '#SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_row_count_max => 500,
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => '',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_customized=>'0',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> '');
end;
/
declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s:=s||'select ''http://htmldb.oracle.com/pls/otn/f?p=&APP_ID.:310:&SESSION.:::RP:P310_PERSON_NO,P310_TEST_NO,P310_CATEGORY,P310_RETURN_PAGE:''||person_no||'',''||test_no||'',''||the_cat||'',104'', '||chr(10)||
'       category, the_count'||chr(10)||
'  from (select q.test_no, p.person_no, person_name, '||chr(10)||
' 	       decode(category,'||chr(10)||
'                      ''I'', ''Introvert'','||chr(10)||
'                      ''E'', ''Extrovert'','||chr(10)||
'                      ''J'', ''Jud';

s:=s||'ging'','||chr(10)||
'                      ''P'', ''Perceiving'','||chr(10)||
'                      ''T'', ''Thinking'','||chr(10)||
'                      ''F'', ''Feeling'','||chr(10)||
'                      ''S'', ''Sensing'','||chr(10)||
'                      ''N'', ''Intuition'') category,'||chr(10)||
'               decode(category,'||chr(10)||
'                      ''I'',''A'','||chr(10)||
'                      ''E'',''B'','||chr(10)||
'                      ''S'',''C'','||chr(10)||
'                      ''N'',''D'','||chr(10)||
'                      ''F'',''E'','||chr(10)||
'';

s:=s||'                      ''T'',''F'','||chr(10)||
'                      ''J'',''G'','||chr(10)||
'                      ''P'',''H'') the_order,'||chr(10)||
'               category as the_cat,'||chr(10)||
'               count(*) the_count'||chr(10)||
'          from person p, questions q, '||chr(10)||
' 	       answers a, results r'||chr(10)||
'         where q.test_no     = :P102_TEST_NO'||chr(10)||
'           and p.person_no   = :P1_PERSON_NO'||chr(10)||
'           and q.question_no = a.question_no'||chr(10)||
'           and r.perso';

s:=s||'n_no   = p.person_no'||chr(10)||
'           and r.question_no = q.question_no'||chr(10)||
'           and r.choice      = a.choice_letter'||chr(10)||
'         group by q.test_no, p.person_no, '||chr(10)||
'                  person_name, category)'||chr(10)||
' order by the_order';

wwv_flow_api.create_page_plug (
  p_id=> 1226030428999821151 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 104,
  p_plug_name=> 'HTML Myers Briggs Category Distribution',
  p_plug_template=> 1246555551819688014+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 5,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'SIMPLE_CHART',
  p_plug_display_error_message=> '#SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_row_count_max => 500,
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => 'PLSQL_EXPRESSION',
  p_plug_display_when_condition => ':p102_test_no = 1',
  p_plug_chart_font_size => '+0',
  p_plug_chart_max_rows => '8',
  p_plug_chart_num_mask => '999G999G999G990',
  p_plug_chart_scale => '500',
  p_plug_chart_axis => 'ZERO',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_customized=>'1',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> '');
declare
 a varchar2(32767):=null;
begin
a:=a||'PURPLE';

wwv_flow_api.create_generic_attr(
 p_id=>1226033038695823957+wwv_flow_api.g_id_offset,
 p_region_id=>1226030428999821151+wwv_flow_api.g_id_offset,
 p_attribute_id=>1,
 p_attribute_value=>a);
end;
end;
/
 
begin
 
null;
 
end;
/

 
begin
 
null;
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1267317451084184532 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 104,
  p_name=>'P104_CHANGE_QUESTION',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 10,
  p_item_plug_id => 1226030428999821151+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source=>'NO',
  p_source_type=> 'STATIC',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'LEFT',
  p_field_alignment  => 'LEFT',
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1267326141173191139 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 104,
  p_name=>'P104_CHANGE_QUES_NO',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 20,
  p_item_plug_id => 1226030428999821151+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source_type=> 'ALWAYS_NULL',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> null,
  p_cMaxlength=> 2000,
  p_cHeight=> null,
  p_cAttributes=> 'nowrap',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'LEFT',
  p_field_alignment  => 'LEFT',
  p_is_persistent=> 'Y',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1268310239281004340 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 104,
  p_name=>'P104_INCOMPLETE_NOTE',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 30,
  p_item_plug_id => 1226030428999821151+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source=>'You have answered the same number of questions in two categories.<br>'||chr(10)||
'This results in a tie and a personality type can not be assigned. <br> '||chr(10)||
'Look at the graph, two of the bars should be the same <br>'||chr(10)||
'&nbsp;&nbsp;&nbsp;Introvert and Extravert<br>'||chr(10)||
'&nbsp;&nbsp;&nbsp;Sensing  and Intuition <br>'||chr(10)||
'&nbsp;&nbsp;&nbsp;Feeling and Thinking<br>'||chr(10)||
'&nbsp;&nbsp;&nbsp;Judging and Perceiving<br>'||chr(10)||
'Click on the name for one of those that match.<br>'||chr(10)||
'Review the questions and see if you feel differently about any of them.<br>'||chr(10)||
'If you want to change an answer for a question click on the "CHANGE" button.  When the tie is broken you will have a rating.',
  p_source_type=> 'STATIC',
  p_display_as=> 'DISPLAY_ONLY_HTML',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_display_when=>'P103_RESULTS',
  p_display_when2=>'~INCOMPLETE',
  p_display_when_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'declare'||chr(10)||
'   v_results varchar2(50);'||chr(10)||
'begin'||chr(10)||
'   update results r'||chr(10)||
'      set choice = ('||chr(10)||
'   select choice_letter '||chr(10)||
'     from answers a '||chr(10)||
'    where question_no = r.question_no '||chr(10)||
'      and choice_letter != '||chr(10)||
'          (select choice '||chr(10)||
'             from results '||chr(10)||
'            where person_no = r.person_no'||chr(10)||
'              and question_no = r.question_no))'||chr(10)||
'    where person_no = :p1_person_no'||chr(10)||
'      and question_no = :p';

p:=p||'104_change_ques_no;'||chr(10)||
''||chr(10)||
'   :p104_change_question := ''NO'';'||chr(10)||
'   '||chr(10)||
'   v_results := test_app.get_rating(nv(''P1_PERSON_NO''),nv(''P102_TEST_NO''));'||chr(10)||
'   :p103_results := v_results;'||chr(10)||
'end;';

wwv_flow_api.create_page_process(
  p_id     => 1267442651225269793 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 104,
  p_process_sequence=> 10,
  p_process_point=> 'BEFORE_HEADER',
  p_process_type=> 'PLSQL',
  p_process_name=> 'Change Answer',
  p_process_sql_clob => p, 
  p_process_error_message=> 'Problem in changing answer',
  p_process_when=>'P104_CHANGE_QUESTION',
  p_process_when_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2',
  p_process_when2=>'YES',
  p_process_when_type2=>'',
  p_process_success_message=> 'Answer Changed',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 104
--
 
begin
 
null;
end;
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 113: Instructions
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h:=h||'No help text available.';

ph := null;
wwv_flow_api.create_page(
  p_id     => 113,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_name   => 'Instructions',
  p_step_title=> 'Instructions',
  p_step_sub_title => 'Instructions',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> 'AUTO_FIRST_ITEM',
  p_help_text => ' ',
  p_html_page_header => '',
  p_step_template => '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20060223091843',
  p_page_is_public_y_n=> 'N',
  p_page_comment  => '');
 
wwv_flow_api.set_page_help_text(p_flow_id=>wwv_flow.g_flow_id,p_flow_step_id=>113,p_text=>h);
end;
 
end;
/

declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s:=s||'<u>DO NOT USE 4,3,2, or 1 MORE THAN ONCE.</u><br>'||chr(10)||
'If the statements that follow in this questionaire have two or more endings that seem equally like you, or are not like you at all, please rank them anyway, even though it may be difficult.  Each ending <u>must be</u> ranked 4,3,2 or 1.'||chr(10)||
'<br>'||chr(10)||
'<br>';

wwv_flow_api.create_page_plug (
  p_id=> 1079167959349926050 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 113,
  p_plug_name=> 'Order the responses',
  p_plug_template=> 1246756937831840116+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 60,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_display_error_message=> '#SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_row_count_max => 500,
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => '',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_customized=>'0',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> '');
end;
/
declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s:=s||'<P>The LIFO Survey provides an opportunity for you to describe your unique strenghts and personl styles -- the actions that make you as successful as you are.  The results describe your style and strengths when things are going well, and when you meet stress or conflict.</P>'||chr(10)||
''||chr(10)||
'When Answering  the LIFO Survey it is important to remember:'||chr(10)||
'<ul>'||chr(10)||
'<li>The LIFO Survey is NOT a test--there are no right or ';

s:=s||'wrong, good or bad answers.<br></li>'||chr(10)||
'<li>Think of yourself in one of the following settings: at work, with your family, as part of a specific group.<br></li>'||chr(10)||
'<li>Answer the questions to describe yourself as you are NOW--not how you would <u>like</u> to be, or how you <u>used</u> to be.';

wwv_flow_api.create_page_plug (
  p_id=> 1079030335822721161 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 113,
  p_plug_name=> 'Instructions',
  p_plug_template=> 1245474927907847235+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 10,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_display_error_message=> '#SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_row_count_max => 500,
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => '',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_customized=>'0',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> '');
end;
/
declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s:=s||'You will be given a descriptive statement, followed by four possible endings.  You are to indicate the order in which you feel each ending applies to you.  Each statement has a corresponding set of radio buttons.  Select either 4, 3, 2 or 1 according to which ending is <u>most like you(4)</u> and <u>least like you (1).</u>';

wwv_flow_api.create_page_plug (
  p_id=> 1079032139472835775 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 113,
  p_plug_name=> 'Directions',
  p_plug_template=> 1246756937831840116+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 20,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_display_error_message=> '#SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_row_count_max => 500,
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => '',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_customized=>'0',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> '');
end;
/
declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s:=s||'<p>'||chr(10)||
'&nbsp;&nbsp;Statement - Most of the time I am:'||chr(10)||
'<br><br>'||chr(10)||
'&nbsp;&nbsp;Response A - good-natured and helpful.<br>'||chr(10)||
'&nbsp;&nbsp;Response B - hard-working and full of ideas.<br>'||chr(10)||
'&nbsp;&nbsp;Response C - practical and careful.<br>'||chr(10)||
'&nbsp;&nbsp;Response D - charming and popular.<br>'||chr(10)||
'</p>'||chr(10)||
'<p>'||chr(10)||
''||chr(10)||
'';

wwv_flow_api.create_page_plug (
  p_id=> 1079033546275903972 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 113,
  p_plug_name=> 'Example',
  p_plug_template=> 1246756937831840116+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 30,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_display_error_message=> '#SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_row_count_max => 500,
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => '',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_customized=>'0',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> '');
end;
/
 
begin
 
wwv_flow_api.create_page_button(
  p_id             => 1079039332059098525 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 113,
  p_button_sequence=> 10,
  p_button_plug_id => 1079167959349926050+wwv_flow_api.g_id_offset,
  p_button_name    => 'CONTINUE',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Continue',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_button_redirect_url=> 'f?p=&FLOW_ID.:114:&SESSION.::&DEBUG.:::',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
 
end;
/

 
begin
 
null;
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1079177454941981578 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 113,
  p_name=>'P113_INSTRUCTIONS',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 5,
  p_item_plug_id => 1079167959349926050+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source=>'Select either 4, 3, 2 or 1 according to which ending is <u>most like you(4)</u> and <u>least like you (1).</u>',
  p_source_type=> 'STATIC',
  p_display_as=> 'DISPLAY_ONLY_HTML',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1079183640575015259 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 113,
  p_name=>'P113_TABLE',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 7,
  p_item_plug_id => 1079167959349926050+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source_type=> 'STATIC',
  p_display_as=> 'STOP_AND_START_HTML_TABLE',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1079172940480958445 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 113,
  p_name=>'P113_EXAMPLE_A',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 10,
  p_item_plug_id => 1079167959349926050+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'A',
  p_source_type=> 'STATIC',
  p_display_as=> 'RADIOGROUP',
  p_lov => 'STATIC:1,2,3,4',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 3,
  p_rowspan => 1,
  p_label_alignment  => 'ABOVE',
  p_field_alignment  => 'CENTER',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1079174154333962428 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 113,
  p_name=>'P113_EXAMPLE_B',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 20,
  p_item_plug_id => 1079167959349926050+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'B',
  p_source_type=> 'STATIC',
  p_display_as=> 'RADIOGROUP',
  p_lov => 'STATIC:1,2,3,4',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'NO',
  p_begin_on_new_field=> 'YES',
  p_colspan => 3,
  p_rowspan => 1,
  p_label_alignment  => 'ABOVE',
  p_field_alignment  => 'CENTER-BOTTOM',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1079174728491964400 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 113,
  p_name=>'P113_EXAMPLE_C',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 30,
  p_item_plug_id => 1079167959349926050+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'C',
  p_source_type=> 'STATIC',
  p_display_as=> 'RADIOGROUP',
  p_lov => 'STATIC:1,2,3,4',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'NO',
  p_begin_on_new_field=> 'YES',
  p_colspan => 3,
  p_rowspan => 1,
  p_label_alignment  => 'ABOVE',
  p_field_alignment  => 'CENTER-BOTTOM',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1079175335070966395 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 113,
  p_name=>'P113_EXAMPLE_D',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 40,
  p_item_plug_id => 1079167959349926050+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'D',
  p_source_type=> 'STATIC',
  p_display_as=> 'RADIOGROUP',
  p_lov => 'STATIC:1,2,3,4',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'NO',
  p_begin_on_new_field=> 'YES',
  p_colspan => 3,
  p_rowspan => 1,
  p_label_alignment  => 'ABOVE',
  p_field_alignment  => 'CENTER-BOTTOM',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1079175940958968055 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 113,
  p_name=>'P113_SPACE',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 50,
  p_item_plug_id => 1079167959349926050+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source=>'&nbsp;',
  p_source_type=> 'STATIC',
  p_display_as=> 'DISPLAY_ONLY_HTML',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 113
--
 
begin
 
null;
end;
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 114: Survey Questions
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h := null;
ph := null;
wwv_flow_api.create_page(
  p_id     => 114,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_name   => 'Survey Questions',
  p_alias  => 'ASKLIFO',
  p_step_title=> 'LIFO Survey Questions',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> 'NO_FIRST_ITEM',
  p_help_text => '',
  p_html_page_header => '',
  p_step_template => '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20060227102438',
  p_page_is_public_y_n=> 'N',
  p_page_comment  => '');
 
end;
 
end;
/

declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s:=s||'select question||'':'' statement'||chr(10)||
'  from questions '||chr(10)||
' where test_no = nv(''P102_TEST_NO'') '||chr(10)||
'   and question_no = NV(''P102_CURRENT_QUESTION'')';

wwv_flow_api.create_report_region (
  p_id=> 1079052130735963920 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 114,
  p_name=> 'Statement',
  p_template=> 1246756937831840116+ wwv_flow_api.g_id_offset,
  p_display_sequence=> 10,
  p_display_column=> 1,
  p_display_point=> 'AFTER_SHOW_ITEMS',
  p_source=> s,
  p_source_type=> 'SQL_QUERY',
  p_display_error_message=> '#SQLERRM#',
  p_customized                   => '0',
  p_query_row_template           => 1,
  p_query_headings_type          => 'NO_HEADINGS',
  p_query_num_rows               => '15',
  p_query_options                => 'DERIVED_REPORT_COLUMNS',
  p_query_show_nulls_as          => ' - ',
  p_query_break_cols             => '0',
  p_query_no_data_found          => 'no data found',
  p_query_num_rows_type          => '0',
  p_query_row_count_max          => '500',
  p_pagination_display_position  => 'BOTTOM_RIGHT',
  p_csv_output                   => 'N',
  p_query_asc_image              => 'blue_arrow_down.gif',
  p_query_asc_image_attr         => 'width="13" height="12"',
  p_query_desc_image             => 'blue_arrow_up.gif',
  p_query_desc_image_attr        => 'width="13" height="12"',
  p_required_patch               => '' + wwv_flow_api.g_id_offset,
  p_comment                      => '');
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1079054636884984623 + wwv_flow_api.g_id_offset,
  p_region_id=> 1079052130735963920 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 1,
  p_form_element_id=> null,
  p_column_alias=> 'STATEMENT',
  p_column_display_sequence=> 1,
  p_column_heading=> '',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
end;
/
declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s := null;
wwv_flow_api.create_page_plug (
  p_id=> 1079078033228995411 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 114,
  p_plug_name=> 'Order the responses',
  p_plug_template=> 1246756937831840116+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 30,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_display_error_message=> '#SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_row_count_max => 500,
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => '',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_customized=>'0',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> '');
end;
/
declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s:=s||' <h3>&nbsp; &nbsp;Statement &P102_CUR_QUESTION_NO. of &P102_TOTAL_QUESTIONS.</h3>';

wwv_flow_api.create_page_plug (
  p_id=> 1079189934612458294 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 114,
  p_plug_name=> 'Progress',
  p_plug_template=> 0,
  p_plug_display_sequence=> 40,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_display_error_message=> '#SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_row_count_max => 500,
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => '',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_customized=>'0',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> '');
end;
/
declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s:=s||'select ''Response ''||choice_letter||'' - ''||answer answer from answers where question_no = NV(''P102_CURRENT_QUESTION'')';

wwv_flow_api.create_report_region (
  p_id=> 1079060344859062701 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 114,
  p_name=> 'Responses',
  p_template=> 1246756937831840116+ wwv_flow_api.g_id_offset,
  p_display_sequence=> 20,
  p_display_column=> 1,
  p_display_point=> 'AFTER_SHOW_ITEMS',
  p_source=> s,
  p_source_type=> 'SQL_QUERY',
  p_display_error_message=> '#SQLERRM#',
  p_customized                   => '0',
  p_query_row_template           => 1,
  p_query_headings_type          => 'COLON_DELMITED_LIST',
  p_query_num_rows               => '15',
  p_query_options                => 'DERIVED_REPORT_COLUMNS',
  p_query_show_nulls_as          => ' - ',
  p_query_break_cols             => '0',
  p_query_no_data_found          => 'no data found',
  p_query_num_rows_type          => '0',
  p_query_row_count_max          => '500',
  p_pagination_display_position  => 'BOTTOM_RIGHT',
  p_csv_output                   => 'N',
  p_query_asc_image              => 'blue_arrow_down.gif',
  p_query_asc_image_attr         => 'width="13" height="12"',
  p_query_desc_image             => 'blue_arrow_up.gif',
  p_query_desc_image_attr        => 'width="13" height="12"',
  p_required_patch               => '' + wwv_flow_api.g_id_offset,
  p_comment                      => '');
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1079060729051062701 + wwv_flow_api.g_id_offset,
  p_region_id=> 1079060344859062701 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 1,
  p_form_element_id=> null,
  p_column_alias=> 'ANSWER',
  p_column_display_sequence=> 1,
  p_column_heading=> '',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
end;
/
 
begin
 
wwv_flow_api.create_page_button(
  p_id             => 1079108046328463992 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 114,
  p_button_sequence=> 10,
  p_button_plug_id => 1079189934612458294+wwv_flow_api.g_id_offset,
  p_button_name    => 'P114_PREVIOUS',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> '< Previous',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_button_condition=> 'P102_CUR_QUESTION_NO',
  p_button_condition2=> '1',
  p_button_condition_type=> 'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1079110142434481755 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 114,
  p_button_sequence=> 10,
  p_button_plug_id => 1079189934612458294+wwv_flow_api.g_id_offset,
  p_button_name    => 'P114_NEXT',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Next >',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
 
end;
/

 
begin
 
wwv_flow_api.create_page_branch(
  p_id=>1079133153480621958 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 114,
  p_branch_action=> 'f?p=&FLOW_ID.:114:&SESSION.::&DEBUG.:::',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_sequence=> 10,
  p_branch_condition_type=> 'REQUEST_IN_CONDITION',
  p_branch_condition=> 'P114_NEXT P114_PREVIOUS',
  p_branch_comment=> 'Created 05-OCT-2004 20:06 by TESTDEV');
 
wwv_flow_api.create_page_branch(
  p_id=>1079134345084638403 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 114,
  p_branch_action=> 'f?p=&FLOW_ID.:104:&SESSION.::&DEBUG.:::',
  p_branch_point=> 'BEFORE_HEADER',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_sequence=> 10,
  p_branch_condition_type=> 'PLSQL_EXPRESSION',
  p_branch_condition=> 'NVL(:P114_ALL_DONE,''FALSE'') = ''TRUE''',
  p_branch_comment=> 'Created 05-OCT-2004 20:08 by TESTDEV');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1079180555897000751 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 114,
  p_name=>'P114_INSTRUCTIONS',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 42,
  p_item_plug_id => 1079078033228995411+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source=>'Select either 4, 3, 2 or 1 according to which ending is <u>most like you(4)</u> and <u>least like you (1).</u>',
  p_source_type=> 'STATIC',
  p_display_as=> 'DISPLAY_ONLY_HTML',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1079151154901925162 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 114,
  p_name=>'P114_COLUMNS',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 45,
  p_item_plug_id => 1079078033228995411+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source_type=> 'STATIC',
  p_display_as=> 'STOP_AND_START_HTML_TABLE',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1079089054382296431 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 114,
  p_name=>'P114_RESPONSE_A',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 50,
  p_item_plug_id => 1079078033228995411+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'A',
  p_source_type=> 'STATIC',
  p_display_as=> 'RADIOGROUP',
  p_lov => 'STATIC:1,2,3,4',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'NO',
  p_begin_on_new_field=> 'YES',
  p_colspan => 3,
  p_rowspan => 1,
  p_label_alignment  => 'ABOVE',
  p_field_alignment  => 'CENTER',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1079090238021310689 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 114,
  p_name=>'P114_RESPONSE_B',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 60,
  p_item_plug_id => 1079078033228995411+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'B',
  p_source_type=> 'STATIC',
  p_display_as=> 'RADIOGROUP',
  p_lov => 'STATIC:1,2,3,4',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'NO',
  p_begin_on_new_field=> 'YES',
  p_colspan => 3,
  p_rowspan => 1,
  p_label_alignment  => 'ABOVE',
  p_field_alignment  => 'CENTER-BOTTOM',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1079097130361156542 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 114,
  p_name=>'P114_RESPONSE_C',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 70,
  p_item_plug_id => 1079078033228995411+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'C',
  p_source_type=> 'STATIC',
  p_display_as=> 'RADIOGROUP',
  p_lov => 'STATIC:1,2,3,4',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'NO',
  p_begin_on_new_field=> 'YES',
  p_colspan => 3,
  p_rowspan => 1,
  p_label_alignment  => 'ABOVE',
  p_field_alignment  => 'CENTER-BOTTOM',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1079099451270172056 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 114,
  p_name=>'P114_RESPONSE_D',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 80,
  p_item_plug_id => 1079078033228995411+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'D',
  p_source_type=> 'STATIC',
  p_display_as=> 'RADIOGROUP',
  p_lov => 'STATIC:1,2,3,4',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'NO',
  p_begin_on_new_field=> 'YES',
  p_colspan => 3,
  p_rowspan => 1,
  p_label_alignment  => 'ABOVE',
  p_field_alignment  => 'CENTER-BOTTOM',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1079121630231236756 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 114,
  p_name=>'P114_SPACE',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 85,
  p_item_plug_id => 1079078033228995411+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source=>'&nbsp;',
  p_source_type=> 'STATIC',
  p_display_as=> 'DISPLAY_ONLY_HTML',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1079126259526510139 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 114,
  p_name=>'P114_ALL_DONE',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 100,
  p_item_plug_id => 1079078033228995411+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source_type=> 'ALWAYS_NULL',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'NO',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'LEFT',
  p_field_alignment  => 'LEFT',
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1079127951954536386 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 114,
  p_name=>'P114_RESULTS',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 110,
  p_item_plug_id => 1079078033228995411+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source_type=> 'ALWAYS_NULL',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'LEFT',
  p_field_alignment  => 'LEFT',
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 1079115153873950212 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 114,
  p_validation_name => 'p114_response_a_check',
  p_validation_sequence=> 10,
  p_validation => 'P114_RESPONSE_A',
  p_validation_type => 'ITEM_NOT_NULL',
  p_error_message => 'You must rate each response.',
  p_when_button_pressed=> 1079110142434481755 + wwv_flow_api.g_id_offset,
  p_associated_item=> 1079089054382296431 + wwv_flow_api.g_id_offset,
  p_error_display_location=>'INLINE_IN_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 1079115932150000772 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 114,
  p_validation_name => 'p114_response_b_check',
  p_validation_sequence=> 20,
  p_validation => 'P114_RESPONSE_B',
  p_validation_type => 'ITEM_NOT_NULL',
  p_error_message => 'You must rate each response.',
  p_when_button_pressed=> 1079110142434481755 + wwv_flow_api.g_id_offset,
  p_associated_item=> 1079090238021310689 + wwv_flow_api.g_id_offset,
  p_error_display_location=>'INLINE_IN_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 1079118228696075458 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 114,
  p_validation_name => 'p114_response_c_check',
  p_validation_sequence=> 30,
  p_validation => 'P114_RESPONSE_C',
  p_validation_type => 'ITEM_NOT_NULL',
  p_error_message => 'You must rate each response.',
  p_when_button_pressed=> 1079110142434481755 + wwv_flow_api.g_id_offset,
  p_associated_item=> 1079097130361156542 + wwv_flow_api.g_id_offset,
  p_error_display_location=>'INLINE_IN_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 1079118857440083765 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 114,
  p_validation_name => 'p114_response_d_check',
  p_validation_sequence=> 40,
  p_validation => 'P114_RESPONSE_D',
  p_validation_type => 'ITEM_NOT_NULL',
  p_error_message => 'You must rate each response.',
  p_when_button_pressed=> 1079110142434481755 + wwv_flow_api.g_id_offset,
  p_associated_item=> 1079099451270172056 + wwv_flow_api.g_id_offset,
  p_error_display_location=>'INLINE_IN_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 1079144948519762444 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 114,
  p_validation_name => 'p114_different_ranks',
  p_validation_sequence=> 50,
  p_validation => '(:p114_response_a != :p114_response_b and '||chr(10)||
':p114_response_a != :p114_response_c and'||chr(10)||
':p114_response_a != :p114_response_d and'||chr(10)||
':p114_response_b != :p114_response_c and'||chr(10)||
':p114_response_b != :p114_response_d and'||chr(10)||
':p114_response_c != :p114_response_d )',
  p_validation_type => 'PLSQL_EXPRESSION',
  p_error_message => 'Each of the ratings must be different.  You may select 1,2,3 and 4 only once.',
  p_when_button_pressed=> 1079110142434481755 + wwv_flow_api.g_id_offset,
  p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'declare'||chr(10)||
'  v_next number;'||chr(10)||
'    v_results  varchar2(30);'||chr(10)||
''||chr(10)||
'begin'||chr(10)||
''||chr(10)||
'   begin'||chr(10)||
'      insert into lifo_results'||chr(10)||
'         (person_no, question_no, choice, rank)'||chr(10)||
'        values'||chr(10)||
'         (nv(''P1_PERSON_NO''),'||chr(10)||
'          nv(''P102_CURRENT_QUESTION''),'||chr(10)||
'          ''A'','||chr(10)||
'          v(''P114_RESPONSE_A''));'||chr(10)||
'   exception'||chr(10)||
'      when dup_val_on_index then'||chr(10)||
'         update lifo_results'||chr(10)||
'            set rank = v(''P114_RESPONSE_A'')';

p:=p||''||chr(10)||
'          where person_no = nv(''P1_PERSON_NO'')'||chr(10)||
'            and question_no = nv(''P102_CURRENT_QUESTION'')'||chr(10)||
'            and choice = ''A'';'||chr(10)||
'   end;'||chr(10)||
''||chr(10)||
'   begin'||chr(10)||
'      insert into lifo_results'||chr(10)||
'         (person_no, question_no, choice, rank)'||chr(10)||
'        values'||chr(10)||
'         (nv(''P1_PERSON_NO''),'||chr(10)||
'          nv(''P102_CURRENT_QUESTION''),'||chr(10)||
'          ''B'','||chr(10)||
'          v(''P114_RESPONSE_B''));'||chr(10)||
'   exception'||chr(10)||
'      when dup_val_on_';

p:=p||'index then'||chr(10)||
'         update lifo_results'||chr(10)||
'            set rank = v(''P114_RESPONSE_B'')'||chr(10)||
'          where person_no = nv(''P1_PERSON_NO'')'||chr(10)||
'            and question_no = nv(''P102_CURRENT_QUESTION'')'||chr(10)||
'            and choice = ''B'';'||chr(10)||
'   end;'||chr(10)||
''||chr(10)||
'   begin'||chr(10)||
'      insert into lifo_results'||chr(10)||
'         (person_no, question_no, choice, rank)'||chr(10)||
'        values'||chr(10)||
'         (nv(''P1_PERSON_NO''),'||chr(10)||
'          nv(''P102_CURRENT_QUESTION''),'||chr(10)||
'';

p:=p||'          ''C'','||chr(10)||
'          v(''P114_RESPONSE_C''));'||chr(10)||
'   exception'||chr(10)||
'      when dup_val_on_index then'||chr(10)||
'         update lifo_results'||chr(10)||
'            set rank = v(''P114_RESPONSE_C'')'||chr(10)||
'          where person_no = nv(''P1_PERSON_NO'')'||chr(10)||
'            and question_no = nv(''P102_CURRENT_QUESTION'')'||chr(10)||
'            and choice = ''C'';'||chr(10)||
'   end;'||chr(10)||
''||chr(10)||
'   begin'||chr(10)||
'      insert into lifo_results'||chr(10)||
'         (person_no, question_no, choice, rank)'||chr(10)||
' ';

p:=p||'       values'||chr(10)||
'         (nv(''P1_PERSON_NO''),'||chr(10)||
'          nv(''P102_CURRENT_QUESTION''),'||chr(10)||
'          ''D'','||chr(10)||
'          v(''P114_RESPONSE_D''));'||chr(10)||
'   exception'||chr(10)||
'      when dup_val_on_index then'||chr(10)||
'         update lifo_results'||chr(10)||
'            set rank = v(''P114_RESPONSE_D'')'||chr(10)||
'          where person_no = nv(''P1_PERSON_NO'')'||chr(10)||
'            and question_no = nv(''P102_CURRENT_QUESTION'')'||chr(10)||
'            and choice = ''D'';'||chr(10)||
'   end;'||chr(10)||
''||chr(10)||
'   sel';

p:=p||'ect min(question_no)'||chr(10)||
'     into v_next'||chr(10)||
'     from questions'||chr(10)||
'    where test_no = nv(''P102_TEST_NO'') '||chr(10)||
'      and question_no > NV(''P102_CURRENT_QUESTION'');'||chr(10)||
'   '||chr(10)||
'   if v_next is null then '||chr(10)||
'      v_results := test_app.get_rating(nv(''P1_PERSON_NO''),nv(''P102_TEST_NO''));'||chr(10)||
'      :p114_results := v_results;'||chr(10)||
'      :p114_all_done := ''TRUE'';'||chr(10)||
'   else'||chr(10)||
'      :p114_all_done := ''FALSE'';'||chr(10)||
'   end if;'||chr(10)||
''||chr(10)||
'   :p102_current_que';

p:=p||'stion := v_next;'||chr(10)||
'   :p114_RESPONSE_A := null;'||chr(10)||
'   :p114_RESPONSE_B := null;'||chr(10)||
'   :p114_RESPONSE_C := null;'||chr(10)||
'   :p114_RESPONSE_D := null;'||chr(10)||
''||chr(10)||
'   v_next := nv(''P102_CUR_QUESTION_NO'');'||chr(10)||
'   :p102_cur_question_no := v_next + 1;'||chr(10)||
''||chr(10)||
'end;';

wwv_flow_api.create_page_process(
  p_id     => 1079129342567580956 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 114,
  p_process_sequence=> 10,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'PLSQL',
  p_process_name=> 'P114_save_ratings',
  p_process_sql_clob => p, 
  p_process_error_message=> '',
  p_process_when_button_id=>1079110142434481755 + wwv_flow_api.g_id_offset,
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'declare'||chr(10)||
'   v_previous  number;'||chr(10)||
'begin'||chr(10)||
''||chr(10)||
'   select max(question_no)'||chr(10)||
'     into v_previous'||chr(10)||
'     from questions'||chr(10)||
'    where test_no = nv(''P102_TEST_NO'') '||chr(10)||
'      and question_no < NV(''P102_CURRENT_QUESTION'');'||chr(10)||
'   '||chr(10)||
'   :p114_all_done := ''FALSE'';'||chr(10)||
'   '||chr(10)||
'   :p102_current_question := v_previous;'||chr(10)||
'   :p114_RESPONSE_A := null;'||chr(10)||
'   :p114_RESPONSE_B := null;'||chr(10)||
'   :p114_RESPONSE_C := null;'||chr(10)||
'   :p114_RESPONSE_D := null;'||chr(10)||
''||chr(10)||
'   v_';

p:=p||'previous := nv(''P102_CUR_QUESTION_NO'');'||chr(10)||
'   :p102_cur_question_no := v_previous - 1;'||chr(10)||
''||chr(10)||
'end;';

wwv_flow_api.create_page_process(
  p_id     => 1079132146769610592 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 114,
  p_process_sequence=> 20,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'PLSQL',
  p_process_name=> 'P114_Previous',
  p_process_sql_clob => p, 
  p_process_error_message=> '',
  p_process_when_button_id=>1079108046328463992 + wwv_flow_api.g_id_offset,
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 114
--
 
begin
 
null;
end;
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 210: Tests
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h := null;
ph := null;
wwv_flow_api.create_page(
  p_id     => 210,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_name   => 'Tests',
  p_alias  => 'TESTS',
  p_step_title=> '',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> 'AUTO_FIRST_ITEM',
  p_help_text => '',
  p_html_page_header => '',
  p_step_template => '',
  p_required_role => 1135924664190927330+ wwv_flow_api.g_id_offset,
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20060223091851',
  p_page_is_public_y_n=> 'N',
  p_page_comment  => '');
 
end;
 
end;
/

declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s:=s||'select TEST_NO, "NAME"'||chr(10)||
'from "#OWNER#"."TESTS" '||chr(10)||
'  ';

wwv_flow_api.create_report_region (
  p_id=> 1135642569397716965 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 210,
  p_name=> 'Tests',
  p_template=> 1246555551819688014+ wwv_flow_api.g_id_offset,
  p_display_sequence=> 10,
  p_display_column=> 1,
  p_display_point=> 'AFTER_SHOW_ITEMS',
  p_source=> s,
  p_source_type=> 'SQL_QUERY',
  p_display_error_message=> 'Unable to show report. #SQLERRM#',
  p_customized                   => '0',
  p_query_row_template           => 1246592133988720648+ wwv_flow_api.g_id_offset,
  p_query_headings_type          => 'COLON_DELMITED_LIST',
  p_query_num_rows               => '15',
  p_query_options                => 'DERIVED_REPORT_COLUMNS',
  p_query_break_cols             => '0',
  p_query_no_data_found          => 'no data found',
  p_query_num_rows_type          => 'ROW_RANGES_IN_SELECT_LIST',
  p_query_row_count_max          => '500',
  p_pagination_display_position  => 'BOTTOM_RIGHT',
  p_csv_output                   => 'N',
  p_query_asc_image              => 'blue_arrow_down.gif',
  p_query_asc_image_attr         => 'width="13" height="12"',
  p_query_desc_image             => 'blue_arrow_up.gif',
  p_query_desc_image_attr        => 'width="13" height="12"',
  p_required_patch               => '' + wwv_flow_api.g_id_offset,
  p_comment                      => 'Region generated 12-DEC-2003 10:44:00');
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1079262839644244859 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135642569397716965 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 1,
  p_form_element_id=> null,
  p_column_alias=> 'TEST_NO',
  p_column_display_sequence=> 1,
  p_column_heading=> '&nbsp;',
  p_column_link=> 'f?p=#APP_ID#:212:#APP_SESSION#::::P212_TEST_NO:#TEST_NO#',
  p_column_linktext=> '<img src="#WORKSPACE_IMAGES#sapphire_edit.gif"  border="0">',
  p_column_alignment=> 'RIGHT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_lov_show_nulls=> 'NO',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1079263032410244870 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135642569397716965 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 2,
  p_form_element_id=> null,
  p_column_alias=> 'NAME',
  p_column_display_sequence=> 2,
  p_column_heading=> 'Name',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
end;
/
 
begin
 
wwv_flow_api.create_page_button(
  p_id             => 1135643357827716973 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 210,
  p_button_sequence=> 30,
  p_button_plug_id => 1135642569397716965+wwv_flow_api.g_id_offset,
  p_button_name    => 'CREATE_TEST',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Create',
  p_button_position=> 'BELOW_BOX',
  p_button_alignment=> 'LEFT',
  p_button_redirect_url=> 'f?p=&FLOW_ID.:212:&SESSION.:CREATE_TEST:&DEBUG.:212::',
  p_button_image_attributes=>'template:168474524826046015',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
 
end;
/

 
begin
 
wwv_flow_api.create_page_branch(
  p_id=>1135644271310716981 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 210,
  p_branch_action=> 'f?p=&APP_ID.:210:&SESSION.&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_sequence=> 20,
  p_branch_comment=> 'Generated 12-DEC-2003 10:44:00');
 
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 210
--
 
begin
 
null;
end;
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 211: Report on TESTS
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h:=h||'No help is available for this page.';

ph := null;
wwv_flow_api.create_page(
  p_id     => 211,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_name   => 'Report on TESTS',
  p_step_title=> 'Report on TESTS',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> 'AUTO_FIRST_ITEM',
  p_help_text => ' ',
  p_html_page_header => '',
  p_step_template => '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20060223091854',
  p_page_is_public_y_n=> 'N',
  p_page_comment  => 'Page generated 16-FEB-2004 16:05:31');
 
wwv_flow_api.set_page_help_text(p_flow_id=>wwv_flow.g_flow_id,p_flow_step_id=>211,p_text=>h);
end;
 
end;
/

declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s:=s||'select "TEST_NO", '||chr(10)||
'"NAME"'||chr(10)||
'from "#OWNER#"."TESTS" '||chr(10)||
'  ';

wwv_flow_api.create_report_region (
  p_id=> 1380647434541211556 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 211,
  p_name=> 'Tests',
  p_template=> 1246555551819688014+ wwv_flow_api.g_id_offset,
  p_display_sequence=> 10,
  p_display_column=> 1,
  p_display_point=> 'AFTER_SHOW_ITEMS',
  p_source=> s,
  p_source_type=> 'SQL_QUERY',
  p_display_error_message=> 'Unable to show report. #SQLERRM#',
  p_customized                   => '0',
  p_query_row_template           => 1246592133988720648+ wwv_flow_api.g_id_offset,
  p_query_headings_type          => 'COLON_DELMITED_LIST',
  p_query_num_rows               => '15',
  p_query_options                => 'DERIVED_REPORT_COLUMNS',
  p_query_break_cols             => '0',
  p_query_no_data_found          => 'no data found',
  p_query_num_rows_type          => 'ROW_RANGES_IN_SELECT_LIST',
  p_query_row_count_max          => '500',
  p_pagination_display_position  => 'BOTTOM_RIGHT',
  p_csv_output                   => 'N',
  p_query_asc_image              => 'blue_arrow_down.gif',
  p_query_asc_image_attr         => 'width="13" height="12"',
  p_query_desc_image             => 'blue_arrow_up.gif',
  p_query_desc_image_attr        => 'width="13" height="12"',
  p_required_patch               => '' + wwv_flow_api.g_id_offset,
  p_comment                      => 'Region generated 16-FEB-2004 16:05:31');
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1380647934596211558 + wwv_flow_api.g_id_offset,
  p_region_id=> 1380647434541211556 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 1,
  p_form_element_id=> null,
  p_column_alias=> 'TEST_NO',
  p_column_display_sequence=> 1,
  p_column_heading=> 'Edit',
  p_column_link=> 'f?p=#APP_ID#:213:#APP_SESSION#::::P213_TEST_NO:#TEST_NO#',
  p_column_linktext=> '<img src="#IMAGE_PREFIX#edit.gif"  border="0">',
  p_column_alignment=> 'RIGHT',
  p_heading_alignment=> 'CENTER',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1380648052748211558 + wwv_flow_api.g_id_offset,
  p_region_id=> 1380647434541211556 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 2,
  p_form_element_id=> null,
  p_column_alias=> 'NAME',
  p_column_display_sequence=> 2,
  p_column_heading=> 'Name',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
end;
/
 
begin
 
wwv_flow_api.create_page_button(
  p_id             => 1380648235174211558 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 211,
  p_button_sequence=> 30,
  p_button_plug_id => 1380647434541211556+wwv_flow_api.g_id_offset,
  p_button_name    => 'CREATE',
  p_button_image_alt=> 'Create',
  p_button_position=> 'ABOVE_BOX',
  p_button_alignment=> 'RIGHT',
  p_button_redirect_url=> 'f?p=&APP_ID.:213:&SESSION.::NO:213',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_computation(
  p_id=> 1380648530478211559 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 211,
  p_computation_sequence => 1,
  p_computation_item=> 'P213_TEST_NO',
  p_computation_point=> 'AFTER_SUBMIT',
  p_computation_type=> 'STATIC_ASSIGNMENT',
  p_computation_processed=> 'REPLACE_EXISTING',
  p_computation=> '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_computation_comment=> 'Set the value of the item conainting the primary key to null when asked to create a new row.',
  p_compute_when => 'CREATE_ROW',
  p_compute_when_type=>'REQUEST_EQUALS_CONDITION');
 
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 211
--
 
begin
 
null;
end;
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 212: Test and Questions
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h := null;
ph := null;
wwv_flow_api.create_page(
  p_id     => 212,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_name   => 'Test and Questions',
  p_step_title=> '',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> 'AUTO_FIRST_ITEM',
  p_help_text => '',
  p_html_page_header => '',
  p_step_template => '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20060223091856',
  p_page_is_public_y_n=> 'N',
  p_page_comment  => '');
 
end;
 
end;
/

declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s:=s||'select "TEST_NO", '||chr(10)||
'"QUESTION_NO",'||chr(10)||
'"QUESTION", rownum'||chr(10)||
'from "#OWNER#"."QUESTIONS" '||chr(10)||
'where test_no = :p212_test_no '||chr(10)||
'  '||chr(10)||
'';

wwv_flow_api.create_report_region (
  p_id=> 1135649843386734696 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 212,
  p_name=> 'Questions',
  p_template=> 1246555551819688014+ wwv_flow_api.g_id_offset,
  p_display_sequence=> 10,
  p_display_column=> 1,
  p_display_point=> 'AFTER_SHOW_ITEMS',
  p_source=> s,
  p_source_type=> 'SQL_QUERY',
  p_display_error_message=> 'Unable to show report. #SQLERRM#',
  p_display_when_condition       => 'CREATE_TEST',
  p_display_condition_type       => 'REQUEST_NOT_EQUAL_CONDITION',
  p_customized                   => '0',
  p_query_row_template           => 1246592133988720648+ wwv_flow_api.g_id_offset,
  p_query_headings_type          => 'COLON_DELMITED_LIST',
  p_query_num_rows               => '15',
  p_query_options                => 'DERIVED_REPORT_COLUMNS',
  p_query_break_cols             => '0',
  p_query_no_data_found          => 'There are no questions for this test',
  p_query_num_rows_type          => 'ROW_RANGES_IN_SELECT_LIST',
  p_query_row_count_max          => '500',
  p_pagination_display_position  => 'BOTTOM_RIGHT',
  p_csv_output                   => 'N',
  p_query_asc_image              => 'blue_arrow_down.gif',
  p_query_asc_image_attr         => 'width="13" height="12"',
  p_query_desc_image             => 'blue_arrow_up.gif',
  p_query_desc_image_attr        => 'width="13" height="12"',
  p_required_patch               => '' + wwv_flow_api.g_id_offset,
  p_comment                      => 'Region generated 12-DEC-2003 10:46:57');
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1135661946276766727 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135649843386734696 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 1,
  p_form_element_id=> null,
  p_column_alias=> 'TEST_NO',
  p_column_display_sequence=> 1,
  p_column_heading=> '&nbsp;',
  p_column_link=> 'f?p=&APP_ID.:214:#APP_SESSION#::::P214_TEST_NO,P214_QUESTION_NO:#TEST_NO#,#QUESTION_NO#',
  p_column_linktext=> '<img src="#WORKSPACE_IMAGES#sapphire_edit.gif" border="0" alt="Edit Icon">',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_lov_show_nulls=> 'NO',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1135662066843766728 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135649843386734696 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 2,
  p_form_element_id=> null,
  p_column_alias=> 'QUESTION_NO',
  p_column_display_sequence=> 3,
  p_column_heading=> 'Question No',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_default_sort_column_sequence=> 1,
  p_disable_sort_column=> 'N',
  p_sum_column=> 'N',
  p_hidden_column=> 'Y',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1135662146804766728 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135649843386734696 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 3,
  p_form_element_id=> null,
  p_column_alias=> 'QUESTION',
  p_column_display_sequence=> 4,
  p_column_heading=> 'Question',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1144559757316510625 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135649843386734696 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 4,
  p_form_element_id=> null,
  p_column_alias=> 'ROWNUM',
  p_column_display_sequence=> 2,
  p_column_heading=> 'Question #',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
end;
/
declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s := null;
wwv_flow_api.create_page_plug (
  p_id=> 1135639470424716928 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 212,
  p_plug_name=> 'Tests',
  p_plug_template=> 1246756937831840116+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 10,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_display_error_message=> 'Unable to display page region #SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'COLON_DELMITED_LIST',
  p_plug_query_row_count_max => 500,
  p_plug_display_condition_type => '',
  p_plug_customized=>'0',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> 'Region generated 12-DEC-2003 10:43:59');
end;
/
 
begin
 
wwv_flow_api.create_page_button(
  p_id             => 1135639643170716932 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 212,
  p_button_sequence=> 10,
  p_button_plug_id => 1135639470424716928+wwv_flow_api.g_id_offset,
  p_button_name    => 'CANCEL',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Cancel',
  p_button_position=> 'BELOW_BOX',
  p_button_alignment=> 'LEFT',
  p_button_image_attributes=>'template:168474524826046015',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1135639955572716932 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 212,
  p_button_sequence=> 20,
  p_button_plug_id => 1135639470424716928+wwv_flow_api.g_id_offset,
  p_button_name    => 'DELETE',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Delete',
  p_button_position=> 'BELOW_BOX',
  p_button_alignment=> 'LEFT',
  p_button_condition=> 'P212_TEST_NO',
  p_button_condition_type=> 'ITEM_IS_NOT_NULL',
  p_button_image_attributes=>'template:168474524826046015',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1135639852649716932 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 212,
  p_button_sequence=> 30,
  p_button_plug_id => 1135639470424716928+wwv_flow_api.g_id_offset,
  p_button_name    => 'SAVE',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Apply Changes',
  p_button_position=> 'BELOW_BOX',
  p_button_alignment=> 'LEFT',
  p_button_condition=> 'P212_TEST_NO',
  p_button_condition_type=> 'ITEM_IS_NOT_NULL',
  p_button_image_attributes=>'template:168474524826046015',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1135656471440734731 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 212,
  p_button_sequence=> 30,
  p_button_plug_id => 1135649843386734696+wwv_flow_api.g_id_offset,
  p_button_name    => 'CREATE_QUESTION',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Create',
  p_button_position=> 'BELOW_BOX',
  p_button_alignment=> 'LEFT',
  p_button_redirect_url=> 'f?p=&FLOW_ID.:214:&SESSION.:CREATE_QUESTION:&DEBUG.:214:P214_TEST_NO:&P212_TEST_NO.',
  p_button_image_attributes=>'template:168474524826046015',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1135639749292716932 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 212,
  p_button_sequence=> 40,
  p_button_plug_id => 1135639470424716928+wwv_flow_api.g_id_offset,
  p_button_name    => 'CREATE',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Create',
  p_button_position=> 'BELOW_BOX',
  p_button_alignment=> 'LEFT',
  p_button_condition=> 'P212_TEST_NO',
  p_button_condition_type=> 'ITEM_IS_NULL',
  p_button_image_attributes=>'template:168474524826046015',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
 
end;
/

 
begin
 
wwv_flow_api.create_page_branch(
  p_id=>1135641171988716944 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 212,
  p_branch_action=> 'f?p=&APP_ID.:210:&SESSION.&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_sequence=> 1,
  p_branch_comment=> 'Generated 12-DEC-2003 10:43:59');
 
wwv_flow_api.create_page_branch(
  p_id=>1135657373338734737 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 212,
  p_branch_action=> 'f?p=&APP_ID.:212:&SESSION.&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_sequence=> 20,
  p_branch_comment=> 'Generated 12-DEC-2003 10:46:57');
 
wwv_flow_api.create_page_branch(
  p_id=>1135640873941716942 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 212,
  p_branch_action=> 'f?p=&APP_ID.:210:&SESSION.&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'BEFORE_VALIDATION',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_when_button_id=>1135639643170716932+ wwv_flow_api.g_id_offset,
  p_branch_sequence=> 1,
  p_branch_comment=> 'Generated 12-DEC-2003 10:43:59');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135641459842716946 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 212,
  p_name=>'P212_TEST_NO',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 0,
  p_item_plug_id => 1135639470424716928+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_prompt=>'Test No',
  p_source=>'TEST_NO',
  p_source_type=> 'DB_COLUMN',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> null,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 255,
  p_cHeight=> null,
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_item_comment => 'Generated 12-DEC-2003 10:44:00');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135641646159716956 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 212,
  p_name=>'P212_NAME',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 2,
  p_item_plug_id => 1135639470424716928+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_prompt=>'Name',
  p_source=>'NAME',
  p_source_type=> 'DB_COLUMN',
  p_display_as=> 'TEXT',
  p_lov_columns=> null,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 32,
  p_cMaxlength=> 255,
  p_cHeight=> 1,
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_item_comment => 'Generated 12-DEC-2003 10:44:00');
 
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'#OWNER#:TESTS:P212_TEST_NO:TEST_NO';

wwv_flow_api.create_page_process(
  p_id     => 1135642045462716961 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 212,
  p_process_sequence=> 1,
  p_process_point=> 'AFTER_HEADER',
  p_process_type=> 'DML_FETCH_ROW',
  p_process_name=> 'Fetch Row from TESTS',
  p_process_sql_clob => p, 
  p_process_error_message=> 'Unable to fetch row',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'Generated 12-DEC-2003 10:44:00');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'#OWNER#:TESTS:P212_TEST_NO:TEST_NO|IUD';

wwv_flow_api.create_page_process(
  p_id     => 1135642354177716963 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 212,
  p_process_sequence=> 1,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'DML_PROCESS_ROW',
  p_process_name=> 'Process Row of TESTS',
  p_process_sql_clob => p, 
  p_process_error_message=> 'Unable to process row of table TESTS',
  p_process_success_message=> 'Action Processed.',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'Generated 12-DEC-2003 10:44:00');
end;
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 212
--
 
begin
 
null;
end;
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 213: Form on TESTS
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h:=h||'No help is available for this page.';

ph := null;
wwv_flow_api.create_page(
  p_id     => 213,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_name   => 'Form on TESTS',
  p_step_title=> 'Form on TESTS',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> 'AUTO_FIRST_ITEM',
  p_help_text => ' ',
  p_html_page_header => '',
  p_step_template => '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20060223091859',
  p_page_is_public_y_n=> 'N',
  p_page_comment  => 'Page generated 16-FEB-2004 16:05:31');
 
wwv_flow_api.set_page_help_text(p_flow_id=>wwv_flow.g_flow_id,p_flow_step_id=>213,p_text=>h);
end;
 
end;
/

declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s := null;
wwv_flow_api.create_page_plug (
  p_id=> 1380643637539211550 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 213,
  p_plug_name=> 'Tests',
  p_plug_template=> 1246756937831840116+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 10,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_display_error_message=> 'Unable to display page region #SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'COLON_DELMITED_LIST',
  p_plug_query_row_count_max => 500,
  p_plug_display_condition_type => '',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> 'Region generated 16-FEB-2004 16:05:31');
end;
/
declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s:=s||'select "QUESTION_NO", '||chr(10)||
'"TEST_NO",'||chr(10)||
'"QUESTION", '||chr(10)||
'rownum'||chr(10)||
'from "#OWNER#"."QUESTIONS" '||chr(10)||
'where test_no = :p213_test_no'||chr(10)||
'  '||chr(10)||
'';

wwv_flow_api.create_report_region (
  p_id=> 1380677137152223840 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 213,
  p_name=> 'Questions',
  p_template=> 1246555551819688014+ wwv_flow_api.g_id_offset,
  p_display_sequence=> 10,
  p_display_column=> 1,
  p_display_point=> 'AFTER_SHOW_ITEMS',
  p_source=> s,
  p_source_type=> 'SQL_QUERY',
  p_display_error_message=> 'Unable to show report. #SQLERRM#',
  p_customized                   => '0',
  p_query_row_template           => 1246592133988720648+ wwv_flow_api.g_id_offset,
  p_query_headings_type          => 'COLON_DELMITED_LIST',
  p_query_num_rows               => '15',
  p_query_options                => 'DERIVED_REPORT_COLUMNS',
  p_query_break_cols             => '0',
  p_query_no_data_found          => 'no data found',
  p_query_num_rows_type          => 'ROW_RANGES_IN_SELECT_LIST',
  p_query_row_count_max          => '500',
  p_pagination_display_position  => 'BOTTOM_RIGHT',
  p_csv_output                   => 'N',
  p_query_asc_image              => 'blue_arrow_down.gif',
  p_query_asc_image_attr         => 'width="13" height="12"',
  p_query_desc_image             => 'blue_arrow_up.gif',
  p_query_desc_image_attr        => 'width="13" height="12"',
  p_required_patch               => '' + wwv_flow_api.g_id_offset,
  p_comment                      => 'Region generated 16-FEB-2004 16:07:34');
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1380677657278223841 + wwv_flow_api.g_id_offset,
  p_region_id=> 1380677137152223840 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 1,
  p_form_element_id=> null,
  p_column_alias=> 'QUESTION_NO',
  p_column_display_sequence=> 1,
  p_column_heading=> 'Edit',
  p_column_link=> 'f?p=#APP_ID#:215:#APP_SESSION#::::P215_QUESTION_NO,P215_TEST_NO:#QUESTION_NO#,#TEST_NO#',
  p_column_linktext=> '<img src="#IMAGE_PREFIX#edit.gif"  border="0">',
  p_column_alignment=> 'RIGHT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'N',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1380677741439223841 + wwv_flow_api.g_id_offset,
  p_region_id=> 1380677137152223840 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 2,
  p_form_element_id=> null,
  p_column_alias=> 'TEST_NO',
  p_column_display_sequence=> 2,
  p_column_heading=> 'Test No',
  p_column_alignment=> 'RIGHT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'Y',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1380677852261223841 + wwv_flow_api.g_id_offset,
  p_region_id=> 1380677137152223840 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 3,
  p_form_element_id=> null,
  p_column_alias=> 'QUESTION',
  p_column_display_sequence=> 4,
  p_column_heading=> 'Question',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1380939935372334442 + wwv_flow_api.g_id_offset,
  p_region_id=> 1380677137152223840 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 4,
  p_form_element_id=> null,
  p_column_alias=> 'ROWNUM',
  p_column_display_sequence=> 3,
  p_column_heading=> 'Question #',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
end;
/
 
begin
 
wwv_flow_api.create_page_button(
  p_id             => 1380678035743223841 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 213,
  p_button_sequence=> 30,
  p_button_plug_id => 1380677137152223840+wwv_flow_api.g_id_offset,
  p_button_name    => 'CREATE_QUESTION',
  p_button_image_alt=> 'Create',
  p_button_position=> 'ABOVE_BOX',
  p_button_alignment=> 'RIGHT',
  p_button_redirect_url=> 'f?p=&FLOW_ID.:215:&SESSION.::&DEBUG.:215:P215_TEST_NO:&P213_TEST_NO.',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1380643938350211551 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 213,
  p_button_sequence=> 10,
  p_button_plug_id => 1380643637539211550+wwv_flow_api.g_id_offset,
  p_button_name    => 'CANCEL',
  p_button_image_alt=> 'Cancel',
  p_button_position=> 'TOP',
  p_button_alignment=> 'RIGHT',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1380644233693211551 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 213,
  p_button_sequence=> 20,
  p_button_plug_id => 1380643637539211550+wwv_flow_api.g_id_offset,
  p_button_name    => 'DELETE',
  p_button_image_alt=> 'Delete',
  p_button_position=> 'TOP',
  p_button_alignment=> 'RIGHT',
  p_button_condition=> 'P213_TEST_NO',
  p_button_condition_type=> 'ITEM_IS_NOT_NULL',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1380644148929211551 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 213,
  p_button_sequence=> 30,
  p_button_plug_id => 1380643637539211550+wwv_flow_api.g_id_offset,
  p_button_name    => 'SAVE',
  p_button_image_alt=> 'Apply Changes',
  p_button_position=> 'TOP',
  p_button_alignment=> 'RIGHT',
  p_button_condition=> 'P213_TEST_NO',
  p_button_condition_type=> 'ITEM_IS_NOT_NULL',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1380644040657211551 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 213,
  p_button_sequence=> 40,
  p_button_plug_id => 1380643637539211550+wwv_flow_api.g_id_offset,
  p_button_name    => 'CREATE',
  p_button_image_alt=> 'Create',
  p_button_position=> 'TOP',
  p_button_alignment=> 'RIGHT',
  p_button_condition=> 'P213_TEST_NO',
  p_button_condition_type=> 'ITEM_IS_NULL',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
 
end;
/

 
begin
 
wwv_flow_api.create_page_branch(
  p_id=>1380645439231211553 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 213,
  p_branch_action=> 'f?p=&APP_ID.:211:&SESSION.&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_sequence=> 1,
  p_branch_comment=> 'Generated 16-FEB-2004 16:05:31');
 
wwv_flow_api.create_page_branch(
  p_id=>1380645130381211552 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 213,
  p_branch_action=> 'f?p=&APP_ID.:211:&SESSION.&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'BEFORE_VALIDATION',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_when_button_id=>1380643938350211551+ wwv_flow_api.g_id_offset,
  p_branch_sequence=> 1,
  p_branch_comment=> 'Generated 16-FEB-2004 16:05:31');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1380645752097211554 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 213,
  p_name=>'P213_TEST_NO',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 0,
  p_item_plug_id => 1380643637539211550+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_prompt=>'Test No',
  p_source=>'TEST_NO',
  p_source_type=> 'DB_COLUMN',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> null,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 255,
  p_cHeight=> null,
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_item_comment => 'Generated 16-FEB-2004 16:05:31');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1380646035269211554 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 213,
  p_name=>'P213_NAME',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 2,
  p_item_plug_id => 1380643637539211550+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_prompt=>'Name',
  p_source=>'NAME',
  p_source_type=> 'DB_COLUMN',
  p_display_as=> 'TEXT',
  p_lov_columns=> null,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 32,
  p_cMaxlength=> 255,
  p_cHeight=> 1,
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_item_comment => 'Generated 16-FEB-2004 16:05:31');
 
 
end;
/

 
begin
 
wwv_flow_api.create_page_computation(
  p_id=> 1380678353391223841 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 213,
  p_computation_sequence => 1,
  p_computation_item=> 'P215_QUESTION_NO',
  p_computation_point=> 'AFTER_SUBMIT',
  p_computation_type=> 'STATIC_ASSIGNMENT',
  p_computation_processed=> 'REPLACE_EXISTING',
  p_computation=> '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_computation_comment=> 'Set the value of the item conainting the primary key to null when asked to create a new row.',
  p_compute_when => 'CREATE_ROW',
  p_compute_when_type=>'REQUEST_EQUALS_CONDITION');
 
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'#OWNER#:TESTS:P213_TEST_NO:TEST_NO';

wwv_flow_api.create_page_process(
  p_id     => 1380646433926211555 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 213,
  p_process_sequence=> 1,
  p_process_point=> 'AFTER_HEADER',
  p_process_type=> 'DML_FETCH_ROW',
  p_process_name=> 'Fetch Row from TESTS',
  p_process_sql_clob => p, 
  p_process_error_message=> 'Unable to fetch row.',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'Generated 16-FEB-2004 16:05:31');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'#OWNER#:TESTS:P213_TEST_NO:TEST_NO|IUD';

wwv_flow_api.create_page_process(
  p_id     => 1380646728488211555 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 213,
  p_process_sequence=> 1,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'DML_PROCESS_ROW',
  p_process_name=> 'Process Row of TESTS',
  p_process_sql_clob => p, 
  p_process_error_message=> 'Unable to process row of table TESTS.',
  p_process_success_message=> 'Action Processed.',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'Generated 16-FEB-2004 16:05:31');
end;
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 213
--
 
begin
 
null;
end;
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 214: Questions and Answers
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h := null;
ph := null;
wwv_flow_api.create_page(
  p_id     => 214,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_name   => 'Questions and Answers',
  p_step_title=> '',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> 'AUTO_FIRST_ITEM',
  p_help_text => '',
  p_html_page_header => '',
  p_step_template => '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20060223091902',
  p_page_is_public_y_n=> 'N',
  p_page_comment  => '');
 
end;
 
end;
/

declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s := null;
wwv_flow_api.create_page_plug (
  p_id=> 1135646366530734658 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 214,
  p_plug_name=> 'Questions',
  p_plug_template=> 1246756937831840116+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 10,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_display_error_message=> 'Unable to display page region #SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'COLON_DELMITED_LIST',
  p_plug_query_row_count_max => 500,
  p_plug_display_condition_type => '',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> 'Region generated 12-DEC-2003 10:46:57');
end;
/
declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s:=s||'select "QUESTION_NO", '||chr(10)||
'"CHOICE_LETTER",'||chr(10)||
'"ANSWER",'||chr(10)||
'"CATEGORY"'||chr(10)||
'from "#OWNER#"."ANSWERS" '||chr(10)||
' where question_no = :p214_question_no '||chr(10)||
'  '||chr(10)||
'';

wwv_flow_api.create_report_region (
  p_id=> 1135746770898454542 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 214,
  p_name=> 'Answers',
  p_template=> 1246555551819688014+ wwv_flow_api.g_id_offset,
  p_display_sequence=> 10,
  p_display_column=> 1,
  p_display_point=> 'AFTER_SHOW_ITEMS',
  p_source=> s,
  p_source_type=> 'SQL_QUERY',
  p_display_error_message=> 'Unable to show report. #SQLERRM#',
  p_display_when_condition       => 'CREATE_QUESTION',
  p_display_condition_type       => 'REQUEST_NOT_EQUAL_CONDITION',
  p_customized                   => '0',
  p_query_row_template           => 1246592133988720648+ wwv_flow_api.g_id_offset,
  p_query_headings_type          => 'COLON_DELMITED_LIST',
  p_query_num_rows               => '15',
  p_query_options                => 'DERIVED_REPORT_COLUMNS',
  p_query_break_cols             => '0',
  p_query_no_data_found          => 'no data found',
  p_query_num_rows_type          => 'ROW_RANGES_IN_SELECT_LIST',
  p_query_row_count_max          => '500',
  p_pagination_display_position  => 'BOTTOM_RIGHT',
  p_csv_output                   => 'N',
  p_query_asc_image              => 'blue_arrow_down.gif',
  p_query_asc_image_attr         => 'width="13" height="12"',
  p_query_desc_image             => 'blue_arrow_up.gif',
  p_query_desc_image_attr        => 'width="13" height="12"',
  p_required_patch               => '' + wwv_flow_api.g_id_offset,
  p_comment                      => 'Region generated 12-DEC-2003 12:46:55');
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1135747171329454549 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135746770898454542 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 1,
  p_form_element_id=> null,
  p_column_alias=> 'QUESTION_NO',
  p_column_display_sequence=> 1,
  p_column_heading=> '&nbsp;',
  p_column_link=> 'f?p=#APP_ID#:216:#APP_SESSION#::::P216_QUESTION_NO,P216_CHOICE_LETTER:#QUESTION_NO#,#CHOICE_LETTER#',
  p_column_linktext=> '<img src="#WORKSPACE_IMAGES#sapphire_edit.gif"  border="0">',
  p_column_alignment=> 'RIGHT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_lov_show_nulls=> 'NO',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1135747244657454550 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135746770898454542 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 2,
  p_form_element_id=> null,
  p_column_alias=> 'CHOICE_LETTER',
  p_column_display_sequence=> 2,
  p_column_heading=> 'Choice Letter',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1135747362578454550 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135746770898454542 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 3,
  p_form_element_id=> null,
  p_column_alias=> 'ANSWER',
  p_column_display_sequence=> 3,
  p_column_heading=> 'Answer',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1135747455163454550 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135746770898454542 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 4,
  p_form_element_id=> null,
  p_column_alias=> 'CATEGORY',
  p_column_display_sequence=> 4,
  p_column_heading=> 'Category',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
end;
/
 
begin
 
wwv_flow_api.create_page_button(
  p_id             => 1135646570318734664 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 214,
  p_button_sequence=> 10,
  p_button_plug_id => 1135646366530734658+wwv_flow_api.g_id_offset,
  p_button_name    => 'CANCEL',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Cancel',
  p_button_position=> 'BELOW_BOX',
  p_button_alignment=> 'LEFT',
  p_button_image_attributes=>'template:168474524826046015',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1135646868510734664 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 214,
  p_button_sequence=> 20,
  p_button_plug_id => 1135646366530734658+wwv_flow_api.g_id_offset,
  p_button_name    => 'DELETE',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Delete',
  p_button_position=> 'BELOW_BOX',
  p_button_alignment=> 'LEFT',
  p_button_condition=> 'CREATE_QUESTION',
  p_button_condition_type=> 'REQUEST_NOT_EQUAL_CONDITION',
  p_button_image_attributes=>'template:168474524826046015',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1135646761388734664 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 214,
  p_button_sequence=> 30,
  p_button_plug_id => 1135646366530734658+wwv_flow_api.g_id_offset,
  p_button_name    => 'SAVE',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Apply Changes',
  p_button_position=> 'BELOW_BOX',
  p_button_alignment=> 'LEFT',
  p_button_condition=> 'CREATE_QUESTION',
  p_button_condition_type=> 'REQUEST_NOT_EQUAL_CONDITION',
  p_button_image_attributes=>'template:168474524826046015',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1135747653238454552 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 214,
  p_button_sequence=> 30,
  p_button_plug_id => 1135746770898454542+wwv_flow_api.g_id_offset,
  p_button_name    => 'CREATE_ANSWER',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Create',
  p_button_position=> 'BELOW_BOX',
  p_button_alignment=> 'LEFT',
  p_button_redirect_url=> 'f?p=&FLOW_ID.:216:&SESSION.:CREATE_ANSWER:&DEBUG.::P216_QUESTION_NO:&P214_QUESTION_NO.',
  p_button_image_attributes=>'template:168474524826046015',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1135646647613734664 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 214,
  p_button_sequence=> 40,
  p_button_plug_id => 1135646366530734658+wwv_flow_api.g_id_offset,
  p_button_name    => 'CREATE',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Create',
  p_button_position=> 'BELOW_BOX',
  p_button_alignment=> 'LEFT',
  p_button_condition=> 'CREATE_QUESTION',
  p_button_condition_type=> 'REQUEST_EQUALS_CONDITION',
  p_button_image_attributes=>'template:168474524826046015',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
 
end;
/

 
begin
 
wwv_flow_api.create_page_branch(
  p_id=>1135648069285734678 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 214,
  p_branch_action=> 'f?p=&APP_ID.:212:&SESSION.&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_sequence=> 1,
  p_branch_comment=> 'Generated 12-DEC-2003 10:46:57');
 
wwv_flow_api.create_page_branch(
  p_id=>1135748567796454559 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 214,
  p_branch_action=> 'f?p=&APP_ID.:214:&SESSION.&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_sequence=> 20,
  p_branch_comment=> 'Generated 12-DEC-2003 12:46:56');
 
wwv_flow_api.create_page_branch(
  p_id=>1135647752423734674 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 214,
  p_branch_action=> 'f?p=&APP_ID.:212:&SESSION.&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'BEFORE_VALIDATION',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_when_button_id=>1135646570318734664+ wwv_flow_api.g_id_offset,
  p_branch_sequence=> 1,
  p_branch_comment=> 'Generated 12-DEC-2003 10:46:57');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135648368609734680 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 214,
  p_name=>'P214_TEST_NO',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 0,
  p_item_plug_id => 1135646366530734658+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'Test No',
  p_source=>'TEST_NO',
  p_source_type=> 'DB_COLUMN',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> null,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 255,
  p_cHeight=> 1,
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => 'Generated 12-DEC-2003 10:46:57');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135648672755734683 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 214,
  p_name=>'P214_QUESTION_NO',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 1,
  p_item_plug_id => 1135646366530734658+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'Question No',
  p_source=>'QUESTION_NO',
  p_source_type=> 'DB_COLUMN',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> null,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 255,
  p_cHeight=> 1,
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => 'Generated 12-DEC-2003 10:46:57');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135648959277734687 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 214,
  p_name=>'P214_QUESTION',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 3,
  p_item_plug_id => 1135646366530734658+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_prompt=>'Question',
  p_source=>'QUESTION',
  p_source_type=> 'DB_COLUMN',
  p_display_as=> 'TEXTAREA',
  p_lov_columns=> null,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 60,
  p_cMaxlength=> 255,
  p_cHeight=> 4,
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_item_comment => 'Generated 12-DEC-2003 10:46:57');
 
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 1136149647906240695 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 214,
  p_validation_name => 'test',
  p_validation_sequence=> 10,
  p_validation => ':p214_question_no = 177;',
  p_validation_type => 'PLSQL_EXPRESSION',
  p_error_message => 'The validation does fire',
  p_when_button_pressed=> 1135747653238454552 + wwv_flow_api.g_id_offset,
  p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'#OWNER#:QUESTIONS:P214_TEST_NO:TEST_NO:P214_QUESTION_NO:QUESTION_NO';

wwv_flow_api.create_page_process(
  p_id     => 1135649348658734691 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 214,
  p_process_sequence=> 1,
  p_process_point=> 'AFTER_HEADER',
  p_process_type=> 'DML_FETCH_ROW',
  p_process_name=> 'Fetch Row from QUESTIONS',
  p_process_sql_clob => p, 
  p_process_error_message=> 'Unable to fetch row',
  p_process_when=>'CREATE_QUESTION',
  p_process_when_type=>'REQUEST_NOT_EQUAL_CONDITION',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'Generated 12-DEC-2003 10:46:57');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'#OWNER#:QUESTIONS:P214_TEST_NO:TEST_NO:P214_QUESTION_NO:QUESTION_NO|IUD';

wwv_flow_api.create_page_process(
  p_id     => 1135649642249734693 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 214,
  p_process_sequence=> 1,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'DML_PROCESS_ROW',
  p_process_name=> 'Process Row of QUESTIONS',
  p_process_sql_clob => p, 
  p_process_error_message=> 'Unable to process row of table QUESTIONS',
  p_process_success_message=> 'Action Processed.',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'Generated 12-DEC-2003 10:46:57');
end;
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 214
--
 
begin
 
null;
end;
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 215: Form on QUESTIONS
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h:=h||'No help is available for this page.';

ph := null;
wwv_flow_api.create_page(
  p_id     => 215,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_name   => 'Form on QUESTIONS',
  p_step_title=> 'Form on QUESTIONS',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> 'AUTO_FIRST_ITEM',
  p_help_text => ' ',
  p_html_page_header => '',
  p_step_template => '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20060223091905',
  p_page_is_public_y_n=> 'N',
  p_page_comment  => 'Page generated 16-FEB-2004 16:07:34');
 
wwv_flow_api.set_page_help_text(p_flow_id=>wwv_flow.g_flow_id,p_flow_step_id=>215,p_text=>h);
end;
 
end;
/

declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s := null;
wwv_flow_api.create_page_plug (
  p_id=> 1380673528831223835 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 215,
  p_plug_name=> 'Questions',
  p_plug_template=> 1246756937831840116+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 10,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_display_error_message=> 'Unable to display page region #SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'COLON_DELMITED_LIST',
  p_plug_query_row_count_max => 500,
  p_plug_display_condition_type => '',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> 'Region generated 16-FEB-2004 16:07:34');
end;
/
 
begin
 
wwv_flow_api.create_page_button(
  p_id             => 1380673834080223835 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 215,
  p_button_sequence=> 10,
  p_button_plug_id => 1380673528831223835+wwv_flow_api.g_id_offset,
  p_button_name    => 'CANCEL',
  p_button_image_alt=> 'Cancel',
  p_button_position=> 'TOP',
  p_button_alignment=> 'RIGHT',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1380674144528223835 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 215,
  p_button_sequence=> 20,
  p_button_plug_id => 1380673528831223835+wwv_flow_api.g_id_offset,
  p_button_name    => 'DELETE',
  p_button_image_alt=> 'Delete',
  p_button_position=> 'TOP',
  p_button_alignment=> 'RIGHT',
  p_button_condition=> 'P215_QUESTION_NO',
  p_button_condition_type=> 'ITEM_IS_NOT_NULL',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1380674047682223835 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 215,
  p_button_sequence=> 30,
  p_button_plug_id => 1380673528831223835+wwv_flow_api.g_id_offset,
  p_button_name    => 'SAVE',
  p_button_image_alt=> 'Apply Changes',
  p_button_position=> 'TOP',
  p_button_alignment=> 'RIGHT',
  p_button_condition=> 'P215_QUESTION_NO',
  p_button_condition_type=> 'ITEM_IS_NOT_NULL',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1380673929531223835 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 215,
  p_button_sequence=> 40,
  p_button_plug_id => 1380673528831223835+wwv_flow_api.g_id_offset,
  p_button_name    => 'CREATE',
  p_button_image_alt=> 'Create',
  p_button_position=> 'TOP',
  p_button_alignment=> 'RIGHT',
  p_button_condition=> 'P215_QUESTION_NO',
  p_button_condition_type=> 'ITEM_IS_NULL',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
 
end;
/

 
begin
 
wwv_flow_api.create_page_branch(
  p_id=>1380675341225223837 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 215,
  p_branch_action=> 'f?p=&APP_ID.:213:&SESSION.&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_sequence=> 1,
  p_branch_comment=> 'Generated 16-FEB-2004 16:07:34');
 
wwv_flow_api.create_page_branch(
  p_id=>1380675031469223836 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 215,
  p_branch_action=> 'f?p=&APP_ID.:213:&SESSION.&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'BEFORE_VALIDATION',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_when_button_id=>1380673834080223835+ wwv_flow_api.g_id_offset,
  p_branch_sequence=> 1,
  p_branch_comment=> 'Generated 16-FEB-2004 16:07:34');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1380675642130223837 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 215,
  p_name=>'P215_QUESTION_NO',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 0,
  p_item_plug_id => 1380673528831223835+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_prompt=>'Question No',
  p_source=>'QUESTION_NO',
  p_source_type=> 'DB_COLUMN',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> null,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 255,
  p_cHeight=> null,
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_item_comment => 'Generated 16-FEB-2004 16:07:34');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1380675934032223838 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 215,
  p_name=>'P215_TEST_NO',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 1,
  p_item_plug_id => 1380673528831223835+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_prompt=>'Test No',
  p_source=>'TEST_NO',
  p_source_type=> 'DB_COLUMN',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> null,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 255,
  p_cHeight=> null,
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_item_comment => 'Generated 16-FEB-2004 16:07:34');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1380676228974223838 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 215,
  p_name=>'P215_QUESTION',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 3,
  p_item_plug_id => 1380673528831223835+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_prompt=>'Question',
  p_source=>'QUESTION',
  p_source_type=> 'DB_COLUMN',
  p_display_as=> 'TEXTAREA',
  p_lov_columns=> null,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 60,
  p_cMaxlength=> 255,
  p_cHeight=> 4,
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_item_comment => 'Generated 16-FEB-2004 16:07:34');
 
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'#OWNER#:QUESTIONS:P215_QUESTION_NO:QUESTION_NO:P215_TEST_NO:TEST_NO';

wwv_flow_api.create_page_process(
  p_id     => 1380676653291223839 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 215,
  p_process_sequence=> 1,
  p_process_point=> 'AFTER_HEADER',
  p_process_type=> 'DML_FETCH_ROW',
  p_process_name=> 'Fetch Row from QUESTIONS',
  p_process_sql_clob => p, 
  p_process_error_message=> 'Unable to fetch row.',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'Generated 16-FEB-2004 16:07:34');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'#OWNER#:QUESTIONS:P215_QUESTION_NO:QUESTION_NO:P215_TEST_NO:TEST_NO|IUD';

wwv_flow_api.create_page_process(
  p_id     => 1380676954182223839 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 215,
  p_process_sequence=> 1,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'DML_PROCESS_ROW',
  p_process_name=> 'Process Row of QUESTIONS',
  p_process_sql_clob => p, 
  p_process_error_message=> 'Unable to process row of table QUESTIONS.',
  p_process_success_message=> 'Action Processed.',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'Generated 16-FEB-2004 16:07:34');
end;
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 215
--
 
begin
 
null;
end;
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 216: Answers
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h := null;
ph := null;
wwv_flow_api.create_page(
  p_id     => 216,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_name   => 'Answers',
  p_step_title=> 'Answers',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> 'NO_FIRST_ITEM',
  p_help_text => '',
  p_html_page_header => '',
  p_step_template => '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20060223091908',
  p_page_is_public_y_n=> 'N',
  p_page_comment  => '');
 
end;
 
end;
/

declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s := null;
wwv_flow_api.create_page_plug (
  p_id=> 1135742968869454506 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 216,
  p_plug_name=> 'Answers',
  p_plug_template=> 1246756937831840116+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 10,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_display_error_message=> 'Unable to display page region #SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'COLON_DELMITED_LIST',
  p_plug_query_row_count_max => 500,
  p_plug_display_condition_type => '',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> 'Region generated 12-DEC-2003 12:46:55');
end;
/
 
begin
 
wwv_flow_api.create_page_button(
  p_id             => 1135743158092454508 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 216,
  p_button_sequence=> 10,
  p_button_plug_id => 1135742968869454506+wwv_flow_api.g_id_offset,
  p_button_name    => 'CANCEL',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Cancel',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1135743466648454508 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 216,
  p_button_sequence=> 20,
  p_button_plug_id => 1135742968869454506+wwv_flow_api.g_id_offset,
  p_button_name    => 'DELETE',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Delete',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_button_condition=> 'CREATE_ANSWER',
  p_button_condition_type=> 'REQUEST_NOT_EQUAL_CONDITION',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1135743365385454508 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 216,
  p_button_sequence=> 30,
  p_button_plug_id => 1135742968869454506+wwv_flow_api.g_id_offset,
  p_button_name    => 'SAVE',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Apply Changes',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_button_condition=> 'CREATE_ANSWER',
  p_button_condition_type=> 'REQUEST_NOT_EQUAL_CONDITION',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1135743273253454508 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 216,
  p_button_sequence=> 40,
  p_button_plug_id => 1135742968869454506+wwv_flow_api.g_id_offset,
  p_button_name    => 'CREATE',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Create',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_button_condition=> 'CREATE_ANSWER',
  p_button_condition_type=> 'REQUEST_EQUALS_CONDITION',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
 
end;
/

 
begin
 
wwv_flow_api.create_page_branch(
  p_id=>1135744657543454519 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 216,
  p_branch_action=> 'f?p=&APP_ID.:214:&SESSION.&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_sequence=> 1,
  p_branch_comment=> 'Generated 12-DEC-2003 12:46:55');
 
wwv_flow_api.create_page_branch(
  p_id=>1135744350050454517 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 216,
  p_branch_action=> 'f?p=&APP_ID.:214:&SESSION.&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'BEFORE_VALIDATION',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_when_button_id=>1135743158092454508+ wwv_flow_api.g_id_offset,
  p_branch_sequence=> 1,
  p_branch_comment=> 'Generated 12-DEC-2003 12:46:55');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135744971528454522 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 216,
  p_name=>'P216_QUESTION_NO',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 0,
  p_item_plug_id => 1135742968869454506+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'Question No',
  p_source=>'QUESTION_NO',
  p_source_type=> 'DB_COLUMN',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> null,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 255,
  p_cHeight=> 1,
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => 'Generated 12-DEC-2003 12:46:55');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135745266924454524 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 216,
  p_name=>'P216_CHOICE_LETTER',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 1,
  p_item_plug_id => 1135742968869454506+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'Choice Letter',
  p_source=>'CHOICE_LETTER',
  p_source_type=> 'DB_COLUMN',
  p_display_as=> 'TEXT',
  p_lov_columns=> null,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 5,
  p_cMaxlength=> 255,
  p_cHeight=> 1,
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => 'Generated 12-DEC-2003 12:46:55');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135745868484454532 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 216,
  p_name=>'P216_CATEGORY',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 4,
  p_item_plug_id => 1135742968869454506+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'Category',
  p_source=>'CATEGORY',
  p_source_type=> 'DB_COLUMN',
  p_display_as=> 'TEXT',
  p_lov_columns=> null,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 10,
  p_cMaxlength=> 255,
  p_cHeight=> 1,
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => 'Generated 12-DEC-2003 12:46:55');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135745570081454528 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 216,
  p_name=>'P216_ANSWER',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 5,
  p_item_plug_id => 1135742968869454506+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'Answer',
  p_source=>'ANSWER',
  p_source_type=> 'DB_COLUMN',
  p_display_as=> 'TEXT',
  p_lov_columns=> null,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 50,
  p_cMaxlength=> 255,
  p_cHeight=> 1,
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => 'Generated 12-DEC-2003 12:46:55');
 
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'#OWNER#:ANSWERS:P216_QUESTION_NO:QUESTION_NO:P216_CHOICE_LETTER:CHOICE_LETTER';

wwv_flow_api.create_page_process(
  p_id     => 1135746244937454535 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 216,
  p_process_sequence=> 2,
  p_process_point=> 'AFTER_HEADER',
  p_process_type=> 'DML_FETCH_ROW',
  p_process_name=> 'Fetch Row from ANSWERS',
  p_process_sql_clob => p, 
  p_process_error_message=> 'Unable to fetch row',
  p_process_when=>'CREATE_ANSWER',
  p_process_when_type=>'REQUEST_NOT_EQUAL_CONDITION',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'Generated 12-DEC-2003 12:46:55');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'#OWNER#:ANSWERS:P216_QUESTION_NO:QUESTION_NO:P216_CHOICE_LETTER:CHOICE_LETTER|IUD';

wwv_flow_api.create_page_process(
  p_id     => 1135746557904454538 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 216,
  p_process_sequence=> 1,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'DML_PROCESS_ROW',
  p_process_name=> 'Process Row of ANSWERS',
  p_process_sql_clob => p, 
  p_process_error_message=> 'Unable to process row of table ANSWERS',
  p_process_success_message=> 'Action Processed.',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'Generated 12-DEC-2003 12:46:55');
end;
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 216
--
 
begin
 
null;
end;
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 300: Summary Report
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h:=h||'No help text available.';

ph:=ph||'<script language="JavaScript" type="text/javascript">'||chr(10)||
'   function openPopUp(theTestNo, theRating, thePerson) {'||chr(10)||
'      var targetUrl;'||chr(10)||
'      targetUrl = ''f?p=&APP_ID.:302:::::P302_TEST_NO,P302_RATING,P302_PERSON_NO:''+theTestNo+'',''+theRating+'',''+thePerson;'||chr(10)||
'      win=open(targetUrl,"ratingDet","Scrollbars=1,resizable=1,width=500,height=500");'||chr(10)||
'      if (win.opener == null)'||chr(10)||
'         win.opener = self;'||chr(10)||
'  ';

ph:=ph||'       win.focus();'||chr(10)||
'   }'||chr(10)||
'</script>';

wwv_flow_api.create_page(
  p_id     => 300,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_name   => 'Summary Report',
  p_step_title=> 'Summary Report',
  p_step_sub_title => 'Summary Report',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> 'AUTO_FIRST_ITEM',
  p_help_text => ' ',
  p_html_page_header => ' ',
  p_step_template => '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20041107203017',
  p_page_is_public_y_n=> 'N',
  p_page_comment  => '');
 
wwv_flow_api.set_page_help_text(p_flow_id=>wwv_flow.g_flow_id,p_flow_step_id=>300,p_text=>h);
wwv_flow_api.set_html_page_header(p_flow_id=>wwv_flow.g_flow_id,p_flow_step_id=>300,p_text=>ph);
end;
 
end;
/

declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s:=s||'select details, person_no, test_no, '||chr(10)||
'       decode(name,''Myers-Briggs'',''<a href="f?p=&APP_ID.:303:&SESSION.::::P303_PERSON_NAME,P303_PERSON_NO,P303_TEST_NO:''||person_name||'',''||person_no||'',''||test_no||''">''||person_name||''</a>'', person_name )person_name, '||chr(10)||
'       name, '||chr(10)||
'       decode(c.rating, '||chr(10)||
'              ''ENFP'',''<a href="http://www.typelogic.com/enfp.html" target="NEW">ENFP</a>'', '||chr(10)||
'             ';

s:=s||' ''INFP'',''<a href="http://www.typelogic.com/infp.html" target="NEW">INFP</a>'', '||chr(10)||
'              ''ENFJ'',''<a href="http://www.typelogic.com/enfj.html" target="NEW">ENFJ</a>'', '||chr(10)||
'              ''INFJ'',''<a href="http://www.typelogic.com/infj.html" target="NEW">INFJ</a>'', '||chr(10)||
'              ''ESTJ'',''<a href="http://www.typelogic.com/estj.html" target="NEW">ESTJ</a>'', '||chr(10)||
'              ''ISTJ'',''<a href="http://www.typ';

s:=s||'elogic.com/istj.html" target="NEW">ISTJ</a>'', '||chr(10)||
'              ''ESFJ'',''<a href="http://www.typelogic.com/esfj.html" target="NEW">ESFJ</a>'', '||chr(10)||
'              ''ISFJ'',''<a href="http://www.typelogic.com/isfj.html" target="NEW">ISFJ</a>'', '||chr(10)||
'              ''ENTP'',''<a href="http://www.typelogic.com/entp.html" target="NEW">ENTP</a>'', '||chr(10)||
'              ''INTP'',''<a href="http://www.typelogic.com/intp.html" target="NE';

s:=s||'W">INTP</a>'', '||chr(10)||
'              ''ENTJ'',''<a href="http://www.typelogic.com/entj.html" target="NEW">ENTJ</a>'', '||chr(10)||
'              ''INTJ'',''<a href="http://www.typelogic.com/intj.html" target="NEW">INTJ</a>'', '||chr(10)||
'              ''ESTP'',''<a href="http://www.typelogic.com/estp.html" target="NEW">ESTP</a>'', '||chr(10)||
'              ''ISTP'',''<a href="http://www.typelogic.com/istp.html" target="NEW">ISTP</a>'', '||chr(10)||
'              ''ES';

s:=s||'FP'',''<a href="http://www.typelogic.com/esfp.html" target="NEW">ESFP</a>'', '||chr(10)||
'              ''ISFP'',''<a href="http://www.typelogic.com/isfp.html" target="NEW">ISFP</a>'','||chr(10)||
'              c.rating) rating, '||chr(10)||
'       decode(r.rating,'||chr(10)||
'              ''N/A'',test_app.get_lifo_short_rating_desc(person_no, test_no),'||chr(10)||
'              short_description) as short_description '||chr(10)||
'  from (select ''details'' details, person_no, ';

s:=s||'test_no, person_name, name,'||chr(10)||
'               test_app.get_rating(person_no, test_no) rating'||chr(10)||
'          from (select distinct p.person_no, person_name, name, t.test_no'||chr(10)||
'                  from person p, questions q, tests t, results r'||chr(10)||
'                 where p.person_no = r.person_no'||chr(10)||
'                   and r.question_no = q.question_no'||chr(10)||
'                   and t.test_no = q.test_no'||chr(10)||
'                 union'||chr(10)||
' ';

s:=s||'                select distinct p.person_no, person_name, name, t.test_no'||chr(10)||
'                   from person p, questions q, tests t, lifo_results r'||chr(10)||
'                  where p.person_no = r.person_no'||chr(10)||
'                    and r.question_no = q.question_no'||chr(10)||
'                    and t.test_no = q.test_no)) c, ratings r'||chr(10)||
' where c.rating = r.rating'||chr(10)||
'   and c.test_no = r.test';

wwv_flow_api.create_report_region (
  p_id=> 1135914064921837800 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 300,
  p_name=> 'Summary Report',
  p_template=> 1246555551819688014+ wwv_flow_api.g_id_offset,
  p_display_sequence=> 10,
  p_display_column=> 1,
  p_display_point=> 'AFTER_SHOW_ITEMS',
  p_source=> s,
  p_source_type=> 'SQL_QUERY',
  p_display_error_message=> 'Unable to show report. #SQLERRM#',
  p_customized                   => '0',
  p_query_row_template           => 1246592133988720648+ wwv_flow_api.g_id_offset,
  p_query_headings_type          => 'COLON_DELMITED_LIST',
  p_query_num_rows               => '15',
  p_query_options                => 'DERIVED_REPORT_COLUMNS',
  p_query_break_cols             => '0',
  p_query_no_data_found          => 'No data found.',
  p_query_num_rows_type          => 'ROW_RANGES_IN_SELECT_LIST',
  p_query_row_count_max          => '500',
  p_pagination_display_position  => 'BOTTOM_RIGHT',
  p_csv_output                   => 'N',
  p_query_asc_image              => 'blue_arrow_down.gif',
  p_query_asc_image_attr         => 'width="13" height="12"',
  p_query_desc_image             => 'blue_arrow_up.gif',
  p_query_desc_image_attr        => 'width="13" height="12"',
  p_required_patch               => '' + wwv_flow_api.g_id_offset,
  p_comment                      => 'generated 17-DEC-2003 11:09:27');
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1136176464995229687 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135914064921837800 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 1,
  p_form_element_id=> null,
  p_column_alias=> 'DETAILS',
  p_column_display_sequence=> 1,
  p_column_heading=> 'Details',
  p_column_link=> 'f?p=&APP_ID.:301:#APP_SESSION#:::RP:P301_PERSON_NO,P301_TEST_NO:#PERSON_NO#,#TEST_NO#',
  p_column_linktext=> '<img src="#IMAGE_PREFIX#24find.gif" border="0" alt="Edit White Icon">',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_lov_show_nulls=> 'NO',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1135914658397837816 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135914064921837800 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 2,
  p_form_element_id=> null,
  p_column_alias=> 'PERSON_NO',
  p_column_display_sequence=> 2,
  p_column_heading=> 'Person No',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'Y',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_lov_show_nulls=> 'NO',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1135914772670837816 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135914064921837800 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 3,
  p_form_element_id=> null,
  p_column_alias=> 'TEST_NO',
  p_column_display_sequence=> 3,
  p_column_heading=> 'Test No',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'Y',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_lov_show_nulls=> 'NO',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1135914846844837816 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135914064921837800 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 4,
  p_form_element_id=> null,
  p_column_alias=> 'PERSON_NAME',
  p_column_display_sequence=> 4,
  p_column_heading=> 'Name',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 1,
  p_disable_sort_column=> 'N',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_lov_show_nulls=> 'NO',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1135914956581837817 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135914064921837800 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 5,
  p_form_element_id=> null,
  p_column_alias=> 'NAME',
  p_column_display_sequence=> 5,
  p_column_heading=> 'Test',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 2,
  p_disable_sort_column=> 'N',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_lov_show_nulls=> 'NO',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1135915043198837817 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135914064921837800 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 6,
  p_form_element_id=> null,
  p_column_alias=> 'RATING',
  p_column_display_sequence=> 6,
  p_column_heading=> 'Rating',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'N',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_lov_show_nulls=> 'NO',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1136176572166229688 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135914064921837800 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 7,
  p_form_element_id=> null,
  p_column_alias=> 'SHORT_DESCRIPTION',
  p_column_display_sequence=> 7,
  p_column_heading=> 'Short Description',
  p_column_link=> 'javascript:openPopUp(''#TEST_NO#'',''#RATING#'',''#PERSON_NO#'');',
  p_column_linktext=> '#SHORT_DESCRIPTION#',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_lov_show_nulls=> 'NO',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
end;
/
declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s:=s||'<ul>'||chr(10)||
'<li>Click details icon to view <br>questions and answers<br></li>'||chr(10)||
'<li>Click name for graph of Myers Briggs<br> results(Myers-Briggs test only)<br></li>'||chr(10)||
'<li>Click rating for a web page of<br> additional information on this rating<br>(Myers-Briggs test only)<br></li>'||chr(10)||
'<li>Click the Short description for<br> a popup of the full description</li>'||chr(10)||
'</ul>';

wwv_flow_api.create_page_plug (
  p_id=> 1225320748786155065 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 300,
  p_plug_name=> 'Info',
  p_plug_template=> 1245474927907847235+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 20,
  p_plug_display_column  => 2,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_display_error_message=> '#SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_row_count_max => 500,
  p_plug_column_width => 'valign = middle',
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => '',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_customized=>'0',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> '');
end;
/
declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s := null;
wwv_flow_api.create_page_plug (
  p_id=> 1246210129758463944 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 300,
  p_plug_name=> 'Message',
  p_plug_template=> 0,
  p_plug_display_sequence=> 30,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'REGION_POSITION_02',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_display_error_message=> '#SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_row_count_max => 500,
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => '',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_customized=>'0',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> '');
end;
/
 
begin
 
null;
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 300
--
 
begin
 
null;
end;
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 301: Test Detail
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h:=h||'No help text available.';

ph := null;
wwv_flow_api.create_page(
  p_id     => 301,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_name   => 'Test Detail',
  p_step_title=> 'Answer Detail',
  p_step_sub_title => 'Answer Detail',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> 'AUTO_FIRST_ITEM',
  p_help_text => ' ',
  p_html_page_header => '',
  p_step_template => '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20041107203018',
  p_page_is_public_y_n=> 'N',
  p_page_comment  => '');
 
wwv_flow_api.set_page_help_text(p_flow_id=>wwv_flow.g_flow_id,p_flow_step_id=>301,p_text=>h);
end;
 
end;
/

declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s:=s||'select q.question_no, a.choice_letter, question, answer, '||chr(10)||
'       decode(nvl(r.choice,''not''),'||chr(10)||
'         a.choice_letter,'||chr(10)||
'         ''<img src="#IMAGE_PREFIX#check2.gif" alt="check" />'','||chr(10)||
'         null) Choice, Category'||chr(10)||
'  from results r, answers a, questions q'||chr(10)||
' where r.person_no(+)   = :P301_PERSON_NO'||chr(10)||
'   and q.test_no        = :P301_TEST_NO'||chr(10)||
'   and a.question_no    = q.question_no'||chr(10)||
'   and r.question_no(+)';

s:=s||' = a.question_no'||chr(10)||
'   and r.choice(+)      = a.choice_letter';

wwv_flow_api.create_report_region (
  p_id=> 1135890873740269917 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 301,
  p_name=> 'Test Detail',
  p_template=> 1246555551819688014+ wwv_flow_api.g_id_offset,
  p_display_sequence=> 10,
  p_display_column=> 1,
  p_display_point=> 'AFTER_SHOW_ITEMS',
  p_source=> s,
  p_source_type=> 'SQL_QUERY',
  p_display_error_message=> 'Unable to show report. #SQLERRM#',
  p_customized                   => '0',
  p_query_row_template           => 1246592133988720648+ wwv_flow_api.g_id_offset,
  p_query_headings_type          => 'COLON_DELMITED_LIST',
  p_query_num_rows               => '16',
  p_query_options                => 'DERIVED_REPORT_COLUMNS',
  p_query_break_cols             => '1',
  p_query_no_data_found          => 'No data found.',
  p_query_num_rows_type          => 'ROW_RANGES_WITH_LINKS',
  p_query_row_count_max          => '500',
  p_pagination_display_position  => 'BOTTOM_RIGHT',
  p_break_type_flag              => 'DEFAULT_BREAK_FORMATTING',
  p_csv_output                   => 'N',
  p_query_asc_image              => 'blue_arrow_down.gif',
  p_query_asc_image_attr         => 'width="13" height="12"',
  p_query_desc_image             => 'blue_arrow_up.gif',
  p_query_desc_image_attr        => 'width="13" height="12"',
  p_required_patch               => '' + wwv_flow_api.g_id_offset,
  p_comment                      => 'generated 17-DEC-2003 09:34:48');
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1135891347344269931 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135890873740269917 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 1,
  p_form_element_id=> null,
  p_column_alias=> 'QUESTION_NO',
  p_column_display_sequence=> 1,
  p_column_heading=> 'Question No',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'Y',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1135891453397269932 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135890873740269917 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 2,
  p_form_element_id=> null,
  p_column_alias=> 'CHOICE_LETTER',
  p_column_display_sequence=> 3,
  p_column_heading=> '&nbsp;',
  p_column_alignment=> 'CENTER',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1135891561509269932 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135890873740269917 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 3,
  p_form_element_id=> null,
  p_column_alias=> 'QUESTION',
  p_column_display_sequence=> 2,
  p_column_heading=> 'Question',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1135891649325269932 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135890873740269917 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 4,
  p_form_element_id=> null,
  p_column_alias=> 'ANSWER',
  p_column_display_sequence=> 4,
  p_column_heading=> 'Answer',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1135891744718269933 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135890873740269917 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 5,
  p_form_element_id=> null,
  p_column_alias=> 'CHOICE',
  p_column_display_sequence=> 5,
  p_column_heading=> 'Choice',
  p_column_alignment=> 'CENTER',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_lov_show_nulls=> 'NO',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1136174352220178729 + wwv_flow_api.g_id_offset,
  p_region_id=> 1135890873740269917 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 6,
  p_form_element_id=> null,
  p_column_alias=> 'CATEGORY',
  p_column_display_sequence=> 6,
  p_column_heading=> 'Category',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
end;
/
 
begin
 
wwv_flow_api.create_page_button(
  p_id             => 1135899472212333534 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 301,
  p_button_sequence=> 10,
  p_button_plug_id => 1135890873740269917+wwv_flow_api.g_id_offset,
  p_button_name    => 'RETURN',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Return',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
 
end;
/

 
begin
 
wwv_flow_api.create_page_branch(
  p_id=>1135899756908333599 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 301,
  p_branch_action=> 'f?p=&FLOW_ID.:300:&SESSION.::&DEBUG.:::&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_when_button_id=>1135899472212333534+ wwv_flow_api.g_id_offset,
  p_branch_sequence=> 10,
  p_branch_comment=> '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135894963723293208 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 301,
  p_name=>'P301_TEST_NO',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 10,
  p_item_plug_id => 1135890873740269917+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source=>'21',
  p_source_type=> 'STATIC',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> null,
  p_cMaxlength=> 2000,
  p_cHeight=> null,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'NO',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'LEFT',
  p_field_alignment  => 'LEFT',
  p_is_persistent=> 'Y',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1135895473074295859 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 301,
  p_name=>'P301_PERSON_NO',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 20,
  p_item_plug_id => 1135890873740269917+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source=>'2',
  p_source_type=> 'STATIC',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> null,
  p_cMaxlength=> 2000,
  p_cHeight=> null,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'NO',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'LEFT',
  p_field_alignment  => 'LEFT',
  p_is_persistent=> 'Y',
  p_item_comment => '');
 
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 301
--
 
begin
 
null;
end;
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 302: Rating Description
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h:=h||'No help text available.';

ph := null;
wwv_flow_api.create_page(
  p_id     => 302,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> '',
  p_name   => 'Rating Description',
  p_step_title=> 'Rating Description',
  p_step_sub_title => 'Rating Description',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> 'AUTO_FIRST_ITEM',
  p_help_text => ' ',
  p_html_page_header => '',
  p_step_template => 1079277039664574734+ wwv_flow_api.g_id_offset,
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20041107203018',
  p_page_is_public_y_n=> 'N',
  p_page_comment  => '');
 
wwv_flow_api.set_page_help_text(p_flow_id=>wwv_flow.g_flow_id,p_flow_step_id=>302,p_text=>h);
end;
 
end;
/

declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s:=s||'select decode(test, '||chr(10)||
'              82, test_app.get_lifo_long_rating_desc(:P302_PERSON_NO,82), '||chr(10)||
'              full_description) as full_description'||chr(10)||
'  from ratings'||chr(10)||
' where rating = :P302_RATING'||chr(10)||
'   and test   = :P302_TEST_NO';

wwv_flow_api.create_report_region (
  p_id=> 1136184349199296573 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 302,
  p_name=> 'Full Rating Description',
  p_template=> 1135160554484532625+ wwv_flow_api.g_id_offset,
  p_display_sequence=> 10,
  p_display_column=> 1,
  p_display_point=> 'AFTER_SHOW_ITEMS',
  p_source=> s,
  p_source_type=> 'SQL_QUERY',
  p_display_error_message=> 'Unable to show report. #SQLERRM#',
  p_customized                   => '0',
  p_query_row_template           => 1,
  p_query_headings_type          => 'NO_HEADINGS',
  p_query_num_rows               => '15',
  p_query_options                => 'DERIVED_REPORT_COLUMNS',
  p_query_break_cols             => '0',
  p_query_no_data_found          => 'No data found.',
  p_query_num_rows_type          => '0',
  p_query_row_count_max          => '500',
  p_pagination_display_position  => 'BOTTOM_RIGHT',
  p_csv_output                   => 'N',
  p_query_asc_image              => 'blue_arrow_down.gif',
  p_query_asc_image_attr         => 'width="13" height="12"',
  p_query_desc_image             => 'blue_arrow_up.gif',
  p_query_desc_image_attr        => 'width="13" height="12"',
  p_required_patch               => '' + wwv_flow_api.g_id_offset,
  p_comment                      => 'generated 22-DEC-2003 11:52:35');
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1136184853432296589 + wwv_flow_api.g_id_offset,
  p_region_id=> 1136184349199296573 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 1,
  p_form_element_id=> null,
  p_column_alias=> 'FULL_DESCRIPTION',
  p_column_display_sequence=> 1,
  p_column_heading=> '',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
end;
/
 
begin
 
wwv_flow_api.create_page_button(
  p_id             => 1136194773812468837 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 302,
  p_button_sequence=> 10,
  p_button_plug_id => 1136184349199296573+wwv_flow_api.g_id_offset,
  p_button_name    => 'CLOSE',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Close Window',
  p_button_position=> 'BELOW_BOX',
  p_button_alignment=> 'RIGHT',
  p_button_redirect_url=> 'javascript:window.close()',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
 
end;
/

 
begin
 
null;
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1136186649514357684 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 302,
  p_name=>'P302_TEST_NO',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 10,
  p_item_plug_id => 1136184349199296573+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source_type=> 'STATIC',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> null,
  p_cMaxlength=> 2000,
  p_cHeight=> null,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'NO',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'LEFT',
  p_field_alignment  => 'LEFT',
  p_is_persistent=> 'Y',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1136187156787359762 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 302,
  p_name=>'P302_RATING',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 20,
  p_item_plug_id => 1136184349199296573+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source_type=> 'STATIC',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> null,
  p_cMaxlength=> 2000,
  p_cHeight=> null,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'NO',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'LEFT',
  p_field_alignment  => 'LEFT',
  p_is_persistent=> 'Y',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1079282129239622401 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 302,
  p_name=>'P302_PERSON_NO',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 30,
  p_item_plug_id => 1136184349199296573+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source_type=> 'STATIC',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> null,
  p_cMaxlength=> 2000,
  p_cHeight=> null,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'NO',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'LEFT',
  p_field_alignment  => 'LEFT',
  p_is_persistent=> 'Y',
  p_item_comment => '');
 
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 302
--
 
begin
 
null;
end;
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 303: Category Distribution
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h := null;
ph := null;
wwv_flow_api.create_page(
  p_id     => 303,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_name   => 'Category Distribution',
  p_alias  => 'MB_GRAPH',
  p_step_title=> 'Meyers Briggs Category Distribution',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> 'NO_FIRST_ITEM',
  p_help_text => '',
  p_html_page_header => '',
  p_step_template => 1245068046305425259+ wwv_flow_api.g_id_offset,
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20060227101916',
  p_page_is_public_y_n=> 'N',
  p_page_comment  => '');
 
end;
 
end;
/

declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s := null;
wwv_flow_api.create_page_plug (
  p_id=> 1236141852628677676 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 303,
  p_plug_name=> 'space',
  p_plug_template=> 0,
  p_plug_display_sequence=> 30,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_display_error_message=> '#SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_row_count_max => 500,
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => '',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> '');
end;
/
declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s:=s||'<table border=1 width = 100%>'||chr(10)||
'  <tr>'||chr(10)||
'    <td colspan=3 >The graph displays four groups each containing two categories.  If one of the categories is missing this means the applicant answered all of that groups questions in the remaining category '||chr(10)||
'    </td>'||chr(10)||
'  </tr>'||chr(10)||
'  <tr>'||chr(10)||
'    <td colspan = 3>&nbsp;</td>'||chr(10)||
'  </tr> '||chr(10)||
'  <tr>'||chr(10)||
'    <th width = 30%>Group</th><th width=40%>Category</th><th width=30%>Total Grou';

s:=s||'p Questions</th>'||chr(10)||
'  </tr>'||chr(10)||
'  <tr>'||chr(10)||
'     <td rowspan=2 align=center>Group One</td>'||chr(10)||
'     <td>&nbsp;Introvert</td>'||chr(10)||
'     <td rowspan=2 align=center>10</td>'||chr(10)||
'  </tr>'||chr(10)||
'  <tr>'||chr(10)||
'     <td>&nbsp;Extrovert</td>'||chr(10)||
'  </tr>'||chr(10)||
'  <tr>'||chr(10)||
'     <td rowspan=2 align=center>Group One</td>'||chr(10)||
'     <td>&nbsp;Sensing</td>'||chr(10)||
'     <td rowspan=2 align=center>20</td>'||chr(10)||
'  </tr>'||chr(10)||
'  <tr>'||chr(10)||
'     <td>&nbsp;Intuition</td>'||chr(10)||
'  </tr>'||chr(10)||
'  <tr>'||chr(10)||
'     <td rowspan';

s:=s||'=2 align=center>Group One</td>'||chr(10)||
'     <td>&nbsp;Feeling</td>'||chr(10)||
'     <td rowspan=2 align=center>20</td>'||chr(10)||
'  </tr>'||chr(10)||
'  <tr>'||chr(10)||
'     <td>&nbsp;Thinking</td>'||chr(10)||
'  </tr>'||chr(10)||
'  <tr>'||chr(10)||
'     <td rowspan=2 align=center>Group One</td>'||chr(10)||
'     <td>&nbsp;Judging</td>'||chr(10)||
'     <td rowspan=2 align=center>20</td>'||chr(10)||
'  </tr>'||chr(10)||
'  <tr>'||chr(10)||
'     <td>&nbsp;Perceiving</td>'||chr(10)||
'  </tr>'||chr(10)||
'</table>';

wwv_flow_api.create_page_plug (
  p_id=> 1225540139108303727 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 303,
  p_plug_name=> 'Key',
  p_plug_template=> 1245474927907847235+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 20,
  p_plug_display_column  => 2,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_display_error_message=> '#SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_row_count_max => 500,
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => '',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_customized=>'0',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> '');
end;
/
declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s:=s||'select ''f?p=&APP_ID.:310:&SESSION.:::RP:P310_PERSON_NO,P310_TEST_NO,P310_CATEGORY,P310_RETURN_PAGE:''||person_no||'',''||test_no||'',''||the_cat||'',303'', '||chr(10)||
'       category, the_count'||chr(10)||
'  from (select q.test_no, p.person_no, person_name, '||chr(10)||
' 	       decode(category,'||chr(10)||
'                      ''I'', ''Introvert'','||chr(10)||
'                      ''E'', ''Extrovert'','||chr(10)||
'                      ''J'', ''Judging'','||chr(10)||
'                      ''P'',';

s:=s||' ''Perceiving'','||chr(10)||
'                      ''T'', ''Thinking'','||chr(10)||
'                      ''F'', ''Feeling'','||chr(10)||
'                      ''S'', ''Sensing'','||chr(10)||
'                      ''N'', ''Intuition'') category,'||chr(10)||
'               decode(category,'||chr(10)||
'                      ''I'',''A'','||chr(10)||
'                      ''E'',''B'','||chr(10)||
'                      ''S'',''C'','||chr(10)||
'                      ''N'',''D'','||chr(10)||
'                      ''F'',''E'','||chr(10)||
'                      ''T'',''F'','||chr(10)||
'  ';

s:=s||'                    ''J'',''G'','||chr(10)||
'                      ''P'',''H'') the_order,'||chr(10)||
'               category as the_cat,'||chr(10)||
'               count(*) the_count'||chr(10)||
'          from person p, questions q, '||chr(10)||
' 	       answers a, results r'||chr(10)||
'         where q.test_no     = :p303_test_no'||chr(10)||
'           and p.person_no   = :p303_person_no'||chr(10)||
'           and q.question_no = a.question_no'||chr(10)||
'           and r.person_no   = p.person_no'||chr(10)||
'          ';

s:=s||' and r.question_no = q.question_no'||chr(10)||
'           and r.choice      = a.choice_letter'||chr(10)||
'         group by q.test_no, p.person_no, '||chr(10)||
'                  person_name, category)'||chr(10)||
' order by the_order';

wwv_flow_api.create_page_plug (
  p_id=> 1225401338359199351 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 303,
  p_plug_name=> 'Category Distribution',
  p_plug_template=> 1246555551819688014+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 10,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'SIMPLE_CHART',
  p_translate_title=> 'Y',
  p_plug_display_error_message=> '#SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_row_count_max => 500,
  p_plug_query_options => 'PARSE_CHART_QUERY',
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => '',
  p_plug_chart_font_size => '-1',
  p_plug_chart_max_rows => '8',
  p_plug_chart_num_mask => '999G999G999G990',
  p_plug_chart_scale => '200',
  p_plug_chart_axis => 'ZERO',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_customized=>'0',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> '');
declare
 a varchar2(32767):=null;
begin
a:=a||'PURPLE';

wwv_flow_api.create_generic_attr(
 p_id=>1225417552342212844+wwv_flow_api.g_id_offset,
 p_region_id=>1225401338359199351+wwv_flow_api.g_id_offset,
 p_attribute_id=>1,
 p_attribute_value=>a);
end;
end;
/
 
begin
 
wwv_flow_api.create_page_button(
  p_id             => 1225422236543217802 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 303,
  p_button_sequence=> 10,
  p_button_plug_id => 1236141852628677676+wwv_flow_api.g_id_offset,
  p_button_name    => 'RETURN',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Return',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
 
end;
/

 
begin
 
wwv_flow_api.create_page_branch(
  p_id=>1225422530388217804 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 303,
  p_branch_action=> 'f?p=&FLOW_ID.:300:&SESSION.::&DEBUG.&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_when_button_id=>1225422236543217802+ wwv_flow_api.g_id_offset,
  p_branch_sequence=> 10,
  p_branch_comment=> '');
 
wwv_flow_api.create_page_branch(
  p_id=>1258206154288457324 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 303,
  p_branch_action=> 'f?p=&FLOW_ID.:303:&SESSION.::&DEBUG.&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_when_button_id=>1258205835613457322+ wwv_flow_api.g_id_offset,
  p_branch_sequence=> 10,
  p_branch_comment=> '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1235710041396513563 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 303,
  p_name=>'P303_TEST_NO',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 15,
  p_item_plug_id => 1225401338359199351+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source_type=> 'ALWAYS_NULL',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'LEFT',
  p_field_alignment  => 'LEFT',
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1235721829060519461 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 303,
  p_name=>'P303_PERSON_NO',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 20,
  p_item_plug_id => 1225401338359199351+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source_type=> 'ALWAYS_NULL',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> null,
  p_cMaxlength=> 2000,
  p_cHeight=> null,
  p_cAttributes=> 'nowrap',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'LEFT',
  p_field_alignment  => 'LEFT',
  p_is_persistent=> 'Y',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1236129843493665552 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 303,
  p_name=>'P303_X',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 30,
  p_item_plug_id => 1236141852628677676+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source=>'Click on the category name to see a detailed report of all questions answered for that category',
  p_source_type=> 'STATIC',
  p_display_as=> 'DISPLAY_ONLY_HTML',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1258078336886249483 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 303,
  p_name=>'P303_PERSON_NAME',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 40,
  p_item_plug_id => 1225401338359199351+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'YES',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'For',
  p_source_type=> 'ALWAYS_NULL',
  p_display_as=> 'DISPLAY_ONLY_HTML',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap="nowrap"',
  p_begin_on_new_line => 'NO',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'LEFT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 303
--
 
begin
 
null;
end;
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 310: Category Questions
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h:=h||'No help text available.';

ph := null;
wwv_flow_api.create_page(
  p_id     => 310,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> '',
  p_name   => 'Category Questions',
  p_step_title=> 'Category Questions',
  p_step_sub_title => 'Category Questions',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> '',
  p_help_text => ' ',
  p_html_page_header => '',
  p_step_template => '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20041107203018',
  p_page_comment  => '');
 
wwv_flow_api.set_page_help_text(p_flow_id=>wwv_flow.g_flow_id,p_flow_step_id=>310,p_text=>h);
end;
 
end;
/

declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s:=s||'select q.question_no, a.choice_letter, question, answer, '||chr(10)||
'       decode(nvl(r.choice,''not''),'||chr(10)||
'              a.choice_letter,'||chr(10)||
'              ''<img src="/i/check2.gif" alt="check" />'','||chr(10)||
'              null) Choice, '||chr(10)||
'       decode(category,'||chr(10)||
'              ''E'', ''Extrovert'','||chr(10)||
'              ''I'', ''Introvert'','||chr(10)||
'              ''S'', ''Sensing'','||chr(10)||
'              ''N'', ''Intuition'','||chr(10)||
'              ''F'', ''Feeling'','||chr(10)||
'          ';

s:=s||'    ''T'', ''Thinking'','||chr(10)||
'              ''J'', ''Judging'','||chr(10)||
'              ''P'', ''Perceiving'','||chr(10)||
'              category ) Category,'||chr(10)||
'       decode(nvl(r.choice,''not''),'||chr(10)||
'              a.choice_letter, ''<a href = "http://htmldb.oracle.com/pls/otn/f?p=&APP_ID.:104:&SESSION.:::RP:P104_CHANGE_QUESTION,P104_CHANGE_QUES_NO:YES,''||q.question_no||''"> <img src="/i/reg_temp_change.gif" alt="change" /> </a>'','||chr(10)||
'              ';

s:=s||'null) Change'||chr(10)||
'  from results r, answers a, questions q'||chr(10)||
' where r.person_no(+)   = :p310_person_no'||chr(10)||
'   and q.test_no        = :p310_test_no'||chr(10)||
'   and a.question_no    = q.question_no'||chr(10)||
'   and r.question_no(+) = a.question_no'||chr(10)||
'   and r.choice(+)      = a.choice_letter'||chr(10)||
'   and a.question_no in ('||chr(10)||
'		   select a.question_no'||chr(10)||
'		     from results r, answers a'||chr(10)||
'		    where a.question_no = r.question_no'||chr(10)||
'		      and cat';

s:=s||'egory = :p310_category'||chr(10)||
'		      and person_no = :p310_person_no'||chr(10)||
'		      and r.choice = a.choice_letter)'||chr(10)||
'  order by 1,2';

wwv_flow_api.create_report_region (
  p_id=> 1266830241359954708 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 310,
  p_name=> 'Category Answers',
  p_template=> 1246555551819688014+ wwv_flow_api.g_id_offset,
  p_display_sequence=> 20,
  p_display_column=> 1,
  p_display_point=> 'AFTER_SHOW_ITEMS',
  p_source=> s,
  p_source_type=> 'SQL_QUERY',
  p_display_error_message=> 'Unable to show report. #SQLERRM#',
  p_display_when_condition       => 'P310_RETURN_PAGE',
  p_display_when_cond2           => '104',
  p_customized                   => '0',
  p_query_row_template           => 1246592133988720648+ wwv_flow_api.g_id_offset,
  p_query_headings_type          => 'QUERY_COLUMNS',
  p_query_num_rows               => '14',
  p_query_options                => 'DERIVED_REPORT_COLUMNS',
  p_query_break_cols             => '0',
  p_query_no_data_found          => 'No data found.',
  p_query_num_rows_type          => 'ROW_RANGES_WITH_LINKS',
  p_query_row_count_max          => '500',
  p_pagination_display_position  => 'BOTTOM_RIGHT',
  p_csv_output                   => 'N',
  p_query_asc_image              => 'blue_arrow_down.gif',
  p_query_asc_image_attr         => 'width="13" height="12"',
  p_query_desc_image             => 'blue_arrow_up.gif',
  p_query_desc_image_attr        => 'width="13" height="12"',
  p_required_patch               => '' + wwv_flow_api.g_id_offset,
  p_comment                      => 'generated 28-JAN-2004 13:08:01');
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1266830428031954712 + wwv_flow_api.g_id_offset,
  p_region_id=> 1266830241359954708 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 1,
  p_form_element_id=> null,
  p_column_alias=> 'QUESTION_NO',
  p_column_display_sequence=> 1,
  p_column_heading=> 'Question No',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1266830536666954712 + wwv_flow_api.g_id_offset,
  p_region_id=> 1266830241359954708 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 2,
  p_form_element_id=> null,
  p_column_alias=> 'CHOICE_LETTER',
  p_column_display_sequence=> 2,
  p_column_heading=> 'Choice Letter',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1266830652789954712 + wwv_flow_api.g_id_offset,
  p_region_id=> 1266830241359954708 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 3,
  p_form_element_id=> null,
  p_column_alias=> 'QUESTION',
  p_column_display_sequence=> 3,
  p_column_heading=> 'Question',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1266830751711954712 + wwv_flow_api.g_id_offset,
  p_region_id=> 1266830241359954708 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 4,
  p_form_element_id=> null,
  p_column_alias=> 'ANSWER',
  p_column_display_sequence=> 4,
  p_column_heading=> 'Answer',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1266830833759954712 + wwv_flow_api.g_id_offset,
  p_region_id=> 1266830241359954708 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 5,
  p_form_element_id=> null,
  p_column_alias=> 'CHOICE',
  p_column_display_sequence=> 5,
  p_column_heading=> 'Choice',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1266830941270954712 + wwv_flow_api.g_id_offset,
  p_region_id=> 1266830241359954708 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 6,
  p_form_element_id=> null,
  p_column_alias=> 'CATEGORY',
  p_column_display_sequence=> 6,
  p_column_heading=> 'Category',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1266908751318976516 + wwv_flow_api.g_id_offset,
  p_region_id=> 1266830241359954708 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 7,
  p_form_element_id=> null,
  p_column_alias=> 'CHANGE',
  p_column_display_sequence=> 7,
  p_column_heading=> 'Change',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_when_cond_type=> 'VAL_OF_ITEM_IN_COND_EQ_COND2',
  p_display_when_condition=> 'P310_RETURN_PAGE',
  p_display_when_condition2=> '104',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_lov_show_nulls=> 'NO',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
end;
/
 
begin
 
wwv_flow_api.create_page_button(
  p_id             => 1235236240835172761 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 310,
  p_button_sequence=> 10,
  p_button_plug_id => 1266830241359954708+wwv_flow_api.g_id_offset,
  p_button_name    => 'RETURN104',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Return',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_button_condition=> 'P310_RETURN_PAGE',
  p_button_condition2=> '104',
  p_button_condition_type=> 'VAL_OF_ITEM_IN_COND_EQ_COND2',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1235562141172447255 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 310,
  p_button_sequence=> 10,
  p_button_plug_id => 1266830241359954708+wwv_flow_api.g_id_offset,
  p_button_name    => 'RETURN303',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Return',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_button_condition=> ':p310_return_page = 303',
  p_button_condition_type=> 'PLSQL_EXPRESSION',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
 
end;
/

 
begin
 
wwv_flow_api.create_page_branch(
  p_id=>1235236534504172761 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 310,
  p_branch_action=> 'f?p=&FLOW_ID.:104:&SESSION.::&DEBUG.::P104_CHANGE_QUESTION:NO&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_when_button_id=>1235236240835172761+ wwv_flow_api.g_id_offset,
  p_branch_sequence=> 10,
  p_branch_comment=> '');
 
wwv_flow_api.create_page_branch(
  p_id=>1235562532341447256 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 310,
  p_branch_action=> 'f?p=&FLOW_ID.:303:&SESSION.::&DEBUG.:104::&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_when_button_id=>1235562141172447255+ wwv_flow_api.g_id_offset,
  p_branch_sequence=> 10,
  p_branch_comment=> '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1235250330016188554 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 310,
  p_name=>'P310_TEST_NO',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 10,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source_type=> 'ALWAYS_NULL',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'LEFT',
  p_field_alignment  => 'LEFT',
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1235261328415197591 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 310,
  p_name=>'P310_PERSON_NO',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 20,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source_type=> 'ALWAYS_NULL',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'LEFT',
  p_field_alignment  => 'LEFT',
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1235269255427205393 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 310,
  p_name=>'P310_CATEGORY',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 30,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source_type=> 'ALWAYS_NULL',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 2000,
  p_cHeight=> 1,
  p_cAttributes=> 'nowrap',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'LEFT',
  p_field_alignment  => 'LEFT',
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1235444149474373973 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 310,
  p_name=>'P310_RETURN_PAGE',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 40,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_source_type=> 'ALWAYS_NULL',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> 1,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> null,
  p_cMaxlength=> 2000,
  p_cHeight=> null,
  p_cAttributes=> 'nowrap',
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'LEFT',
  p_field_alignment  => 'LEFT',
  p_is_persistent=> 'Y',
  p_item_comment => '');
 
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 310
--
 
begin
 
null;
end;
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 400: Multirow Edit
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h := null;
ph := null;
wwv_flow_api.create_page(
  p_id     => 400,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_name   => 'Multirow Edit',
  p_alias  => 'TEST',
  p_step_title=> 'test htmldb_item',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> 'NO_FIRST_ITEM',
  p_help_text => '',
  p_html_page_header => '',
  p_step_template => '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20041107203019',
  p_page_is_public_y_n=> 'N',
  p_page_comment  => '');
 
end;
 
end;
/

declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s:=s||'SELECT '||chr(10)||
'  empno, '||chr(10)||
'  HTMLDB_ITEM.HIDDEN(1,empno)||'||chr(10)||
'  HTMLDB_ITEM.TEXT(2,ename) ename, '||chr(10)||
'  HTMLDB_ITEM.TEXT(3,job) position, '||chr(10)||
'  mgr, '||chr(10)||
'  HTMLDB_ITEM.DATE_POPUP(4,rownum,hiredate,''Month dd, yyyy'') hd,'||chr(10)||
'  HTMLDB_ITEM.TEXT(5,sal,12) sal, '||chr(10)||
'  HTMLDB_ITEM.TEXT(6,comm,12) comm,'||chr(10)||
'  HTMLDB_ITEM.SELECT_LIST_FROM_LOV(7,deptno,''department'',null, ''NO'') deptno,'||chr(10)||
'  HTMLDB_ITEM.CHECKBOX(8,empno,decode(temp,''Y'',''CHECKED''';

s:=s||',null)) temp'||chr(10)||
'FROM emp'||chr(10)||
'ORDER BY 1';

wwv_flow_api.create_report_region (
  p_id=> 1136223261020430303 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 400,
  p_name=> 'Multi-Row Edit of the Emp table',
  p_template=> 1246555551819688014+ wwv_flow_api.g_id_offset,
  p_display_sequence=> 10,
  p_display_column=> 1,
  p_display_point=> 'AFTER_SHOW_ITEMS',
  p_source=> s,
  p_source_type=> 'SQL_QUERY',
  p_display_error_message=> 'Something is just not right with the EMP table. #SQLERRM#',
  p_customized                   => '0',
  p_query_row_template           => 1246592133988720648+ wwv_flow_api.g_id_offset,
  p_query_headings_type          => 'COLON_DELMITED_LIST',
  p_query_num_rows               => '15',
  p_query_options                => 'DERIVED_REPORT_COLUMNS',
  p_query_break_cols             => '0',
  p_query_no_data_found          => 'No data found.',
  p_query_num_rows_type          => 'ROW_RANGES_IN_SELECT_LIST',
  p_query_row_count_max          => '500',
  p_pagination_display_position  => 'BOTTOM_RIGHT',
  p_csv_output                   => 'N',
  p_query_asc_image              => 'blue_arrow_down.gif',
  p_query_asc_image_attr         => 'width="13" height="12"',
  p_query_desc_image             => 'blue_arrow_up.gif',
  p_query_desc_image_attr        => 'width="13" height="12"',
  p_required_patch               => '' + wwv_flow_api.g_id_offset,
  p_comment                      => 'generated 05-JAN-2004 15:08:12');
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1136223650876430309 + wwv_flow_api.g_id_offset,
  p_region_id=> 1136223261020430303 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 1,
  p_form_element_id=> null,
  p_column_alias=> 'EMPNO',
  p_column_display_sequence=> 1,
  p_column_heading=> 'Empno',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1136223749907430310 + wwv_flow_api.g_id_offset,
  p_region_id=> 1136223261020430303 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 2,
  p_form_element_id=> null,
  p_column_alias=> 'ENAME',
  p_column_display_sequence=> 2,
  p_column_heading=> 'Name',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1136230859007609545 + wwv_flow_api.g_id_offset,
  p_region_id=> 1136223261020430303 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 3,
  p_form_element_id=> null,
  p_column_alias=> 'POSITION',
  p_column_display_sequence=> 3,
  p_column_heading=> 'Position',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1136223967856430310 + wwv_flow_api.g_id_offset,
  p_region_id=> 1136223261020430303 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 4,
  p_form_element_id=> null,
  p_column_alias=> 'MGR',
  p_column_display_sequence=> 4,
  p_column_heading=> 'Manager',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1136224048084430311 + wwv_flow_api.g_id_offset,
  p_region_id=> 1136223261020430303 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 5,
  p_form_element_id=> null,
  p_column_alias=> 'HD',
  p_column_display_sequence=> 5,
  p_column_heading=> 'Hire Date',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1136224146925430311 + wwv_flow_api.g_id_offset,
  p_region_id=> 1136223261020430303 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 6,
  p_form_element_id=> null,
  p_column_alias=> 'SAL',
  p_column_display_sequence=> 6,
  p_column_heading=> 'Salary',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1136224247763430311 + wwv_flow_api.g_id_offset,
  p_region_id=> 1136223261020430303 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 7,
  p_form_element_id=> null,
  p_column_alias=> 'COMM',
  p_column_display_sequence=> 7,
  p_column_heading=> 'Commission',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1136224362877430311 + wwv_flow_api.g_id_offset,
  p_region_id=> 1136223261020430303 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 8,
  p_form_element_id=> null,
  p_column_alias=> 'DEPTNO',
  p_column_display_sequence=> 8,
  p_column_heading=> 'Department',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1136277950027770369 + wwv_flow_api.g_id_offset,
  p_region_id=> 1136223261020430303 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 9,
  p_form_element_id=> null,
  p_column_alias=> 'TEMP',
  p_column_display_sequence=> 9,
  p_column_heading=> 'Temp',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
end;
/
 
begin
 
wwv_flow_api.create_page_button(
  p_id             => 1136225468217527038 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 400,
  p_button_sequence=> 10,
  p_button_plug_id => 1136223261020430303+wwv_flow_api.g_id_offset,
  p_button_name    => 'SUBMIT',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Submit',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
 
end;
/

 
begin
 
wwv_flow_api.create_page_branch(
  p_id=>1136225771709527046 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 400,
  p_branch_action=> 'f?p=&FLOW_ID.:1:&SESSION.::&DEBUG.&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_when_button_id=>1136225468217527038+ wwv_flow_api.g_id_offset,
  p_branch_sequence=> 10,
  p_branch_comment=> '');
 
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'declare'||chr(10)||
''||chr(10)||
'begin'||chr(10)||
''||chr(10)||
'  for i in 1..htmldb_application.g_f01.count loop'||chr(10)||
'     update emp'||chr(10)||
'        set ename =    htmldb_application.g_f02(i),'||chr(10)||
'            job =      htmldb_application.g_f03(i),'||chr(10)||
'            hiredate = to_date(htmldb_application.g_f04(i),''Month dd, yyyy''),'||chr(10)||
'            sal =      htmldb_application.g_f05(i),'||chr(10)||
'            comm =     htmldb_application.g_f06(i),'||chr(10)||
'            deptno =   htmldb_ap';

p:=p||'plication.g_f07(i)'||chr(10)||
'      where empno = htmldb_application.g_f01(i);'||chr(10)||
'  end loop;'||chr(10)||
'end;';

wwv_flow_api.create_page_process(
  p_id     => 1136226643808557816 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 400,
  p_process_sequence=> 10,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'PLSQL',
  p_process_name=> 'save_emp',
  p_process_sql_clob => p, 
  p_process_error_message=> 'Ooops',
  p_process_when_button_id=>1136225468217527038 + wwv_flow_api.g_id_offset,
  p_process_success_message=> 'Items saved',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 400
--
 
begin
 
null;
end;
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 401: simple MRU
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h:=h||'No help is available for this page.';

ph := null;
wwv_flow_api.create_page(
  p_id     => 401,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_name   => 'simple MRU',
  p_step_title=> 'Update DEPT',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> 'NO_FIRST_ITEM',
  p_help_text => ' ',
  p_html_page_header => '',
  p_step_template => '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20041107203019',
  p_page_is_public_y_n=> 'N',
  p_page_comment  => 'Generated by updateable report wizard.06-JAN-2004 12:15:45');
 
wwv_flow_api.set_page_help_text(p_flow_id=>wwv_flow.g_flow_id,p_flow_step_id=>401,p_text=>h);
end;
 
end;
/

declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s:=s||'select '||chr(10)||
'"DEPTNO",'||chr(10)||
'"DEPTNO" pk1_DISPLAY,'||chr(10)||
'"DNAME",'||chr(10)||
'"LOC"'||chr(10)||
'from "#OWNER#"."DEPT"'||chr(10)||
'order by 1';

wwv_flow_api.create_report_region (
  p_id=> 1136271143397035576 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 401,
  p_name=> 'Simple MRU',
  p_template=> 1246555551819688014+ wwv_flow_api.g_id_offset,
  p_display_sequence=> 10,
  p_display_column=> 1,
  p_display_point=> 'AFTER_SHOW_ITEMS',
  p_source=> s,
  p_source_type=> 'UPDATABLE_SQL_QUERY',
  p_display_error_message=> 'Unable to display page region #SQLERRM#',
  p_customized                   => '0',
  p_query_row_template           => 1246592133988720648+ wwv_flow_api.g_id_offset,
  p_query_headings_type          => 'COLON_DELMITED_LIST',
  p_query_num_rows               => '500',
  p_query_options                => 'DERIVED_REPORT_COLUMNS',
  p_query_show_nulls_as          => '(null)',
  p_query_break_cols             => '0',
  p_query_no_data_found          => 'Report returned no rows.',
  p_query_num_rows_type          => 'ROW_RANGES_IN_SELECT_LIST',
  p_query_row_count_max          => '500',
  p_pagination_display_position  => 'BOTTOM_RIGHT',
  p_csv_output                   => 'N',
  p_query_asc_image              => 'blue_arrow_down.gif',
  p_query_asc_image_attr         => 'width="13" height="12"',
  p_query_desc_image             => 'blue_arrow_up.gif',
  p_query_desc_image_attr        => 'width="13" height="12"',
  p_required_patch               => '' + wwv_flow_api.g_id_offset,
  p_comment                      => 'Region generated 06-JAN-2004 12:15:45');
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1136271666651035582 + wwv_flow_api.g_id_offset,
  p_region_id=> 1136271143397035576 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 1,
  p_form_element_id=> null,
  p_column_alias=> 'DEPTNO',
  p_column_display_sequence=> 1,
  p_column_heading=> 'Deptno',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'Y',
  p_display_as=> 'HIDDEN',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1136271754589035582 + wwv_flow_api.g_id_offset,
  p_region_id=> 1136271143397035576 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 2,
  p_form_element_id=> null,
  p_column_alias=> 'PK1_DISPLAY',
  p_column_display_sequence=> 2,
  p_column_heading=> 'Pk1',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1136271865196035582 + wwv_flow_api.g_id_offset,
  p_region_id=> 1136271143397035576 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 3,
  p_form_element_id=> null,
  p_column_alias=> 'DNAME',
  p_column_display_sequence=> 3,
  p_column_heading=> 'Dname',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'TEXT',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1136271947046035583 + wwv_flow_api.g_id_offset,
  p_region_id=> 1136271143397035576 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 4,
  p_form_element_id=> null,
  p_column_alias=> 'LOC',
  p_column_display_sequence=> 4,
  p_column_heading=> 'Loc',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'TEXT',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
end;
/
declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s:=s||'179085114594747817';

wwv_flow_api.create_page_plug (
  p_id=> 1257881656157971140 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 401,
  p_plug_name=> 'test',
  p_plug_template=> 1246756937831840116+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 20,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'WEB_SERVICE',
  p_plug_display_error_message=> '#SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_row_count_max => 500,
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => '',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> '');
end;
/
 
begin
 
wwv_flow_api.create_page_button(
  p_id             => 1136272072948035584 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 401,
  p_button_sequence=> 10,
  p_button_plug_id => 1136271143397035576+wwv_flow_api.g_id_offset,
  p_button_name    => 'CANCEL',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Cancel',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1136297750336031079 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 401,
  p_button_sequence=> 10,
  p_button_plug_id => 1136271143397035576+wwv_flow_api.g_id_offset,
  p_button_name    => 'SEND_MESSAGE',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Send Message',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1136272144897035584 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 401,
  p_button_sequence=> 20,
  p_button_plug_id => 1136271143397035576+wwv_flow_api.g_id_offset,
  p_button_name    => 'SUBMIT',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Submit',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
 
end;
/

 
begin
 
wwv_flow_api.create_page_branch(
  p_id=>1136273043773035590 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 401,
  p_branch_action=> 'f?p=&APP_ID.:401:&SESSION.&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_when_button_id=>1136272144897035584+ wwv_flow_api.g_id_offset,
  p_branch_sequence=> 1,
  p_branch_comment=> 'Generated 06-JAN-2004 12:15:45');
 
wwv_flow_api.create_page_branch(
  p_id=>1136298042463031253 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 401,
  p_branch_action=> 'f?p=&FLOW_ID.:1:&SESSION.::&DEBUG.&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_when_button_id=>1136297750336031079+ wwv_flow_api.g_id_offset,
  p_branch_sequence=> 10,
  p_branch_comment=> '');
 
wwv_flow_api.create_page_branch(
  p_id=>1136272955889035590 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 401,
  p_branch_action=> 'f?p=&APP_ID.:1:&SESSION.&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'BEFORE_VALIDATION',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_when_button_id=>1136272072948035584+ wwv_flow_api.g_id_offset,
  p_branch_sequence=> 1,
  p_branch_comment=> 'Generated 06-JAN-2004 12:15:45');
 
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'#OWNER#:DEPT:DEPTNO';

wwv_flow_api.create_page_process(
  p_id     => 1136272658899035588 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 401,
  p_process_sequence=> 10,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'MULTI_ROW_UPDATE',
  p_process_name=> 'ApplyMRU',
  p_process_sql_clob => p, 
  p_process_error_message=> 'Unable to process update',
  p_process_when_button_id=>1136272144897035584 + wwv_flow_api.g_id_offset,
  p_process_success_message=> '#MRU_COUNT# row(s) updated.',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'Generated 06-JAN-2004 12:15:45');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'declare'||chr(10)||
'  l_body_html varchar2(4000);'||chr(10)||
'  other_body varchar2(4000);'||chr(10)||
'begin'||chr(10)||
'  l_body_html := ''<p>This the second test of sending a message click this link below.''||'||chr(10)||
'    ''</p><p><a href="http://''||'||chr(10)||
'    OWA_UTIL.GET_CGI_ENV(''HTTP_HOST'')||'||chr(10)||
'    OWA_UTIL.GET_CGI_ENV(''SCRIPT_NAME'')||'||chr(10)||
'    ''/f?p=''||:APP_ID||'':1</a></p>'';'||chr(10)||
'  other_body := ''this text.    '';'||chr(10)||
'  HTMLDB_MAIL.SEND('||chr(10)||
'    P_TO        => ''lc_linnemeyer@';

p:=p||'yahoo.com'','||chr(10)||
'    P_FROM      => ''linnemeyerl@tusc.com'','||chr(10)||
'    P_BODY      => other_body,'||chr(10)||
'    P_BODY_HTML => l_body_html,'||chr(10)||
'    P_SUBJ      => ''Test message '' );'||chr(10)||
'end;';

wwv_flow_api.create_page_process(
  p_id     => 1136298762111034531 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 401,
  p_process_sequence=> 20,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'PLSQL',
  p_process_name=> 'send_mail',
  p_process_sql_clob => p, 
  p_process_error_message=> '',
  p_process_when_button_id=>1136297750336031079 + wwv_flow_api.g_id_offset,
  p_process_success_message=> 'Message Sent',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 401
--
 
begin
 
null;
end;
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 500: Report on PERSON_TESTS
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h:=h||'No help is available for this page.';

ph := null;
wwv_flow_api.create_page(
  p_id     => 500,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_name   => 'Report on PERSON_TESTS',
  p_step_title=> 'Report on PERSON_TESTS',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> 'AUTO_FIRST_ITEM',
  p_help_text => ' ',
  p_html_page_header => '',
  p_step_template => '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20041107203020',
  p_page_is_public_y_n=> 'N',
  p_page_comment  => 'Page generated 12-JAN-2004 15:13:31');
 
wwv_flow_api.set_page_help_text(p_flow_id=>wwv_flow.g_flow_id,p_flow_step_id=>500,p_text=>h);
end;
 
end;
/

declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s:=s||'select HTMLDB_ITEM.CHECKBOX(1,p.person_no||'':''||t.test_no) " ", '||chr(10)||
'       person_name, '||chr(10)||
'       t.test_no,   name test_name'||chr(10)||
'  from person_tests pt, tests t, person p'||chr(10)||
' where pt.test_no = t.test_no'||chr(10)||
'   and pt.person_no = p.person_no'||chr(10)||
'   and pt.person_no = :p500_person_no'||chr(10)||
'  '||chr(10)||
'';

wwv_flow_api.create_report_region (
  p_id=> 1136807940752499534 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 500,
  p_name=> 'Person Tests',
  p_template=> 1246555551819688014+ wwv_flow_api.g_id_offset,
  p_display_sequence=> 10,
  p_display_column=> 1,
  p_display_point=> 'AFTER_SHOW_ITEMS',
  p_source=> s,
  p_source_type=> 'SQL_QUERY',
  p_display_error_message=> 'Unable to show report. #SQLERRM#',
  p_display_when_condition       => 'P500_PERSON_NO',
  p_display_condition_type       => 'ITEM_IS_NOT_NULL',
  p_customized                   => '0',
  p_query_row_template           => 1246592133988720648+ wwv_flow_api.g_id_offset,
  p_query_headings_type          => 'COLON_DELMITED_LIST',
  p_query_num_rows               => '15',
  p_query_options                => 'DERIVED_REPORT_COLUMNS',
  p_query_break_cols             => '0',
  p_query_no_data_found          => 'no data found',
  p_query_num_rows_type          => 'ROW_RANGES_IN_SELECT_LIST',
  p_query_row_count_max          => '500',
  p_pagination_display_position  => 'BOTTOM_RIGHT',
  p_csv_output                   => 'N',
  p_query_asc_image              => 'blue_arrow_down.gif',
  p_query_asc_image_attr         => 'width="13" height="12"',
  p_query_desc_image             => 'blue_arrow_up.gif',
  p_query_desc_image_attr        => 'width="13" height="12"',
  p_required_patch               => '' + wwv_flow_api.g_id_offset,
  p_comment                      => 'Region generated 12-JAN-2004 15:13:31');
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1137279738928684004 + wwv_flow_api.g_id_offset,
  p_region_id=> 1136807940752499534 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 1,
  p_form_element_id=> null,
  p_column_alias=> ' ',
  p_column_display_sequence=> 4,
  p_column_heading=> ' Delete',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1136836152285526966 + wwv_flow_api.g_id_offset,
  p_region_id=> 1136807940752499534 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 2,
  p_form_element_id=> null,
  p_column_alias=> 'PERSON_NAME',
  p_column_display_sequence=> 2,
  p_column_heading=> 'Person Name',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1136808533542499536 + wwv_flow_api.g_id_offset,
  p_region_id=> 1136807940752499534 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 3,
  p_form_element_id=> null,
  p_column_alias=> 'TEST_NO',
  p_column_display_sequence=> 1,
  p_column_heading=> 'Test No',
  p_column_alignment=> 'RIGHT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'Y',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1136836240384526967 + wwv_flow_api.g_id_offset,
  p_region_id=> 1136807940752499534 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 4,
  p_form_element_id=> null,
  p_column_alias=> 'TEST_NAME',
  p_column_display_sequence=> 3,
  p_column_heading=> 'Test Name',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'CENTER',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
end;
/
declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s := null;
wwv_flow_api.create_page_plug (
  p_id=> 1137519859256907517 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 500,
  p_plug_name=> 'Person',
  p_plug_template=> 1246756937831840116+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 10,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_display_error_message=> 'Unable to display page region #SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'COLON_DELMITED_LIST',
  p_plug_query_row_count_max => 500,
  p_plug_display_condition_type => '',
  p_plug_customized=>'0',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> 'Region generated 12-JAN-2004 16:21:30');
end;
/
 
begin
 
wwv_flow_api.create_page_button(
  p_id             => 1137305629494700203 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 500,
  p_button_sequence=> 10,
  p_button_plug_id => 1136807940752499534+wwv_flow_api.g_id_offset,
  p_button_name    => 'DELETE',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Delete',
  p_button_position=> 'BELOW_BOX',
  p_button_alignment=> 'LEFT',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1136808736965499536 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 500,
  p_button_sequence=> 30,
  p_button_plug_id => 1136807940752499534+wwv_flow_api.g_id_offset,
  p_button_name    => 'CREATE_person_test',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Create',
  p_button_position=> 'BELOW_BOX',
  p_button_alignment=> 'LEFT',
  p_button_redirect_url=> 'f?p=&FLOW_ID.:502:&SESSION.::&DEBUG.:502:P502_PERSON_NO:&P500_PERSON_NO.',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1137520038996907518 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 500,
  p_button_sequence=> 10,
  p_button_plug_id => 1137519859256907517+wwv_flow_api.g_id_offset,
  p_button_name    => 'CANCEL',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Cancel',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1137520243129907518 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 500,
  p_button_sequence=> 30,
  p_button_plug_id => 1137519859256907517+wwv_flow_api.g_id_offset,
  p_button_name    => 'SAVE',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Apply Changes',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_button_condition=> 'P500_PERSON_NO',
  p_button_condition_type=> 'ITEM_IS_NOT_NULL',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1137520153310907518 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 500,
  p_button_sequence=> 40,
  p_button_plug_id => 1137519859256907517+wwv_flow_api.g_id_offset,
  p_button_name    => 'CREATE_PERSON',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Create',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_button_condition=> 'P500_PERSON_NO',
  p_button_condition_type=> 'ITEM_IS_NULL',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
 
end;
/

 
begin
 
wwv_flow_api.create_page_branch(
  p_id=>1137305960076700204 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 500,
  p_branch_action=> 'f?p=&FLOW_ID.:500:&SESSION.::&DEBUG.:::&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_when_button_id=>1137305629494700203+ wwv_flow_api.g_id_offset,
  p_branch_sequence=> 10,
  p_branch_comment=> '');
 
wwv_flow_api.create_page_branch(
  p_id=>1137521242769907520 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 500,
  p_branch_action=> 'f?p=&FLOW_ID.:501:&SESSION.::&DEBUG.:::&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_sequence=> 20,
  p_branch_comment=> 'Generated 12-JAN-2004 16:21:30');
 
wwv_flow_api.create_page_branch(
  p_id=>1137520955969907519 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 500,
  p_branch_action=> 'f?p=&APP_ID.:501:&SESSION.&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'BEFORE_VALIDATION',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_when_button_id=>1137520038996907518+ wwv_flow_api.g_id_offset,
  p_branch_sequence=> 1,
  p_branch_comment=> 'Generated 12-JAN-2004 16:21:30');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1137521539889907520 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 500,
  p_name=>'P500_PERSON_NO',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 0,
  p_item_plug_id => 1137519859256907517+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'Person No',
  p_source=>'PERSON_NO',
  p_source_type=> 'DB_COLUMN',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> null,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 255,
  p_cHeight=> 1,
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => 'Generated 12-JAN-2004 16:21:30');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1137521833200907521 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 500,
  p_name=>'P500_PERSON_NAME',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 2,
  p_item_plug_id => 1137519859256907517+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_prompt=>'Person Name',
  p_source=>'PERSON_NAME',
  p_source_type=> 'DB_COLUMN',
  p_display_as=> 'TEXT',
  p_lov_columns=> null,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 31,
  p_cMaxlength=> 255,
  p_cHeight=> 1,
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_item_comment => 'Generated 12-JAN-2004 16:21:30');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1137522148334907522 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 500,
  p_name=>'P500_PASSWORD',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 3,
  p_item_plug_id => 1137519859256907517+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_prompt=>'Password',
  p_source=>'PASSWORD',
  p_source_type=> 'DB_COLUMN',
  p_display_as=> 'TEXT',
  p_lov_columns=> null,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 21,
  p_cMaxlength=> 255,
  p_cHeight=> 1,
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_item_comment => 'Generated 12-JAN-2004 16:21:30');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1137522447401907522 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 500,
  p_name=>'P500_EMAIL',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 4,
  p_item_plug_id => 1137519859256907517+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_prompt=>'Email',
  p_source=>'EMAIL',
  p_source_type=> 'DB_COLUMN',
  p_display_as=> 'TEXT',
  p_lov_columns=> null,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 32,
  p_cMaxlength=> 255,
  p_cHeight=> 1,
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159145247532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_item_comment => 'Generated 12-JAN-2004 16:21:30');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1137522728919907524 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 500,
  p_name=>'P500_ACTIVE',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 5,
  p_item_plug_id => 1137519859256907517+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'Active',
  p_source=>'ACTIVE',
  p_source_type=> 'DB_COLUMN',
  p_display_as=> 'COMBOBOX',
  p_named_lov=> 'YES_NO_LOV',
  p_lov => '.'||to_char(1141669652405578919 + wwv_flow_api.g_id_offset)||'.',
  p_lov_columns=> null,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 2,
  p_cMaxlength=> 255,
  p_cHeight=> 1,
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159249430532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => 'Generated 12-JAN-2004 16:21:30');
 
 
end;
/

 
begin
 
wwv_flow_api.create_page_computation(
  p_id=> 1136809036778499536 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 500,
  p_computation_sequence => 1,
  p_computation_item=> 'P502_PERSON_NO',
  p_computation_point=> 'AFTER_SUBMIT',
  p_computation_type=> 'STATIC_ASSIGNMENT',
  p_computation_processed=> 'REPLACE_EXISTING',
  p_computation=> '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_computation_comment=> 'Set the value of the item conainting the primary key to null when asked to create a new row.',
  p_compute_when => 'CREATE_ROW',
  p_compute_when_type=>'REQUEST_EQUALS_CONDITION');
 
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 1137523144633907524 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 500,
  p_validation_name => 'P500_ACTIVE not null',
  p_validation_sequence=> 5,
  p_validation => 'P500_ACTIVE',
  p_validation_type => 'ITEM_NOT_NULL',
  p_error_message => 'Active must have some value.',
  p_associated_item=> 1137522728919907524 + wwv_flow_api.g_id_offset,
  p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'#OWNER#:PERSON:P500_PERSON_NO:PERSON_NO';

wwv_flow_api.create_page_process(
  p_id     => 1137523437729907525 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 500,
  p_process_sequence=> 1,
  p_process_point=> 'AFTER_HEADER',
  p_process_type=> 'DML_FETCH_ROW',
  p_process_name=> 'Fetch Row from PERSON',
  p_process_sql_clob => p, 
  p_process_error_message=> 'Unable to fetch row.',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'Generated 12-JAN-2004 16:21:30');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'#OWNER#:PERSON:P500_PERSON_NO:PERSON_NO|U';

wwv_flow_api.create_page_process(
  p_id     => 1137523742554907525 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 500,
  p_process_sequence=> 1,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'DML_PROCESS_ROW',
  p_process_name=> 'Update Row of PERSON',
  p_process_sql_clob => p, 
  p_process_error_message=> 'Unable to process row of table PERSON.',
  p_process_when_button_id=>1137520243129907518 + wwv_flow_api.g_id_offset,
  p_process_when=>'CREATE_PERSON SAVE',
  p_process_when_type=>'',
  p_process_success_message=> 'Applicant Updated.',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'Generated 12-JAN-2004 16:21:30');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'begin'||chr(10)||
'   for i in 1..HTMLDB_APPLICATION.G_F01.COUNT loop'||chr(10)||
'      delete from person_tests'||chr(10)||
'       where person_no = to_number(substr(HTMLDB_APPLICATION.G_F01(i),'||chr(10)||
'                                   1,instr(HTMLDB_APPLICATION.G_F01(i),'':'')-1))'||chr(10)||
'         and test_no = to_number(substr(HTMLDB_APPLICATION.G_F01(i),'||chr(10)||
'                                  instr(HTMLDB_APPLICATION.G_F01(i),'':'')+1));'||chr(10)||
'   end loop;'||chr(10)||
'e';

p:=p||'nd;';

wwv_flow_api.create_page_process(
  p_id     => 1137399629587756949 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 500,
  p_process_sequence=> 10,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'PLSQL',
  p_process_name=> 'Delete selected',
  p_process_sql_clob => p, 
  p_process_error_message=> 'There was a problem deleting the selected records',
  p_process_when_button_id=>1137305629494700203 + wwv_flow_api.g_id_offset,
  p_process_success_message=> 'Records Deleted',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'begin'||chr(10)||
'   insert into person (person_name, password, email, active)'||chr(10)||
'     values (:p500_person_name, :p500_password, :p500_email, :p500_active);'||chr(10)||
'end;';

wwv_flow_api.create_page_process(
  p_id     => 1141233141220443221 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 500,
  p_process_sequence=> 20,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'PLSQL',
  p_process_name=> 'Insert_person',
  p_process_sql_clob => p, 
  p_process_error_message=> 'There was a problem inserting the applicant.',
  p_process_when_button_id=>1137520153310907518 + wwv_flow_api.g_id_offset,
  p_process_success_message=> 'Applicant inserted.',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 500
--
 
begin
 
null;
end;
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 501: Report on PERSON
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h:=h||'No help is available for this page.';

ph := null;
wwv_flow_api.create_page(
  p_id     => 501,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_name   => 'Report on PERSON',
  p_step_title=> 'Report on PERSON',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> '',
  p_help_text => ' ',
  p_html_page_header => '',
  p_step_template => '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20041107203020',
  p_page_comment  => 'Page generated 12-JAN-2004 16:21:30');
 
wwv_flow_api.set_page_help_text(p_flow_id=>wwv_flow.g_flow_id,p_flow_step_id=>501,p_text=>h);
end;
 
end;
/

declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s:=s||'select "PERSON_NO", '||chr(10)||
'"PERSON_NAME",'||chr(10)||
'"PASSWORD",'||chr(10)||
'"EMAIL",'||chr(10)||
'"ACTIVE"'||chr(10)||
'from "#OWNER#"."PERSON" '||chr(10)||
''||chr(10)||
'  '||chr(10)||
'';

wwv_flow_api.create_report_region (
  p_id=> 1137524456755907526 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 501,
  p_name=> 'Applicants',
  p_template=> 1246555551819688014+ wwv_flow_api.g_id_offset,
  p_display_sequence=> 10,
  p_display_column=> 1,
  p_display_point=> 'AFTER_SHOW_ITEMS',
  p_source=> s,
  p_source_type=> 'SQL_QUERY',
  p_display_error_message=> 'Unable to show report. #SQLERRM#',
  p_customized                   => '0',
  p_query_row_template           => 1246592133988720648+ wwv_flow_api.g_id_offset,
  p_query_headings_type          => 'COLON_DELMITED_LIST',
  p_query_num_rows               => '15',
  p_query_options                => 'DERIVED_REPORT_COLUMNS',
  p_query_break_cols             => '0',
  p_query_no_data_found          => 'no data found',
  p_query_num_rows_type          => 'ROW_RANGES_IN_SELECT_LIST',
  p_query_row_count_max          => '500',
  p_pagination_display_position  => 'BOTTOM_RIGHT',
  p_csv_output                   => 'N',
  p_query_asc_image              => 'blue_arrow_down.gif',
  p_query_asc_image_attr         => 'width="13" height="12"',
  p_query_desc_image             => 'blue_arrow_up.gif',
  p_query_desc_image_attr        => 'width="13" height="12"',
  p_required_patch               => '' + wwv_flow_api.g_id_offset,
  p_comment                      => 'Region generated 12-JAN-2004 16:21:30');
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1137524943468907530 + wwv_flow_api.g_id_offset,
  p_region_id=> 1137524456755907526 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 1,
  p_form_element_id=> null,
  p_column_alias=> 'PERSON_NO',
  p_column_display_sequence=> 1,
  p_column_heading=> 'Edit',
  p_column_link=> 'f?p=#APP_ID#:500:#APP_SESSION#::::P500_PERSON_NO:#PERSON_NO#',
  p_column_linktext=> '<img src="#WORKSPACE_IMAGES#sapphire_edit.gif"  border="0">',
  p_column_alignment=> 'RIGHT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_lov_show_nulls=> 'NO',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1137525028440907530 + wwv_flow_api.g_id_offset,
  p_region_id=> 1137524456755907526 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 2,
  p_form_element_id=> null,
  p_column_alias=> 'PERSON_NAME',
  p_column_display_sequence=> 2,
  p_column_heading=> 'Person Name',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 2,
  p_disable_sort_column=> 'N',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1137525128148907530 + wwv_flow_api.g_id_offset,
  p_region_id=> 1137524456755907526 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 3,
  p_form_element_id=> null,
  p_column_alias=> 'PASSWORD',
  p_column_display_sequence=> 3,
  p_column_heading=> 'Password',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1137525237667907530 + wwv_flow_api.g_id_offset,
  p_region_id=> 1137524456755907526 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 4,
  p_form_element_id=> null,
  p_column_alias=> 'EMAIL',
  p_column_display_sequence=> 4,
  p_column_heading=> 'Email',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 0,
  p_disable_sort_column=> 'Y',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
declare
  s varchar2(32767) := null;
begin
s := null;
wwv_flow_api.create_report_columns (
  p_id=> 1137525341924907530 + wwv_flow_api.g_id_offset,
  p_region_id=> 1137524456755907526 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_query_column_id=> 5,
  p_form_element_id=> null,
  p_column_alias=> 'ACTIVE',
  p_column_display_sequence=> 5,
  p_column_heading=> 'Active',
  p_column_alignment=> 'LEFT',
  p_heading_alignment=> 'LEFT',
  p_default_sort_column_sequence=> 1,
  p_default_sort_dir=> 'desc',
  p_disable_sort_column=> 'N',
  p_sum_column=> 'N',
  p_hidden_column=> 'N',
  p_display_as=> 'WITHOUT_MODIFICATION',
  p_pk_col_source=> s,
  p_column_comment               => '');
end;
end;
/
 
begin
 
wwv_flow_api.create_page_button(
  p_id             => 1137525543313907530 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 501,
  p_button_sequence=> 30,
  p_button_plug_id => 1137524456755907526+wwv_flow_api.g_id_offset,
  p_button_name    => 'CREATE',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Create',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_button_redirect_url=> 'f?p=&FLOW_ID.:500:&SESSION.::&DEBUG.:500::',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_computation(
  p_id=> 1137525735125907530 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 501,
  p_computation_sequence => 1,
  p_computation_item=> 'P500_PERSON_NO',
  p_computation_point=> 'AFTER_SUBMIT',
  p_computation_type=> 'STATIC_ASSIGNMENT',
  p_computation_processed=> 'REPLACE_EXISTING',
  p_computation=> '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_computation_comment=> 'Set the value of the item conainting the primary key to null when asked to create a new row.',
  p_compute_when => 'CREATE_ROW',
  p_compute_when_type=>'REQUEST_EQUALS_CONDITION');
 
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 501
--
 
begin
 
null;
end;
null;
 
end;
/

 
------------------------------------------
prompt  ...PAGE 502: Form on PERSON_TESTS
--
 
begin
 
declare
    h varchar2(32767) := null;
    ph varchar2(32767) := null;
begin
h:=h||'No help is available for this page.';

ph := null;
wwv_flow_api.create_page(
  p_id     => 502,
  p_flow_id=> wwv_flow.g_flow_id,
  p_tab_set=> 'Main',
  p_name   => 'Form on PERSON_TESTS',
  p_step_title=> 'Form on PERSON_TESTS',
  p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS',
  p_first_item=> '',
  p_help_text => ' ',
  p_html_page_header => '',
  p_step_template => '',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_last_updated_by => 'TESTDEV',
  p_last_upd_yyyymmddhh24miss => '20041107203020',
  p_page_comment  => 'Page generated 12-JAN-2004 15:13:30');
 
wwv_flow_api.set_page_help_text(p_flow_id=>wwv_flow.g_flow_id,p_flow_step_id=>502,p_text=>h);
end;
 
end;
/

declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s := null;
wwv_flow_api.create_page_plug (
  p_id=> 1136804147236499524 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 502,
  p_plug_name=> 'Person Tests',
  p_plug_template=> 1135160554484532625+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 10,
  p_plug_display_column  => 1,
  p_plug_display_point   => 'AFTER_SHOW_ITEMS',
  p_plug_source  => s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_display_error_message=> 'Unable to display page region #SQLERRM#',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'COLON_DELMITED_LIST',
  p_plug_query_row_count_max => 500,
  p_plug_display_condition_type => '',
  p_plug_caching=> '',
  p_required_patch=> '' + wwv_flow_api.g_id_offset,
  p_plug_comment=> 'Region generated 12-JAN-2004 15:13:30');
end;
/
 
begin
 
wwv_flow_api.create_page_button(
  p_id             => 1136804431322499527 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 502,
  p_button_sequence=> 10,
  p_button_plug_id => 1136804147236499524+wwv_flow_api.g_id_offset,
  p_button_name    => 'CANCEL',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Cancel',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_page_button(
  p_id             => 1136804537405499527 + wwv_flow_api.g_id_offset,
  p_flow_id        => wwv_flow.g_flow_id,
  p_flow_step_id   => 502,
  p_button_sequence=> 40,
  p_button_plug_id => 1136804147236499524+wwv_flow_api.g_id_offset,
  p_button_name    => 'CREATE',
  p_button_image   => 'template:'||to_char(1246824252491886845+wwv_flow_api.g_id_offset),
  p_button_image_alt=> 'Create',
  p_button_position=> 'BOTTOM',
  p_button_alignment=> 'LEFT',
  p_button_condition=> 'P502_PERSON_NO',
  p_required_patch => null + wwv_flow_api.g_id_offset);
 
 
end;
/

 
begin
 
wwv_flow_api.create_page_branch(
  p_id=>1136805635480499529 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 502,
  p_branch_action=> 'f?p=&APP_ID.:500:&SESSION.&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'AFTER_PROCESSING',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_sequence=> 1,
  p_branch_comment=> 'Generated 12-JAN-2004 15:13:30');
 
wwv_flow_api.create_page_branch(
  p_id=>1136805352145499529 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 502,
  p_branch_action=> 'f?p=&APP_ID.:500:&SESSION.&success_msg=#SUCCESS_MSG#',
  p_branch_point=> 'BEFORE_VALIDATION',
  p_branch_type=> 'REDIRECT_URL',
  p_branch_when_button_id=>1136804431322499527+ wwv_flow_api.g_id_offset,
  p_branch_sequence=> 1,
  p_branch_comment=> 'Generated 12-JAN-2004 15:13:30');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1136805928532499530 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 502,
  p_name=>'P502_PERSON_NO',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 0,
  p_item_plug_id => 1136804147236499524+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'Person No',
  p_source=>'PERSON_NO',
  p_source_type=> 'DB_COLUMN',
  p_display_as=> 'HIDDEN',
  p_lov_columns=> null,
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 30,
  p_cMaxlength=> 255,
  p_cHeight=> 1,
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159249430532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => 'Generated 12-JAN-2004 15:13:31');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>1136806140749499530 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 502,
  p_name=>'P502_TEST_NO',
  p_data_type=> 'VARCHAR',
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 2,
  p_item_plug_id => 1136804147236499524+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> 'NO',
  p_item_default_type => 'STATIC_TEXT_WITH_SUBSTITUTIONS',
  p_prompt=>'Test No',
  p_source=>'TEST_NO',
  p_source_type=> 'DB_COLUMN',
  p_display_as=> 'COMBOBOX',
  p_lov => 'select name, test_no '||chr(10)||
'  from tests t'||chr(10)||
' where not exists (select test_no'||chr(10)||
'                     from person_tests pt'||chr(10)||
'                    where pt.test_no = t.test_no'||chr(10)||
'                      and pt.person_no = nvl(:p502_person_no,0))'||chr(10)||
'  order by 1',
  p_lov_columns=> null,
  p_lov_display_null=> 'YES',
  p_lov_translated=> 'N',
  p_lov_null_text=>'',
  p_lov_null_value=> '',
  p_cSize=> 32,
  p_cMaxlength=> 255,
  p_cHeight=> 1,
  p_begin_on_new_line => 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan => 1,
  p_rowspan => 1,
  p_label_alignment  => 'RIGHT',
  p_field_alignment  => 'LEFT',
  p_field_template => 1135159249430532623+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_lov_display_extra=>'NO',
  p_item_comment => 'Generated 12-JAN-2004 15:13:31');
 
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 1136806542757499531 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 502,
  p_validation_name => 'P502_TEST_NO not null',
  p_validation_sequence=> 2,
  p_validation => 'P502_TEST_NO',
  p_validation_type => 'ITEM_NOT_NULL',
  p_error_message => 'You must select a test',
  p_associated_item=> 1136806140749499530 + wwv_flow_api.g_id_offset,
  p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_validation(
  p_id => 1137220355588641435 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_flow_step_id => 502,
  p_validation_name => 'p502_person_no not null',
  p_validation_sequence=> 12,
  p_validation => 'P502_PERSON_NO',
  p_validation_type => 'ITEM_NOT_NULL',
  p_error_message => 'You must select a person',
  p_associated_item=> 1136805928532499530 + wwv_flow_api.g_id_offset,
  p_error_display_location=>'INLINE_WITH_FIELD_AND_NOTIFICATION',
  p_validation_comment=> '');
 
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'#OWNER#:PERSON_TESTS:P502_PERSON_NO:PERSON_NO';

wwv_flow_api.create_page_process(
  p_id     => 1136806858661499531 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 502,
  p_process_sequence=> 1,
  p_process_point=> 'AFTER_HEADER',
  p_process_type=> 'DML_FETCH_ROW',
  p_process_name=> 'Fetch Row from PERSON_TESTS',
  p_process_sql_clob => p, 
  p_process_error_message=> 'Unable to fetch row.',
  p_process_when=>'',
  p_process_when_type=>'NEVER',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'Generated 12-JAN-2004 15:13:31');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'#OWNER#:PERSON_TESTS:P502_PERSON_NO:PERSON_NO|ID';

wwv_flow_api.create_page_process(
  p_id     => 1136807139771499533 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 502,
  p_process_sequence=> 1,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'DML_PROCESS_ROW',
  p_process_name=> 'Process Row of PERSON_TESTS',
  p_process_sql_clob => p, 
  p_process_error_message=> 'Unable to process row of table PERSON_TESTS.',
  p_process_success_message=> 'Action Processed.',
  p_process_is_stateful_y_n=>'N',
  p_required_patch=>null + wwv_flow_api.g_id_offset,
  p_process_comment=>'Generated 12-JAN-2004 15:13:31');
end;
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 502
--
 
begin
 
null;
end;
null;
 
end;
/

---------------------------------------
prompt  ...Lists
--
 
begin
 
wwv_flow_api.create_list (
  p_id=> 1135499849881734818 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_name=> 'Tables',
  p_list_status=> 'PUBLIC',
  p_list_displayed=> 'BY_DEFAULT',
  p_required_patch=> null + wwv_flow_api.g_id_offset,
  p_display_row_template_id=> 1135162364204532627 + wwv_flow_api.g_id_offset);
 
wwv_flow_api.create_list_item (
  p_id=> 1135515172915779298 + wwv_flow_api.g_id_offset,
  p_list_id=> 1135499849881734818 + wwv_flow_api.g_id_offset,
  p_list_item_type=> 'LINK',
  p_list_item_status=> 'PUBLIC',
  p_item_displayed=> 'BY_DEFAULT',
  p_list_item_display_sequence=>10,
  p_list_item_link_text=> 'Answers',
  p_list_item_link_target=> 'f?p=&FLOW_ID.:201:&SESSION.::&DEBUG.:::',
  p_list_countclicks_y_n=> 'N',
  p_list_text_01=> '',
  p_list_item_current_type=> 'COLON_DELIMITED_PAGE_LIST',
  p_list_item_owner=> '');
 
wwv_flow_api.create_list_item (
  p_id=> 1135515446034781040 + wwv_flow_api.g_id_offset,
  p_list_id=> 1135499849881734818 + wwv_flow_api.g_id_offset,
  p_list_item_type=> 'LINK',
  p_list_item_status=> 'PUBLIC',
  p_item_displayed=> 'BY_DEFAULT',
  p_list_item_display_sequence=>10,
  p_list_item_link_text=> 'Person',
  p_list_item_link_target=> 'f?p=&FLOW_ID.:202:&SESSION.::&DEBUG.:::',
  p_list_countclicks_y_n=> 'N',
  p_list_text_01=> '',
  p_list_item_current_type=> 'COLON_DELIMITED_PAGE_LIST',
  p_list_item_owner=> '');
 
wwv_flow_api.create_list_item (
  p_id=> 1135515751575782587 + wwv_flow_api.g_id_offset,
  p_list_id=> 1135499849881734818 + wwv_flow_api.g_id_offset,
  p_list_item_type=> 'LINK',
  p_list_item_status=> 'PUBLIC',
  p_item_displayed=> 'BY_DEFAULT',
  p_list_item_display_sequence=>10,
  p_list_item_link_text=> 'Questions',
  p_list_item_link_target=> 'f?p=&FLOW_ID.:203:&SESSION.::&DEBUG.:::',
  p_list_countclicks_y_n=> 'N',
  p_list_text_01=> '',
  p_list_item_current_type=> 'COLON_DELIMITED_PAGE_LIST',
  p_list_item_owner=> '');
 
wwv_flow_api.create_list_item (
  p_id=> 1135516057809784348 + wwv_flow_api.g_id_offset,
  p_list_id=> 1135499849881734818 + wwv_flow_api.g_id_offset,
  p_list_item_type=> 'LINK',
  p_list_item_status=> 'PUBLIC',
  p_item_displayed=> 'BY_DEFAULT',
  p_list_item_display_sequence=>10,
  p_list_item_link_text=> 'Ratings',
  p_list_item_link_target=> 'f?p=&FLOW_ID.:204:&SESSION.::&DEBUG.:::',
  p_list_countclicks_y_n=> 'N',
  p_list_text_01=> '',
  p_list_item_current_type=> 'COLON_DELIMITED_PAGE_LIST',
  p_list_item_owner=> '');
 
wwv_flow_api.create_list_item (
  p_id=> 1135516364042786178 + wwv_flow_api.g_id_offset,
  p_list_id=> 1135499849881734818 + wwv_flow_api.g_id_offset,
  p_list_item_type=> 'LINK',
  p_list_item_status=> 'PUBLIC',
  p_item_displayed=> 'BY_DEFAULT',
  p_list_item_display_sequence=>10,
  p_list_item_link_text=> 'Ratings Criteria',
  p_list_item_link_target=> 'f?p=&FLOW_ID.:205:&SESSION.::&DEBUG.:::',
  p_list_countclicks_y_n=> 'N',
  p_list_text_01=> '',
  p_list_item_current_type=> 'COLON_DELIMITED_PAGE_LIST',
  p_list_item_owner=> '');
 
wwv_flow_api.create_list_item (
  p_id=> 1135516669583787797 + wwv_flow_api.g_id_offset,
  p_list_id=> 1135499849881734818 + wwv_flow_api.g_id_offset,
  p_list_item_type=> 'LINK',
  p_list_item_status=> 'PUBLIC',
  p_item_displayed=> 'BY_DEFAULT',
  p_list_item_display_sequence=>10,
  p_list_item_link_text=> 'Results',
  p_list_item_link_target=> 'f?p=&FLOW_ID.:206:&SESSION.::&DEBUG.:::',
  p_list_countclicks_y_n=> 'N',
  p_list_text_01=> '',
  p_list_item_current_type=> 'COLON_DELIMITED_PAGE_LIST',
  p_list_item_owner=> '');
 
wwv_flow_api.create_list_item (
  p_id=> 1135516942702789464 + wwv_flow_api.g_id_offset,
  p_list_id=> 1135499849881734818 + wwv_flow_api.g_id_offset,
  p_list_item_type=> 'LINK',
  p_list_item_status=> 'PUBLIC',
  p_item_displayed=> 'BY_DEFAULT',
  p_list_item_display_sequence=>10,
  p_list_item_link_text=> 'Tests',
  p_list_item_link_target=> 'f?p=&FLOW_ID.:207:&SESSION.::&DEBUG.:::',
  p_list_countclicks_y_n=> 'N',
  p_list_text_01=> '',
  p_list_item_current_type=> 'COLON_DELIMITED_PAGE_LIST',
  p_list_item_owner=> '');
 
null;
 
end;
/

---------------------------------------
prompt  ...Breadcrumbs
--
---------------------------------------
prompt  ...Page Templates for application: 42876
--
prompt  ......Page template 1135158953139532623
 
begin
 
declare
  c1 varchar2(32767) := null;
  c2 varchar2(32767) := null;
  c3 varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
c1:=c1||'<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">'||chr(10)||
'<html>'||chr(10)||
'<head>'||chr(10)||
'    #HEAD#'||chr(10)||
'    <style type="text/css">'||chr(10)||
'        body{font-family:arial,helvetica,sans-serif;}'||chr(10)||
'    </style>'||chr(10)||
'</head>'||chr(10)||
'';

c2:=c2||'  </body>'||chr(10)||
'</html>'||chr(10)||
'';

c3:=c3||'<body #ONLOAD#>'||chr(10)||
'#FORM_OPEN# #NOTIFICATION_MESSAGE#'||chr(10)||
'<table border="0" summary="" width="100%" style="margin-top:100px;margin-bottom:200px;"><tr><td align="center">'||chr(10)||
'    <table border="0" summary=""><tr><td>#BOX_BODY#</td></tr></table>'||chr(10)||
'</td></tr></table>'||chr(10)||
'#FORM_CLOSE#'||chr(10)||
'';

wwv_flow_api.create_template(
  p_id=> 1135158953139532623 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_name=> 'Login',
  p_body_title=> '#BODY_TITLE#',
  p_header_template=> c1,
  p_box=> c3,
  p_footer_template=> c2,
  p_success_message=> '',
  p_current_tab=> '',
  p_current_tab_font_attr=> '',
  p_non_current_tab=> '',
  p_non_current_tab_font_attr => '',
  p_top_current_tab=> '',
  p_top_current_tab_font_attr => '',
  p_top_non_curr_tab=> '',
  p_top_non_curr_tab_font_attr=> '',
  p_current_image_tab=> '',
  p_non_current_image_tab=> '',
  p_notification_message=> '<center><table width="600" style="border:1px #aaaaaa solid;background:#dddddd;" summary=""><tr><td class="instructiontext" style="padding:4px;"> #MESSAGE#</td></tr></table></center><br />'||chr(10)||
'',
  p_navigation_bar=> '',
  p_navbar_entry=> '',
  p_app_tab_before_tabs=>'',
  p_app_tab_current_tab=>'',
  p_app_tab_non_current_tab=>'',
  p_app_tab_after_tabs=>'',
  p_region_table_cattributes=> 'width="100%"',
  p_theme_id  => 101,
  p_required_patch   => null + wwv_flow_api.g_id_offset,
  p_translate_this_template => 'N',
  p_template_comment => '18');
end;
 
null;
 
end;
/

prompt  ......Page template 1245068342666425261
 
begin
 
declare
  c1 varchar2(32767) := null;
  c2 varchar2(32767) := null;
  c3 varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
c1:=c1||'<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">'||chr(10)||
'<html>'||chr(10)||
'<head>'||chr(10)||
'    #HEAD#'||chr(10)||
'    <style type="text/css">'||chr(10)||
'        body{font-family:arial,helvetica,sans-serif;}'||chr(10)||
'    </style>'||chr(10)||
'<link rel="stylesheet" href="#WORKSPACE_IMAGES#main2.css" type="text/css" />'||chr(10)||
'</head>'||chr(10)||
'';

c2:=c2||'  </body>'||chr(10)||
'</html>'||chr(10)||
'';

c3:=c3||'<body #ONLOAD#>'||chr(10)||
'<table width="100%" cellpadding="0" cellspacing="0" border="0">'||chr(10)||
'   <tr>'||chr(10)||
'      <td><img src="#WORKSPACE_IMAGES#title-logo.gif" width="200" height="135" border="0" alt="TUSC - The Ultimate Software Consultants"></td>'||chr(10)||
'   </tr>'||chr(10)||
'</table>'||chr(10)||
'#FORM_OPEN# #NOTIFICATION_MESSAGE#'||chr(10)||
'<table border="0" summary="" width="100%" style="margin-top:100px;margin-bottom:200px;"><tr><td align="center">'||chr(10)||
'    ';

c3:=c3||'<table border="0" summary=""><tr><td>#BOX_BODY#</td></tr></table>'||chr(10)||
'</td></tr></table>'||chr(10)||
'#FORM_CLOSE#'||chr(10)||
'';

wwv_flow_api.create_template(
  p_id=> 1245068342666425261 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_name=> 'Sapphire Login',
  p_body_title=> '#BODY_TITLE#',
  p_header_template=> c1,
  p_box=> c3,
  p_footer_template=> c2,
  p_success_message=> '',
  p_current_tab=> '',
  p_current_tab_font_attr=> '',
  p_non_current_tab=> '',
  p_non_current_tab_font_attr => '',
  p_top_current_tab=> '',
  p_top_current_tab_font_attr => '',
  p_top_non_curr_tab=> '',
  p_top_non_curr_tab_font_attr=> '',
  p_current_image_tab=> '',
  p_non_current_image_tab=> '',
  p_notification_message=> '<center><table width="600" style="border:1px #aaaaaa solid;background:#dddddd;" summary=""><tr><td class="instructiontext" style="padding:4px;"> #MESSAGE#</td></tr></table></center><br />'||chr(10)||
'',
  p_navigation_bar=> '',
  p_navbar_entry=> '',
  p_app_tab_before_tabs=>'',
  p_app_tab_current_tab=>'',
  p_app_tab_non_current_tab=>'',
  p_app_tab_after_tabs=>'',
  p_region_table_cattributes=> 'width="100%"',
  p_theme_id  => 101,
  p_required_patch   => null + wwv_flow_api.g_id_offset,
  p_translate_this_template => 'N',
  p_template_comment => '');
end;
 
null;
 
end;
/

prompt  ......Page template 1079277039664574734
 
begin
 
declare
  c1 varchar2(32767) := null;
  c2 varchar2(32767) := null;
  c3 varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
c1:=c1||'<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">'||chr(10)||
'<html>'||chr(10)||
'<head>'||chr(10)||
'    #HEAD#'||chr(10)||
'    <style type="text/css">'||chr(10)||
'        body{font-family:arial,helvetica,sans-serif;}'||chr(10)||
'    </style>'||chr(10)||
'<link rel="stylesheet" href="#WORKSPACE_IMAGES#main2.css" type="text/css" />'||chr(10)||
'</head>'||chr(10)||
'';

c2:=c2||'  </body>'||chr(10)||
'</html>'||chr(10)||
'';

c3:=c3||'<body #ONLOAD#>'||chr(10)||
'#FORM_OPEN# #NOTIFICATION_MESSAGE#'||chr(10)||
'<table border="0" summary="" width="100%" style="margin-top:100px;margin-bottom:200px;"><tr><td align="center">'||chr(10)||
'    <table border="0" summary=""><tr><td>#BOX_BODY#</td></tr></table>'||chr(10)||
'</td></tr></table>'||chr(10)||
'#FORM_CLOSE#'||chr(10)||
'';

wwv_flow_api.create_template(
  p_id=> 1079277039664574734 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_name=> 'Sapphire Pop-up',
  p_body_title=> '#BODY_TITLE#',
  p_header_template=> c1,
  p_box=> c3,
  p_footer_template=> c2,
  p_success_message=> '',
  p_current_tab=> '',
  p_current_tab_font_attr=> '',
  p_non_current_tab=> '',
  p_non_current_tab_font_attr => '',
  p_top_current_tab=> '',
  p_top_current_tab_font_attr => '',
  p_top_non_curr_tab=> '',
  p_top_non_curr_tab_font_attr=> '',
  p_current_image_tab=> '',
  p_non_current_image_tab=> '',
  p_notification_message=> '<center><table width="600" style="border:1px #aaaaaa solid;background:#dddddd;" summary=""><tr><td class="instructiontext" style="padding:4px;"> #MESSAGE#</td></tr></table></center><br />'||chr(10)||
'',
  p_navigation_bar=> '',
  p_navbar_entry=> '',
  p_app_tab_before_tabs=>'',
  p_app_tab_current_tab=>'',
  p_app_tab_non_current_tab=>'',
  p_app_tab_after_tabs=>'',
  p_region_table_cattributes=> 'width="100%"',
  p_theme_id  => 101,
  p_required_patch   => null + wwv_flow_api.g_id_offset,
  p_translate_this_template => 'N',
  p_template_comment => '');
end;
 
null;
 
end;
/

prompt  ......Page template 1245068046305425259
 
begin
 
declare
  c1 varchar2(32767) := null;
  c2 varchar2(32767) := null;
  c3 varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
c1:=c1||'<html>'||chr(10)||
'<head>'||chr(10)||
'    <title>#TITLE#</title>'||chr(10)||
'    #HEAD#'||chr(10)||
'    <link rel="stylesheet" href="#IMAGE_PREFIX#css/einstein.css" type="text/css" />'||chr(10)||
'    <link rel="stylesheet" href="#IMAGE_PREFIX#platform2.css" type="text/css" />'||chr(10)||
'    <link rel="stylesheet" href="#WORKSPACE_IMAGES#main2.css" type="text/css" />'||chr(10)||
'    <script src="#IMAGE_PREFIX#javascript/functions.js" type="text/javascript"></script>'||chr(10)||
'</head>'||chr(10)||
'<body';

c1:=c1||' #ONLOAD#>#FORM_OPEN#'||chr(10)||
'';

c2:=c2||'#FORM_CLOSE#'||chr(10)||
'</body>'||chr(10)||
'</html>'||chr(10)||
'';

c3:=c3||'<table width="100%" cellpadding="0" cellspacing="0" border="0">'||chr(10)||
'   <tr>'||chr(10)||
'      <td rowspan="2"><img src="#WORKSPACE_IMAGES#title-logo.gif" width="200" height="135" border="0" alt=""></td>'||chr(10)||
'      <td></td>'||chr(10)||
'      <td align="right" valign="top">'||chr(10)||
'         <table align="right" border="0" cellspacing="0">'||chr(10)||
'            <tr>'||chr(10)||
'               <td>#NAVIGATION_BAR#</td>'||chr(10)||
'            </tr>'||chr(10)||
'         </table>'||chr(10)||
'      <';

c3:=c3||'/td>'||chr(10)||
'   </tr>'||chr(10)||
'   <tr>'||chr(10)||
'      <td width="98%" valign="bottom">&nbsp</td>'||chr(10)||
'      <td valign="bottom" align="right">'||chr(10)||
'         <table border="0" cellpadding="0" cellspacing="0">'||chr(10)||
'            <tr>#TAB_CELLS#</td>'||chr(10)||
'            </tr>'||chr(10)||
'         </table>'||chr(10)||
'      </td>'||chr(10)||
'   </tr>'||chr(10)||
'</table>'||chr(10)||
'<table width="100%" cellpadding="0" cellspacing="0" border="0">'||chr(10)||
'   <tr>'||chr(10)||
'      <td><img src="#WORKSPACE_IMAGES#table6_left.png" al';

c3:=c3||'t=""/></td>'||chr(10)||
'      <td background="#WORKSPACE_IMAGES#table6_center.png" width="100%">'||chr(10)||
'         <table cellpadding="0" cellspacing="0" border="0" width="100%">'||chr(10)||
'            <tr>'||chr(10)||
'               <td class="PortletHeading2" width="100%" style="color:#FFFFFF">#REGION_POSITION_02#</td>'||chr(10)||
'               <td class="PortletHeading2" style="color:#FFFFFF">&USER.</td>'||chr(10)||
'            </tr>'||chr(10)||
'         </table>'||chr(10)||
'      </';

c3:=c3||'td>'||chr(10)||
'      <td><img src="#WORKSPACE_IMAGES#table6_right.png" alt=""/></td>'||chr(10)||
'   </tr>'||chr(10)||
'   <tr>'||chr(10)||
'      <td width="100%" colspan="3">'||chr(10)||
'         <div class="th_content_body">'||chr(10)||
'         <table width="100%">'||chr(10)||
'            <tr>'||chr(10)||
'               <td valign="top" width="100%" style="padding-left:20px;padding-left:20px;width:97%;"><br />#NOTIFICATION_MESSAGE# #SUCCESS_MESSAGE# </td>'||chr(10)||
'            </tr>'||chr(10)||
'            <tr>';

c3:=c3||''||chr(10)||
'               <td>'||chr(10)||
'                  <div style="padding-left:20px;padding-right:20px;width:97%;">#BOX_BODY#</div>'||chr(10)||
'               </td>'||chr(10)||
'            </tr>'||chr(10)||
'         </table>'||chr(10)||
'         </div>'||chr(10)||
'      </td>'||chr(10)||
'   </tr>'||chr(10)||
'   <tr>'||chr(10)||
'      <td><img src="#WORKSPACE_IMAGES#table6_left.png" alt=""/></td>'||chr(10)||
'      <td background="#WORKSPACE_IMAGES#table6_center.png">'||chr(10)||
'         <table cellpadding="0" cellspacing="0" bord';

c3:=c3||'er="0" width="100%">'||chr(10)||
'            <tr>'||chr(10)||
'               <td width="40%" align="LEFT" nowrap="nowrap">&nbsp;<font face="Arial" color="WHITE" size="-2">TUSC - The Ultimate Software Consultants</font></td>'||chr(10)||
'               <td width="20%" nowrap="nowrap">&nbsp;</td>'||chr(10)||
'               <td width="40%" align="RIGHT"><font color="white" size="-2" face="Arial">Copyright&nbsp;&copy;&nbsp;2003,&nbsp;All&nbsp;rights';

c3:=c3||'&nbsp;reserved.</font></td>'||chr(10)||
'            </tr>'||chr(10)||
'         </table>'||chr(10)||
'      </td>'||chr(10)||
'      <td><img src="#WORKSPACE_IMAGES#table6_right.png" alt=""/></td>'||chr(10)||
'   </tr>'||chr(10)||
'</table>';

wwv_flow_api.create_template(
  p_id=> 1245068046305425259 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_name=> 'Sapphire-one-level-tab',
  p_body_title=> '<!--#BODY_TITLE#-->',
  p_header_template=> c1,
  p_box=> c3,
  p_footer_template=> c2,
  p_success_message=> '<table border="0"><tr><td><img src="#IMAGE_PREFIX#success_w.gif" width="24" height="23" alt="success"></td><td><font color="#336699" face="Arial" size="+1">#SUCCESS_MESSAGE#</font></td></tr></table>',
  p_current_tab=> '<td><table cellpadding="0" cellspacing="0" border="0" style="margin-left:6px;"><tr>'||chr(10)||
'<td style="width:20px;"><a href="#TAB_LINK#"><img src="#WORKSPACE_IMAGES#tab6_active_left.png" alt="#TAB_LABEL# : Current" border="0" /></a></td><td background="#WORKSPACE_IMAGES#tab6_active_center.png" nowrap="nowrap"><a href="#TAB_LINK#" class="th_tabhtml">#TAB_LABEL#</a></td><td style="width:15px;"><a href="#TAB_LINK#"><img src="#WORKSPACE_IMAGES#tab6_active_right.png"  alt="#TAB_LABEL# : Current" border="0" /></a></td></tr></table>#TAB_INLINE_EDIT#</td>'||chr(10)||
'',
  p_current_tab_font_attr=> '',
  p_non_current_tab=> '<td><table cellpadding="0" cellspacing="0" border="0" style="margin-left:6px;"><tr>'||chr(10)||
'<td style="width:20px;"><a href="#TAB_LINK#"><img src="#WORKSPACE_IMAGES#tab6_left.png" alt="#TAB_LABEL#" border="0" /></a></td><td background="#WORKSPACE_IMAGES#tab6_center.png" nowrap="nowrap"><a href="#TAB_LINK#"  class="th_tabhtml">#TAB_LABEL#</a></td><td style="width:15px;"><a href="#TAB_LINK#"><img src="#WORKSPACE_IMAGES#tab6_right.png"  alt="#TAB_LABEL#" border="0" /></a></td></tr></table>#TAB_INLINE_EDIT#</td>'||chr(10)||
'',
  p_non_current_tab_font_attr => '',
  p_top_current_tab=> '',
  p_top_current_tab_font_attr => '',
  p_top_non_curr_tab=> '',
  p_top_non_curr_tab_font_attr=> '',
  p_current_image_tab=> '',
  p_non_current_image_tab=> '',
  p_notification_message=> '<center><table width="60%" bgcolor="#CCCC99" border="1" cellspacing="0" cellpadding="0"><tr><td><b>#MESSAGE#</b></td></tr></table></center><br />',
  p_navigation_bar=> '<table cellpadding="0" cellspacing="0" border="0" ><tr>#BAR_BODY#</tr></table>',
  p_navbar_entry=> '',
  p_app_tab_before_tabs=>'<table cellspacing="0" cellpadding="0" width="100%" bgcolor="#ffffff" border="0">'||chr(10)||
''||chr(10)||
'<tr><td colspan="2" height="4" width="100%" bgcolor="#31619C"><img src="#IMAGE_PREFIX#asybase.gif" height="4" border="0" alt=""></td></tr><tr><td>&nbsp;</td><td valign="bottom" noWrap align="right" height="22"><table height="22" cellspacing="0" cellpadding="0" align="right" border="0"><tr>',
  p_app_tab_current_tab=>'',
  p_app_tab_non_current_tab=>'',
  p_app_tab_after_tabs=>'',
  p_region_table_cattributes=> 'width="100%"',
  p_theme_id  => 101,
  p_required_patch   => null + wwv_flow_api.g_id_offset,
  p_translate_this_template => 'N',
  p_template_comment => '');
end;
 
null;
 
end;
/

prompt  ......Page template 1135157468037532621
 
begin
 
declare
  c1 varchar2(32767) := null;
  c2 varchar2(32767) := null;
  c3 varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
c1:=c1||'<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">'||chr(10)||
'<html>'||chr(10)||
'<head>'||chr(10)||
'#HEAD#'||chr(10)||
'<link rel="stylesheet" href="#IMAGE_PREFIX#css/platform2.css" type="text/css">'||chr(10)||
'<title>#TITLE#</title>'||chr(10)||
'</head>'||chr(10)||
'<body bgcolor="#FFFFFF" #ONLOAD#>#FORM_OPEN#';

c2:=c2||'#FORM_CLOSE#</body>'||chr(10)||
'</html>';

c3:=c3||'<img src="#WORKSPACE_IMAGES#title-logo.gif" width="200" height="135" border="0" alt="TUSC" />'||chr(10)||
'<br />#BOX_BODY#';

wwv_flow_api.create_template(
  p_id=> 1135157468037532621 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_name=> 'printer-friendly',
  p_body_title=> '<!--#BODY_TITLE#-->',
  p_header_template=> c1,
  p_box=> c3,
  p_footer_template=> c2,
  p_success_message=> '<table border="0"><tr><td><img src="#IMAGE_PREFIX#success_w.gif" width="24" height="23" alt=""></td><td><font color="#336699" face="arial" size="+1">#SUCCESS_MESSAGE#</font></td></tr></table>',
  p_current_tab=> '<td width="1%" bgcolor="#336699" nowrap="nowrap"><b>&nbsp;#TAB_TEXT#&nbsp;</b></td>'||chr(10)||
'<td width="1%" bgcolor="#336699"><img src="#IMAGE_PREFIX#subtab.gif" alt=""></td>',
  p_current_tab_font_attr=> 'size="-1" face="Arial" color="white"',
  p_non_current_tab=> '<td width="1%" bgcolor="#336699" nowrap="nowrap">&nbsp;<b>#TAB_TEXT#</b>&nbsp;</td>'||chr(10)||
'<td width="1%" bgcolor="#336699"><img src="#IMAGE_PREFIX#subtab.gif" alt=""></td>',
  p_non_current_tab_font_attr => 'size="-1" face="Arial" color="#CCCC99" class="nounderline"',
  p_top_current_tab=> '<td bgcolor="#336699" width="1%" align="left" valign="top"><img src="#IMAGE_PREFIX#ctab_open.gif" height="21" width="18" border="0" alt=""></td>'||chr(10)||
'<td width="1%" bgcolor="#336699" nowrap="nowrap"><b>#TAB_TEXT#</b></td>'||chr(10)||
'<td bgcolor="#336699" width="1%" align="right" valign="top"><img src="#IMAGE_PREFIX#ctab_close2.gif" height="21" width="12" border="0" alt=""></td>',
  p_top_current_tab_font_attr => 'size="-1" face="Arial" color="#FFFFFF"',
  p_top_non_curr_tab=> '<td bgcolor="#cccc99" width="1%" align="left" valign="top"><img src="#IMAGE_PREFIX#tab_open2.gif" height="21" width="13" border="0" alt=""></td>'||chr(10)||
'<td width="1%" bgcolor="#cccc99"  nowrap="nowrap">#TAB_TEXT#</td>'||chr(10)||
'<td bgcolor="#cccc99" width="1%" align="right" valign="top"><img src="#IMAGE_PREFIX#tab_close2.gif" height="21" width="10" border="0" alt=""></td>',
  p_top_non_curr_tab_font_attr=> 'size="-1" face="Arial" color="#000000" class="nounderline"',
  p_current_image_tab=> '',
  p_non_current_image_tab=> '',
  p_notification_message=> '<center><table width="60%" bgcolor="#CCCC99" border="1" cellspacing="0" cellpadding="0"><tr><td><b>#MESSAGE#</b></td></tr></table></center><br />',
  p_navigation_bar=> '<table cellpadding="0" cellspacing="0" border="0" ><tr><td>&nbsp;&nbsp;</td>#BAR_BODY#</tr></table>',
  p_navbar_entry=> '',
  p_app_tab_before_tabs=>'',
  p_app_tab_current_tab=>'',
  p_app_tab_non_current_tab=>'',
  p_app_tab_after_tabs=>'',
  p_region_table_cattributes=> 'width="100%"',
  p_theme_id  => 101,
  p_required_patch   => null + wwv_flow_api.g_id_offset,
  p_translate_this_template => 'N',
  p_template_comment => '3');
end;
 
null;
 
end;
/

prompt  ......Page template 1135157667874532622
 
begin
 
declare
  c1 varchar2(32767) := null;
  c2 varchar2(32767) := null;
  c3 varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
c1:=c1||'<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">'||chr(10)||
'<html>'||chr(10)||
'<head>'||chr(10)||
'#HEAD#'||chr(10)||
'<link rel="stylesheet" href="#IMAGE_PREFIX#css/platform2.css" type="text/css">'||chr(10)||
'<title>#TITLE#</title>'||chr(10)||
''||chr(10)||
'</head>'||chr(10)||
''||chr(10)||
'<body BGCOLOR="#FFFFFF" #ONLOAD# LEFTMARGIN="0" RIGHTMARGIN="0" TOPMARGIN="0" MARGINWIDTH="0" MARGINHEIGHT="0">';

c2:=c2||'<table width="100%" cellspacing="0" cellpadding="0" border="0"><tr>'||chr(10)||
''||chr(10)||
'<td valign="bottom" width="99%">&nbsp;</td>'||chr(10)||
''||chr(10)||
'<td valign="bottom" width="1%" align="right"><img src="#IMAGE_PREFIX#bottomblueright.gif" alt=""></td>'||chr(10)||
''||chr(10)||
'</tr></table>'||chr(10)||
''||chr(10)||
'<table width="100%" cellspacing="0" cellpadding="0" bgcolor="#336699" border="0">'||chr(10)||
''||chr(10)||
'<tr><td width="40%" align="LEFT" nowrap="nowrap">&nbsp;<font face="Arial" color="WHI';

c2:=c2||'TE" size="-2">User: </font><font size="-1" color="#CCCC99">&DISPLAY_USER.</font><font face="Arial" color="WHITE" size="-2">&nbsp;&nbsp;Language: </font><font color="#CCCC99" size="-1">&BROWSER_LANGUAGE.</font></td>'||chr(10)||
'<td width="20%" nowrap="nowrap">&nbsp;</td>'||chr(10)||
'<td width="40%" align="RIGHT"><font color="white" size="-2" face="Arial">'||chr(10)||
'Copyright&nbsp;&copy;&nbsp;2003,&nbsp;All&nbsp;rights&nbsp;reserved';

c2:=c2||'.'||chr(10)||
'</font></td></tr>'||chr(10)||
'<tr><td colspan="3"><img src="#IMAGE_PREFIX#bottom_middle.gif" height="5" width="100%" alt=""></td></tr></table>'||chr(10)||
''||chr(10)||
'#FORM_CLOSE#'||chr(10)||
'<table width="100%"><tr><td align="right" class="tiny"> #CUSTOMIZE# </td></tr></table>'||chr(10)||
'</body>'||chr(10)||
'</html>';

c3:=c3||'<table width="100%" cellpadding="0" cellspacing="0" border="0">'||chr(10)||
''||chr(10)||
'<tr>'||chr(10)||
'<td rowspan="2"><img src="#WORKSPACE_IMAGES#title-logo.gif" width="200" height="135" border="0" alt=""></td>'||chr(10)||
'<td></td><td align="right" valign="top"><table align="right" border="0" cellspacing="0"><tr><td>#NAVIGATION_BAR#</td></tr></table></td>'||chr(10)||
''||chr(10)||
'</tr>'||chr(10)||
'<tr>'||chr(10)||
'<td width="98%" valign="bottom">&nbsp;#SUCCESS_MESSAGE#</td><td valign="b';

c3:=c3||'ottom" align="right">'||chr(10)||
''||chr(10)||
'    <table border="0" cellpadding="0" cellspacing="0"><tr>#TAB_CELLS#</td></tr></table>'||chr(10)||
''||chr(10)||
'</td>'||chr(10)||
''||chr(10)||
'</TR>'||chr(10)||
''||chr(10)||
'</table>'||chr(10)||
''||chr(10)||
''||chr(10)||
''||chr(10)||
'<table width="100%" cellpadding="0" cellspacing="0" border="0">'||chr(10)||
''||chr(10)||
'<tr>'||chr(10)||
''||chr(10)||
'<td align="left" valign="top" width="1%" bgcolor="#336699"><img src="#IMAGE_PREFIX#top_left.gif" width="4" height="25" alt=""></td>'||chr(10)||
''||chr(10)||
'<td align="left" valign="top" width="5%" bgcolor="#336699"';

c3:=c3||'>&nbsp;</td>'||chr(10)||
''||chr(10)||
'<td align="left" valign="middle" bgcolor="#336699" height="25" width="94%">#FORM_OPEN#&nbsp;</td>'||chr(10)||
''||chr(10)||
'</tr>'||chr(10)||
''||chr(10)||
'</table>'||chr(10)||
''||chr(10)||
'<table  width="100%" cellpadding="0" cellspacing="0" border="0"><tr>'||chr(10)||
''||chr(10)||
'<td align="right" valign="top" width="49" height="21" bgcolor="#336699"><img src="#IMAGE_PREFIX#left_end_bottom.gif" height="21" width="49" alt=""></td>'||chr(10)||
''||chr(10)||
'<td align="right" valign="top" bgcolor="#FFFFF';

c3:=c3||'F" height="21" width="100%"><img src="#IMAGE_PREFIX#bottom_middle.gif" height="6" width="100%" alt=""></td>'||chr(10)||
''||chr(10)||
'<td align="LEFT" valign="top" height="21" width="5"  bgcolor="#FFFFFF"><img src="#IMAGE_PREFIX#right_end_bottom.gif" height="7" width="5" alt=""></td>'||chr(10)||
''||chr(10)||
'</tr>'||chr(10)||
''||chr(10)||
'</table>#NOTIFICATION_MESSAGE#'||chr(10)||
''||chr(10)||
'#BODY_TITLE#'||chr(10)||
''||chr(10)||
'<div style="padding-left:20px;padding-right:20px;width:97%;">#BOX_BODY#</div>';

wwv_flow_api.create_template(
  p_id=> 1135157667874532622 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_name=> 'whitebg-one-level-tab',
  p_body_title=> '<!--#BODY_TITLE#-->',
  p_header_template=> c1,
  p_box=> c3,
  p_footer_template=> c2,
  p_success_message=> '<table border="0"><tr><td><img src="#IMAGE_PREFIX#success_w.gif" width="24" height="23" alt="success"></td><td><font color="#336699" face="Arial" size="+1">#SUCCESS_MESSAGE#</font></td></tr></table>',
  p_current_tab=> '<td bgcolor="#336699" width="1%" align="left" valign="top"><img src="#IMAGE_PREFIX#ctab_open.gif" height="21" width="18" border="0" alt=""></td> '||chr(10)||
'<td width="1%" bgcolor="#336699"  nowrap="nowrap"><b><font size="-1" face="Arial" color="#FFFFFF">#TAB_LABEL#</font></b>#TAB_INLINE_EDIT#</td><td bgcolor="#336699" width="1%" align="right" valign="top"><img src="#IMAGE_PREFIX#ctab_close2.gif" height="21" width="12" border="0" alt=""></td>',
  p_current_tab_font_attr=> '',
  p_non_current_tab=> '<td bgcolor="#cccc99" width="1%" align="left" valign="top"><img src="#IMAGE_PREFIX#tab_open2.gif" height="21" width="13" border="0" alt=""></td>'||chr(10)||
'<td width="1%" bgcolor="#cccc99" nowrap="nowrap"><a href="#TAB_LINK#"><font size="-1" face="Arial" color="#000000" class="nounderline">#TAB_LABEL#</font></a>#TAB_INLINE_EDIT#</td>'||chr(10)||
'<td bgcolor="#cccc99" width="1%" align="right" valign="top"><img src="#IMAGE_PREFIX#tab_close2.gif" height="21" width="10" border="0" alt=""></td>',
  p_non_current_tab_font_attr => '',
  p_top_current_tab=> '',
  p_top_current_tab_font_attr => '',
  p_top_non_curr_tab=> '',
  p_top_non_curr_tab_font_attr=> '',
  p_current_image_tab=> '',
  p_non_current_image_tab=> '',
  p_notification_message=> '<center><table width="60%" bgcolor="#CCCC99" border="1" cellspacing="0" cellpadding="0"><tr><td><b>#MESSAGE#</b></td></tr></table></center><br />',
  p_navigation_bar=> '<table cellpadding="0" cellspacing="0" border="0" ><tr>#BAR_BODY#</tr></table>',
  p_navbar_entry=> '',
  p_app_tab_before_tabs=>'<table cellspacing="0" cellpadding="0" width="100%" bgcolor="#ffffff" border="0">'||chr(10)||
''||chr(10)||
'<tr><td colspan="2" height="4" width="100%" bgcolor="#31619C"><img src="#IMAGE_PREFIX#asybase.gif" height="4" border="0" alt=""></td></tr><tr><td>&nbsp;</td><td valign="bottom" noWrap align="right" height="22"><table height="22" cellspacing="0" cellpadding="0" align="right" border="0"><tr>',
  p_app_tab_current_tab=>'',
  p_app_tab_non_current_tab=>'',
  p_app_tab_after_tabs=>'',
  p_region_table_cattributes=> 'width="100%"',
  p_theme_id  => 101,
  p_required_patch   => null + wwv_flow_api.g_id_offset,
  p_translate_this_template => 'N',
  p_template_comment => '5');
end;
 
null;
 
end;
/

prompt  ......Page template 1135157745440532622
 
begin
 
declare
  c1 varchar2(32767) := null;
  c2 varchar2(32767) := null;
  c3 varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
c1:=c1||'<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">'||chr(10)||
'<html>'||chr(10)||
'<head>'||chr(10)||
'#HEAD#'||chr(10)||
'<link rel="stylesheet" href="#IMAGE_PREFIX#css/platform2.css" type="text/css">'||chr(10)||
'<title>#TITLE#</title>'||chr(10)||
'</head>'||chr(10)||
'<body BGCOLOR="#FFFFFF" #ONLOAD#>#FORM_OPEN#';

c2:=c2||'<table width="100%" cellspacing="0" cellpadding="0" border="0"><tr>'||chr(10)||
'<td valign="bottom" width="99%">&nbsp;</td>'||chr(10)||
'<td valign="bottom" width="1%" align="right"><img src="#IMAGE_PREFIX#bottomblueright.gif" alt=""></td>'||chr(10)||
'</tr></table>'||chr(10)||
'<table width="100%" cellspacing="0" cellpadding="0" bgcolor="#336699" border="0">'||chr(10)||
'<tr><td width="40%" align="LEFT" nowrap="nowrap">&nbsp;<font face="Arial" color="WHITE" s';

c2:=c2||'ize="-2">User: </font><font size="-1" color="#CCCC99">&DISPLAY_USER.</font><font face="Arial" color="WHITE" size="-2">&nbsp;&nbsp;Language: </font><font color="#CCCC99" size="-1">&BROWSER_LANGUAGE.</font></td>'||chr(10)||
'<td width="20%" nowrap="nowrap">&nbsp;</td>'||chr(10)||
'<td width="40%" align="RIGHT"><font color="white" size="-2" face="Arial">'||chr(10)||
'Copyright&nbsp;&copy;&nbsp;2003,&nbsp;All&nbsp;rights&nbsp;reserved.'||chr(10)||
'</f';

c2:=c2||'ont></td></tr>'||chr(10)||
'<tr><td colspan="3"><img src="#IMAGE_PREFIX#bottom_middle.gif" height="5" width="100%" alt=""></td></tr></table>'||chr(10)||
'#FORM_CLOSE#'||chr(10)||
'<table width="100%"><tr><td align="right" class="tiny"> #CUSTOMIZE# </td></tr></table>'||chr(10)||
'</body>'||chr(10)||
'</html>';

c3:=c3||'<table width="100%" cellpadding="0" cellspacing="0" border="0">'||chr(10)||
'<tr>'||chr(10)||
'<td rowspan="2"><img src="#IMAGE_PREFIX#generic_home.gif" Width="306" height="72" border="0" alt="Home"></td>'||chr(10)||
'<td>&nbsp;&nbsp;</td><td align="right" valign="top" colspan="20">#NAVIGATION_BAR#</td>'||chr(10)||
'</tr>'||chr(10)||
'<tr>'||chr(10)||
'<td width="98%">&nbsp;</td><td valign="bottom" align="right">'||chr(10)||
'    <table border="0" cellpadding="0" cellspacing="0"><tr><td';

c3:=c3||'>&nbsp;&nbsp;</td>#PARENT_TAB_CELLS#</tr></table>'||chr(10)||
'</td>'||chr(10)||
'</tr>'||chr(10)||
'</table>'||chr(10)||
'<table width="100%" cellpadding="0" cellspacing="0" border="0">'||chr(10)||
'<tr>'||chr(10)||
'<td align="left" valign="top" width="1%" bgcolor="#336699"><img src="#IMAGE_PREFIX#top_left.gif" width="4" height="25" alt=""></td>'||chr(10)||
'<td align="left" valign="top" width="5%" bgcolor="#336699">&nbsp;</td>'||chr(10)||
'#TAB_CELLS#'||chr(10)||
'<td align="left" valign="middle" bgcolor="#33';

c3:=c3||'6699" height="25" width="94%">&nbsp;</td>'||chr(10)||
''||chr(10)||
'</tr>'||chr(10)||
''||chr(10)||
'</table>'||chr(10)||
''||chr(10)||
'<table  width="100%" cellpadding="0" cellspacing="0" border="0"><tr>'||chr(10)||
''||chr(10)||
'<td align="right" valign="top" width="49" height="21" bgcolor="#336699"><img src="#IMAGE_PREFIX#flow_tail.gif" height="29" width="187" alt=""></td>'||chr(10)||
''||chr(10)||
'<td align="right" valign="top" bgcolor="#FFFFFF" height="21" width="100%"><img src="#IMAGE_PREFIX#bottom_middle.gif" heig';

c3:=c3||'ht="6" width="100%" alt=""></td>'||chr(10)||
''||chr(10)||
'<td align="LEFT" valign="top" height="21" width="5"  bgcolor="#FFFFFF"><img src="#IMAGE_PREFIX#right_end_bottom.gif" height="7" width="5" alt=""></td>'||chr(10)||
''||chr(10)||
'</tr>'||chr(10)||
''||chr(10)||
'</table>'||chr(10)||
''||chr(10)||
'<table width="100%" border="0" cellspacing="0" cellpadding="0"><tr><td valign="top" width="1%"><table width="137" bgcolor="#cccc99" border="0" cellspacing="0" cellpadding="0"><tr><td valign="top">#';

c3:=c3||'REGION_POSITION_01#<p>#REGION_POSITION_02#'||chr(10)||
''||chr(10)||
'</td></tr><tr><td bgcolor="white" valign="top"><img src="#IMAGE_PREFIX#menu_bott.gif" width="137" height="17" alt=""></td>'||chr(10)||
'</tr></table><p />'||chr(10)||
'</td><td valign="top" width="99%">#NOTIFICATION_MESSAGE##SUCCESS_MESSAGE#'||chr(10)||
'#BODY_TITLE#'||chr(10)||
'#BOX_BODY#</td></tr></table>';

wwv_flow_api.create_template(
  p_id=> 1135157745440532622 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_name=> 'whitebg-two-level-tabs-sidebar',
  p_body_title=> '<!--#BODY_TITLE#-->',
  p_header_template=> c1,
  p_box=> c3,
  p_footer_template=> c2,
  p_success_message=> '<table border="0"><tr><td><img src="#IMAGE_PREFIX#success_w.gif" width="24" height="23" alt="success"></td><td><font color="#336699" face="Arial" size="+1">#SUCCESS_MESSAGE#</font></td></tr></table>',
  p_current_tab=> '<td width="1%" bgcolor="#336699" nowrap="nowrap"><b>&nbsp;<font size="-1" face="Arial" color="white">#TAB_LABEL#</font></b>#TAB_INLINE_EDIT#&nbsp;</td><td width="1%" bgcolor="#336699"><img src="#IMAGE_PREFIX#subtab.gif" alt=""></td>',
  p_current_tab_font_attr=> '',
  p_non_current_tab=> '<td width="1%" bgcolor="#336699" nowrap="nowrap">&nbsp;<a href="#TAB_LINK#"><b><font size="-1" face="Arial" color="#CCCC99" class="nounderline">#TAB_LABEL#</font></b></a>#TAB_INLINE_EDIT#&nbsp;</td><td width="1%" bgcolor="#336699"><img src="#IMAGE_PREFIX#subtab.gif" alt=""></td>',
  p_non_current_tab_font_attr => '',
  p_top_current_tab=> '<td bgcolor="#336699" width="1%" align="left" valign="top"><img src="#IMAGE_PREFIX#ctab_open.gif" height="21" width="18" border="0" alt=""></td><td width="1%" bgcolor="#336699" nowrap="nowrap"><b><font size="-1" face="Arial" color="#ffffff">#TAB_LABEL#</font></b>#TAB_INLINE_EDIT#</td><td bgcolor="#336699" width="1%" align="right" valign="top"><img src="#IMAGE_PREFIX#ctab_close2.gif" height="21" width="12" border="0" alt=""></td>',
  p_top_current_tab_font_attr => '',
  p_top_non_curr_tab=> '<td bgcolor="#cccc99" width="1%" align="left" valign="top"><img src="#IMAGE_PREFIX#tab_open2.gif" height="21" width="13" border="0" alt=""></td><td width="1%" bgcolor="#cccc99" nowrap="nowrap"><a href="#TAB_LINK#"><font size="-1" face="Arial" color="#000000" class="nounderline">#TAB_LABEL#</font></a>#TAB_INLINE_EDIT#</td><td bgcolor="#cccc99" width="1%" align="right" valign="top"><img src="#IMAGE_PREFIX#tab_close2.gif" height="21" width="10" border="0" alt=""></td>',
  p_top_non_curr_tab_font_attr=> '',
  p_current_image_tab=> '',
  p_non_current_image_tab=> '',
  p_notification_message=> '<center><table width="60%" bgcolor="#CCCC99" border="1" cellspacing="0" cellpadding="0"><tr><td><b>#MESSAGE#</b></td></tr></table></center><br />',
  p_navigation_bar=> '<table cellpadding="0" cellspacing="0" border="0" ><tr><td>&nbsp;&nbsp;</td>#BAR_BODY#</tr></table>',
  p_navbar_entry=> '',
  p_app_tab_before_tabs=>'',
  p_app_tab_current_tab=>'',
  p_app_tab_non_current_tab=>'',
  p_app_tab_after_tabs=>'',
  p_region_table_cattributes=> 'width="100%"',
  p_theme_id  => 101,
  p_required_patch   => null + wwv_flow_api.g_id_offset,
  p_translate_this_template => 'N',
  p_template_comment => '6');
end;
 
null;
 
end;
/

---------------------------------------
prompt  ...Button Templates
--
prompt  ......Button Template 1246824252491886845
declare
  t varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
t:=t||'<table cellpadding="0" cellspacing="0" border="0" style="display:inline;margin-left:6px;"><tr>'||chr(10)||
'<td style="width:15px;"><a href="#LINK#"><img src="#WORKSPACE_IMAGES#sapphire_button_left.png" border="0" alt="" /></a></td><td background="#WORKSPACE_IMAGES#sapphire_button_center.png" nowrap="nowrap"><a href="#LINK#" class="th_buttonhtml">#LABEL#</a></td><td style="width:15px;"><a href="#LINK#"><img sr';

t:=t||'c="#WORKSPACE_IMAGES#sapphire_button_right.png" border="0" alt="" /></a></td></tr></table>'||chr(10)||
'';

wwv_flow_api.create_button_templates (
  p_id=>1246824252491886845 + wwv_flow_api.g_id_offset,
  p_flow_id=>wwv_flow.g_flow_id,
  p_template=>t,
  p_template_name=> 'Sapphire Button',
  p_translate_this_template => 'N',
  p_theme_id  => 101,
  p_template_comment       => '');
end;
/
---------------------------------------
prompt  ...Region Templates
--
prompt  ......Region Template 1246756937831840116
 
begin
 
declare
  t varchar2(32767) := null;
  t2 varchar2(32767) := null;
  t3 varchar2(32767) := null;
  l_clob clob;
  l_clob2 clob;
  l_clob3 clob;
  l_length number := 1;
begin
t:=t||'<table width="100%" border="0" cellspacing="0" cellpadding="0">'||chr(10)||
'  <tr><td valign="bottom" style="border-bottom:1px #3366FF solid;" class="th_tab_region_header">#TITLE#</td></tr>'||chr(10)||
'  <tr><td align="right"><table><tr><td>#CLOSE#</td><td>#PREVIOUS#</td><td>#NEXT#</td><td>#DELETE#</td><td>#CHANGE#</td><td>#EDIT#</td><td>#CREATE#</td><td>#HELP#</td></tr></table></td></tr>'||chr(10)||
'  <tr><td valign="top" class="in';

t:=t||'structiontext" style="padding:0px 10px 0px 10px;">#BODY#</td></tr>'||chr(10)||
'</table>'||chr(10)||
'<br>'||chr(10)||
'';

t2 := null;
wwv_flow_api.create_plug_template (
  p_id       => 1246756937831840116 + wwv_flow_api.g_id_offset,
  p_flow_id  => wwv_flow.g_flow_id,
  p_template => t,
  p_page_plug_template_name=> 'Sapphire Title     ',
  p_plug_table_bgcolor     => '#FFFFFF',
  p_theme_id  => 101,
  p_plug_heading_bgcolor   => '#FFFFFF',
  p_plug_font_size         => '-1',
  p_translate_this_template => 'N',
  p_template_comment       => '');
end;
null;
 
end;
/

 
begin
 
declare
    t2 varchar2(32767) := null;
begin
t2 := null;
wwv_flow_api.set_plug_template_tab_attr (
  p_id=> 1246756937831840116 + wwv_flow_api.g_id_offset,
  p_form_table_attr=> t2 );
exception when others then null;
end;
null;
 
end;
/

prompt  ......Region Template 1245474927907847235
 
begin
 
declare
  t varchar2(32767) := null;
  t2 varchar2(32767) := null;
  t3 varchar2(32767) := null;
  l_clob clob;
  l_clob2 clob;
  l_clob3 clob;
  l_length number := 1;
begin
t:=t||'<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#f7f7e7">'||chr(10)||
'  <tr>'||chr(10)||
'    <td colspan="3"><img src="#IMAGE_PREFIX#upperbox.gif" width="100%" height="14" border="0" alt="" /></td>'||chr(10)||
'  </tr>'||chr(10)||
'  <tr>'||chr(10)||
'    <td width="1%" bgcolor="#cccc99"><img src="#IMAGE_PREFIX#f_spacer.gif" width="1%" height="1" alt="" /></td>'||chr(10)||
'    <td width="99%" valign="top">'||chr(10)||
'      <table border="0" cellpadding="0" c';

t:=t||'ellspacing="2" width="99%">'||chr(10)||
'        <tr>'||chr(10)||
'          <td width="2%"></td>'||chr(10)||
'          <td width="96%"><img src="#IMAGE_PREFIX#info_icon.gif" alt="" /><span class="th_tab_region_header">#TITLE#</span><br />'||chr(10)||
'            <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#cccc99">'||chr(10)||
'              <tr>'||chr(10)||
'                <td width="100%" height="1"><img src="#IMAGE_PREFIX#f_spacer.gif" wid';

t:=t||'th="1%" height="1" alt="" /></td>'||chr(10)||
'              </tr>'||chr(10)||
'            </table>'||chr(10)||
'          </td>'||chr(10)||
'          <td width="2%"></td>'||chr(10)||
'        </tr>'||chr(10)||
'        <tr>'||chr(10)||
'          <td width="2%"></td>'||chr(10)||
'          <td width="96%">'||chr(10)||
'            <div class="infobox">#BODY#</div>'||chr(10)||
'          </td>'||chr(10)||
'          <td width="2%"></td>'||chr(10)||
'        </tr>'||chr(10)||
'      </table>'||chr(10)||
'    </td>'||chr(10)||
'    <td width="1%" bgcolor="#cccc99"><img src="#IMAGE_PREFIX#';

t:=t||'f_spacer.gif" width="1%" height="1" alt="" /></td>'||chr(10)||
'  </tr>'||chr(10)||
'  <tr>'||chr(10)||
'    <td colspan="3"><img src="#IMAGE_PREFIX#lowerbox.gif" width="100%" height="13" border="0" alt="" /></td>'||chr(10)||
'  </tr>'||chr(10)||
'</table>'||chr(10)||
'<br />'||chr(10)||
'';

t2 := null;
wwv_flow_api.create_plug_template (
  p_id       => 1245474927907847235 + wwv_flow_api.g_id_offset,
  p_flow_id  => wwv_flow.g_flow_id,
  p_template => t,
  p_page_plug_template_name=> 'Sapphire Rounded            ',
  p_plug_table_bgcolor     => '#F7F7E7',
  p_theme_id  => 101,
  p_plug_heading_bgcolor   => '#F7F7E7',
  p_plug_font_size         => '-1',
  p_translate_this_template => 'N',
  p_template_comment       => '');
end;
null;
 
end;
/

 
begin
 
declare
    t2 varchar2(32767) := null;
begin
t2 := null;
wwv_flow_api.set_plug_template_tab_attr (
  p_id=> 1245474927907847235 + wwv_flow_api.g_id_offset,
  p_form_table_attr=> t2 );
exception when others then null;
end;
null;
 
end;
/

prompt  ......Region Template 1246555551819688014
 
begin
 
declare
  t varchar2(32767) := null;
  t2 varchar2(32767) := null;
  t3 varchar2(32767) := null;
  l_clob clob;
  l_clob2 clob;
  l_clob3 clob;
  l_length number := 1;
begin
t:=t||'<table border="0" cellpadding="0" cellspacing="0" class="th_region" summary="region">'||chr(10)||
'<tr>'||chr(10)||
' <td class="th_tab_region_header" align="center" nowrap="nowrap">#TITLE#</td>'||chr(10)||
'</tr>'||chr(10)||
'<tr>'||chr(10)||
' <td class="th_tab_region_header" align="center" nowrap="nowrap">#EDIT#</td>'||chr(10)||
'</tr>'||chr(10)||
'  <tr>'||chr(10)||
'    <td bgcolor="#000000">'||chr(10)||
'      <table width="100%" border="0" cellpadding="0" cellspacing="1">'||chr(10)||
'       <tr><td bgcolor="#ffffff">';

t:=t||'#BODY#</td></tr>'||chr(10)||
'      </table>'||chr(10)||
'    </td>'||chr(10)||
'  </tr>'||chr(10)||
'</table>'||chr(10)||
'<br />'||chr(10)||
'';

t2 := null;
wwv_flow_api.create_plug_template (
  p_id       => 1246555551819688014 + wwv_flow_api.g_id_offset,
  p_flow_id  => wwv_flow.g_flow_id,
  p_template => t,
  p_page_plug_template_name=> 'Sapphire Region',
  p_plug_table_bgcolor     => '',
  p_theme_id  => 101,
  p_plug_heading_bgcolor   => '',
  p_plug_font_size         => '',
  p_translate_this_template => 'N',
  p_template_comment       => '');
end;
null;
 
end;
/

 
begin
 
declare
    t2 varchar2(32767) := null;
begin
t2 := null;
wwv_flow_api.set_plug_template_tab_attr (
  p_id=> 1246555551819688014 + wwv_flow_api.g_id_offset,
  p_form_table_attr=> t2 );
exception when others then null;
end;
null;
 
end;
/

prompt  ......Region Template 1135160554484532625
 
begin
 
declare
  t varchar2(32767) := null;
  t2 varchar2(32767) := null;
  t3 varchar2(32767) := null;
  l_clob clob;
  l_clob2 clob;
  l_clob3 clob;
  l_length number := 1;
begin
t:=t||'<table width="100%" border="0" cellspacing="0" cellpadding="0">'||chr(10)||
'  <tr><td valign="bottom" style="border-bottom:1px #A4A471 solid;" class="header">#TITLE#</td></tr>'||chr(10)||
'  <tr><td align="right"><table><tr><td>#CLOSE#</td><td>#PREVIOUS#</td><td>#NEXT#</td><td>#DELETE#</td><td>#CHANGE#</td><td>#EDIT#</td><td>#CREATE#</td><td>#HELP#</td></tr></table></td></tr>'||chr(10)||
'  <tr><td valign="top" class="instructiontext"';

t:=t||' style="padding:0px 10px 0px 10px;">#BODY#</td></tr>'||chr(10)||
'</table>'||chr(10)||
'';

t2 := null;
wwv_flow_api.create_plug_template (
  p_id       => 1135160554484532625 + wwv_flow_api.g_id_offset,
  p_flow_id  => wwv_flow.g_flow_id,
  p_template => t,
  p_page_plug_template_name=> 'Lg. Blue Title     ',
  p_plug_table_bgcolor     => '#FFFFFF',
  p_theme_id  => 101,
  p_plug_heading_bgcolor   => '#FFFFFF',
  p_plug_font_size         => '-1',
  p_translate_this_template => 'N',
  p_template_comment       => '');
end;
null;
 
end;
/

 
begin
 
declare
    t2 varchar2(32767) := null;
begin
t2 := null;
wwv_flow_api.set_plug_template_tab_attr (
  p_id=> 1135160554484532625 + wwv_flow_api.g_id_offset,
  p_form_table_attr=> t2 );
exception when others then null;
end;
null;
 
end;
/

prompt  ......Region Template 1135160671034532625
 
begin
 
declare
  t varchar2(32767) := null;
  t2 varchar2(32767) := null;
  t3 varchar2(32767) := null;
  l_clob clob;
  l_clob2 clob;
  l_clob3 clob;
  l_length number := 1;
begin
t:=t||'<table border="0" cellpadding="1" cellspacing="0" width="300">'||chr(10)||
'<tr><td bgcolor="#cccc99"><table border="0" cellpadding="1" cellspacing="0" width="100%" bgcolor="#CCCC99"><tr> <td><font class="regionheader">&nbsp;&nbsp;<b>#TITLE#</b></font></td><td align="right" valign="bottom"></td></tr></table><table border="0" cellpadding="3" cellspacing="0" width="100%" bgcolor="#FFFFFF"><tr><td><table border="';

t:=t||'0" cellpadding="5" cellspacing="0" width="100%"><tr><td height="25"><span class="instructiontext">#BODY#</span></td></tr><tr><td><img src="#IMAGE_PREFIX#blank.gif" border="0" height="1" width="200" alt="" /></td></tr></table></td></tr></table></td></tr></table><table cellspacing="3"><tr><td></td></tr></table>';

t2 := null;
wwv_flow_api.create_plug_template (
  p_id       => 1135160671034532625 + wwv_flow_api.g_id_offset,
  p_flow_id  => wwv_flow.g_flow_id,
  p_template => t,
  p_page_plug_template_name=> 'Tan head,white back',
  p_plug_table_bgcolor     => '#FFFFFF',
  p_theme_id  => 101,
  p_plug_heading_bgcolor   => '#FFFFFF',
  p_plug_font_size         => '-1',
  p_translate_this_template => 'N',
  p_template_comment       => '');
end;
null;
 
end;
/

 
begin
 
declare
    t2 varchar2(32767) := null;
begin
t2 := null;
wwv_flow_api.set_plug_template_tab_attr (
  p_id=> 1135160671034532625 + wwv_flow_api.g_id_offset,
  p_form_table_attr=> t2 );
exception when others then null;
end;
null;
 
end;
/

prompt  ......Region Template 1135160457661532625
 
begin
 
declare
  t varchar2(32767) := null;
  t2 varchar2(32767) := null;
  t3 varchar2(32767) := null;
  l_clob clob;
  l_clob2 clob;
  l_clob3 clob;
  l_length number := 1;
begin
t:=t||'<table border="0" cellpadding="0" cellspacing="0" width="218" bgcolor="#f7f7e7">'||chr(10)||
'  <tr>'||chr(10)||
'    <td colspan="3"><img src="#IMAGE_PREFIX#upperbox.gif" width="218" height="14" border="0" alt="" /></td>'||chr(10)||
'  </tr>'||chr(10)||
'  <tr>'||chr(10)||
'    <td width="1" bgcolor="#cccc99"><img src="#IMAGE_PREFIX#f_spacer.gif" width="1" height="1" alt="" /></td>'||chr(10)||
'    <td width="216" valign="top">'||chr(10)||
'      <table border="0" cellpadding="0" cells';

t:=t||'pacing="2" width="216">'||chr(10)||
'        <tr>'||chr(10)||
'          <td width="2"></td>'||chr(10)||
'          <td width="212"><img src="#IMAGE_PREFIX#info_icon.gif" alt="" /><span class="tab3heading">#TITLE#</span><br />'||chr(10)||
'            <table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#cccc99">'||chr(10)||
'              <tr>'||chr(10)||
'                <td width="100%" height="1"><img src="#IMAGE_PREFIX#f_spacer.gif" width="1" height=';

t:=t||'"1" alt="" /></td>'||chr(10)||
'              </tr>'||chr(10)||
'            </table>'||chr(10)||
'          </td>'||chr(10)||
'          <td width="2"></td>'||chr(10)||
'        </tr>'||chr(10)||
'        <tr>'||chr(10)||
'          <td width="2"></td>'||chr(10)||
'          <td width="212">'||chr(10)||
'            <div class="infobox">#BODY#</div>'||chr(10)||
'          </td>'||chr(10)||
'          <td width="2"></td>'||chr(10)||
'        </tr>'||chr(10)||
'      </table>'||chr(10)||
'    </td>'||chr(10)||
'    <td width="1" bgcolor="#cccc99"><img src="#IMAGE_PREFIX#f_spacer.gif" width';

t:=t||'="1" height="1" alt="" /></td>'||chr(10)||
'  </tr>'||chr(10)||
'  <tr>'||chr(10)||
'    <td colspan="3"><img src="#IMAGE_PREFIX#lowerbox.gif" width="218" height="13" border="0" alt="" /></td>'||chr(10)||
'  </tr>'||chr(10)||
'</table>'||chr(10)||
'<br />'||chr(10)||
'';

t2 := null;
wwv_flow_api.create_plug_template (
  p_id       => 1135160457661532625 + wwv_flow_api.g_id_offset,
  p_flow_id  => wwv_flow.g_flow_id,
  p_template => t,
  p_page_plug_template_name=> 'Rounded            ',
  p_plug_table_bgcolor     => '#F7F7E7',
  p_theme_id  => 101,
  p_plug_heading_bgcolor   => '#F7F7E7',
  p_plug_font_size         => '-1',
  p_translate_this_template => 'N',
  p_template_comment       => '');
end;
null;
 
end;
/

 
begin
 
declare
    t2 varchar2(32767) := null;
begin
t2 := null;
wwv_flow_api.set_plug_template_tab_attr (
  p_id=> 1135160457661532625 + wwv_flow_api.g_id_offset,
  p_form_table_attr=> t2 );
exception when others then null;
end;
null;
 
end;
/

prompt  ......Region Template 1135160841652532625
 
begin
 
declare
  t varchar2(32767) := null;
  t2 varchar2(32767) := null;
  t3 varchar2(32767) := null;
  l_clob clob;
  l_clob2 clob;
  l_clob3 clob;
  l_length number := 1;
begin
t:=t||'<table border="0" cellpadding="0" cellspacing="0" width="100%">'||chr(10)||
'  <tr>'||chr(10)||
'    <td><table width="120" border="0" cellpadding="0" cellspacing="0" align="left"><tr>'||chr(10)||
'        <td width="10" valign="top" align="left" bgcolor="#336699"><img src="#IMAGE_PREFIX#left_top_curve.gif" width="10" height="10" border="0" alt="" /></td>'||chr(10)||
'        <td nowrap="nowrap" bgcolor="#336699" style="padding: 3px; color:#ffffff;';

t:=t||' font-size:10pt; font-weight:bold;" align="center">#TITLE#</td>'||chr(10)||
'        <td width="10" valign="top" align="right" bgcolor="#336699"><img src="#IMAGE_PREFIX#right_top_curve.gif" width="10" height="10" border="0" alt="" /></td></tr></table></td>'||chr(10)||
'      <td align="right"><table><tr><td>#CLOSE#</td><td>#PREVIOUS#</td><td>#NEXT#</td><td>#DELETE#</td><td>#CHANGE#</td><td>#EDIT#</td><td>#DELETE#</td><td>#';

t:=t||'CREATE#</td><td>#HELP#</td></tr></table></td>'||chr(10)||
'  </tr>'||chr(10)||
'  <tr>'||chr(10)||
'    <td bgcolor="#336699" colspan="2">'||chr(10)||
'      <table width="100%" border="0" cellpadding="1" cellspacing="1"><tr>'||chr(10)||
'        <td width="100%" bgcolor="#ffffff" style="padding:1px 0px 1px 4px;font-size:10pt;">#BODY#</td></tr>'||chr(10)||
'      </table>'||chr(10)||
'    </td>'||chr(10)||
'  </tr>'||chr(10)||
'</table>'||chr(10)||
'<br />'||chr(10)||
'';

t2 := null;
wwv_flow_api.create_plug_template (
  p_id       => 1135160841652532625 + wwv_flow_api.g_id_offset,
  p_flow_id  => wwv_flow.g_flow_id,
  p_template => t,
  p_page_plug_template_name=> 'Tab Title,100%     ',
  p_plug_table_bgcolor     => '',
  p_theme_id  => 101,
  p_plug_heading_bgcolor   => '',
  p_plug_font_size         => '',
  p_translate_this_template => 'N',
  p_template_comment       => 'Outline, tab-title, 100%');
end;
null;
 
end;
/

 
begin
 
declare
    t2 varchar2(32767) := null;
begin
t2 := null;
wwv_flow_api.set_plug_template_tab_attr (
  p_id=> 1135160841652532625 + wwv_flow_api.g_id_offset,
  p_form_table_attr=> t2 );
exception when others then null;
end;
null;
 
end;
/

prompt  ......Region Template 1135160742387532625
 
begin
 
declare
  t varchar2(32767) := null;
  t2 varchar2(32767) := null;
  t3 varchar2(32767) := null;
  l_clob clob;
  l_clob2 clob;
  l_clob3 clob;
  l_length number := 1;
begin
t:=t||'<table border="0" cellpadding="1" cellspacing="0" width="600"><tr><td bgcolor="#cccccc"><table border="0" cellpadding="1" cellspacing="0" width="100%" class="tableheader" ><tr><td>&nbsp;<b><font color="#336699" size="-1">#TITLE#</font></b></td><td height="30" align="right" valign="middle">#CLOSE#&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;#PREVIOUS##NEXT##CREATE#&nbsp;</td></tr></table><table border="0" c';

t:=t||'ellpadding="3" cellspacing="0" width="100%" bgcolor="#F7F7E7"><tr><td><table border="0" cellpadding="0" cellspacing="0" width="100%"><tr><td height="25">#BODY#</td></tr></table></td></tr></table></td></tr></table><table Cellspacing="3" border="0"><tr><td></td></tr></table>';

t2 := null;
wwv_flow_api.create_plug_template (
  p_id       => 1135160742387532625 + wwv_flow_api.g_id_offset,
  p_flow_id  => wwv_flow.g_flow_id,
  p_template => t,
  p_page_plug_template_name=> 'Wizard Box         ',
  p_plug_table_bgcolor     => '#f7f7e7',
  p_theme_id  => 101,
  p_plug_heading_bgcolor   => '#f7f7e7',
  p_plug_font_size         => '-1',
  p_translate_this_template => 'N',
  p_template_comment       => '');
end;
null;
 
end;
/

 
begin
 
declare
    t2 varchar2(32767) := null;
begin
t2 := null;
wwv_flow_api.set_plug_template_tab_attr (
  p_id=> 1135160742387532625 + wwv_flow_api.g_id_offset,
  p_form_table_attr=> t2 );
exception when others then null;
end;
null;
 
end;
/

---------------------------------------
prompt  ...List Templates
--
prompt  ......List Template 1135162364204532627
 
begin
 
declare
  t varchar2(32767) := null;
  t2 varchar2(32767) := null;
  t3 varchar2(32767) := null;
  t4 varchar2(32767) := null;
  t5 varchar2(32767) := null;
  t6 varchar2(32767) := null;
  t7 varchar2(32767) := null;
  t8 varchar2(32767) := null;
  l_clob clob;
  l_clob2 clob;
  l_clob3 clob;
  l_clob4 clob;
  l_clob5 clob;
  l_clob6 clob;
  l_clob7 clob;
  l_clob8 clob;
  l_length number := 1;
begin
t:=t||'<li><a href="#LINK#" style="font-weight:bold;" class="list">#TEXT#</a></li>'||chr(10)||
'';

t2:=t2||'<li><a href="#LINK#" class="list">#TEXT#</a></li>'||chr(10)||
'';

t3 := null;
t4 := null;
t5 := null;
t6 := null;
t7 := null;
t8 := null;
wwv_flow_api.create_list_template (
  p_id=>1135162364204532627 + wwv_flow_api.g_id_offset,
  p_flow_id=>wwv_flow.g_flow_id,
  p_list_template_current=>t,
  p_list_template_noncurrent=> t2,
  p_list_template_name=>'Standard Unordered List',
  p_theme_id  => 101,
  p_list_template_before_rows=>'<ul class="noIndent">',
  p_list_template_after_rows=>'</ul>',
  p_translate_this_template => 'N',
  p_list_template_comment=>'');
end;
null;
 
end;
/

---------------------------------------
prompt  ...Report Templates
--
prompt  ......Row Template 1246592133988720648
 
begin
 
declare
  c1 varchar2(32767) := null;
  c2 varchar2(32767) := null;
  c3 varchar2(32767) := null;
  c4 varchar2(32767) := null;
begin
c1:=c1||'<td class="th_row_odd" #ALIGNMENT#>#COLUMN_VALUE#</td>';

c2:=c2||'<td class="th_row_even" #ALIGNMENT#>#COLUMN_VALUE#</td>';

c3 := null;
c4 := null;
wwv_flow_api.create_row_template (
  p_id=> 1246592133988720648 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_row_template_name=> 'Sapphire Alternating Report',
  p_row_template1=> c1,
  p_row_template_condition1=> '',
  p_row_template2=> c2,
  p_row_template_condition2=> '',
  p_row_template3=> c3,
  p_row_template_condition3=> '',
  p_row_template4=> c4,
  p_row_template_condition4=> '',
  p_row_template_before_rows=>'<table class="th_report_table" cellpadding="0" cellspacing="0" width="100%" border="0" summary="">',
  p_row_template_after_rows =>'</table>',
  p_row_template_table_attr =>'OMIT',
  p_row_template_type =>'GENERIC_COLUMNS',
  p_column_heading_template =>'<th class="th_th_report" nowrap="nowrap" #ALIGNMENT#>#COLUMN_HEADER#</th>',
  p_row_template_display_cond1=>'ODD_ROW_NUMBERS',
  p_row_template_display_cond2=>'EVEN_ROW_NUMBERS',
  p_row_template_display_cond3=>'0',
  p_row_template_display_cond4=>'ODD_ROW_NUMBERS',
  p_theme_id  => 101,
  p_translate_this_template => 'N',
  p_row_template_comment=> '');
end;
null;
 
end;
/

prompt  ......Row Template 1135164456655532656
 
begin
 
declare
  c1 varchar2(32767) := null;
  c2 varchar2(32767) := null;
  c3 varchar2(32767) := null;
  c4 varchar2(32767) := null;
begin
c1:=c1||'<td#ALIGNMENT#>#COLUMN_VALUE#</td>';

c2:=c2||'<td class="alt"#ALIGNMENT#>#COLUMN_VALUE#</td>';

c3 := null;
c4 := null;
wwv_flow_api.create_row_template (
  p_id=> 1135164456655532656 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_row_template_name=> 'alternating-color-rows',
  p_row_template1=> c1,
  p_row_template_condition1=> '',
  p_row_template2=> c2,
  p_row_template_condition2=> '',
  p_row_template3=> c3,
  p_row_template_condition3=> '',
  p_row_template4=> c4,
  p_row_template_condition4=> '',
  p_row_template_before_rows=>'<table class="default1">#TOP_PAGINATION#',
  p_row_template_after_rows =>'</table>',
  p_row_template_table_attr =>'OMIT',
  p_row_template_type =>'GENERIC_COLUMNS',
  p_column_heading_template =>'<td#ALIGNMENT#>#COLUMN_HEADER#</td>',
  p_row_template_display_cond1=>'ODD_ROW_NUMBERS',
  p_row_template_display_cond2=>'NOT_CONDITIONAL',
  p_row_template_display_cond3=>'NOT_CONDITIONAL',
  p_row_template_display_cond4=>'ODD_ROW_NUMBERS',
  p_theme_id  => 101,
  p_translate_this_template => 'N',
  p_row_template_comment=> '');
end;
null;
 
end;
/

---------------------------------------
prompt  ...Label Templates
--
prompt  ......Field Template 1135159249430532623
 
begin
 
begin
wwv_flow_api.create_field_template (
  p_id=> 1135159249430532623 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_template_name=>'FormField_Required',
  p_template_body1=>'<label for="#CURRENT_ITEM_NAME#" tabindex="999"><img src="#IMAGE_PREFIX#requiredicon_status2.gif" alt="Required Field Icon" tabindex="999" /><a class="itemLabel" href="javascript:popupFieldHelp(''#CURRENT_ITEM_ID#'',''&SESSION.'')" tabindex="999">',
  p_template_body2=>'</a></label>',
  p_on_error_before_label=>'',
  p_on_error_after_label=>'',
  p_theme_id  => 101,
  p_translate_this_template=> 'N',
  p_template_comment=> '');
end;
null;
 
end;
/

prompt  ......Field Template 1246332130853568390
 
begin
 
begin
wwv_flow_api.create_field_template (
  p_id=> 1246332130853568390 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_template_name=>'White Message',
  p_template_body1=>'<label for="#CURRENT_ITEM_NAME#" tabindex="999"><a class="itemLabel" href="javascript:popupFieldHelp(''#CURRENT_ITEM_ID#'',''&SESSION.'')" tabindex="999" font color="#FFFFFF">',
  p_template_body2=>'</a></label>',
  p_on_error_before_label=>'',
  p_on_error_after_label=>'',
  p_theme_id  => 101,
  p_translate_this_template=> 'N',
  p_template_comment=> '');
end;
null;
 
end;
/

prompt  ......Field Template 1135159145247532623
 
begin
 
begin
wwv_flow_api.create_field_template (
  p_id=> 1135159145247532623 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_template_name=>'FormField_Nonrequired',
  p_template_body1=>'<label for="#CURRENT_ITEM_NAME#" tabindex="999"><a class="itemLabel" href="javascript:popupFieldHelp(''#CURRENT_ITEM_ID#'',''&SESSION.'')" tabindex="999">',
  p_template_body2=>'</a></label>',
  p_on_error_before_label=>'',
  p_on_error_after_label=>'',
  p_theme_id  => 101,
  p_translate_this_template=> 'N',
  p_template_comment=> '');
end;
null;
 
end;
/

---------------------------------------
prompt  ...Breadcrumb Templates
--
prompt  ......Breadcrumb Template 1135162545228532627
 
begin
 
begin
wwv_flow_api.create_menu_template (
  p_id=> 1135162545228532627 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_name=>'menu list',
  p_before_first=>'<ul class="noIndent">',
  p_current_page_option=>'<li><a href="#LINK#">#NAME#</a></li>',
  p_non_current_page_option=>'<li><a href="#LINK#">#NAME#</a></li>',
  p_menu_link_attributes=>'',
  p_between_levels=>'',
  p_after_last=>'</ul>',
  p_max_levels=>11,
  p_start_with_node=>'CHILD_MENU',
  p_theme_id  => 101,
  p_translate_this_template => 'N',
  p_template_comments=>'');
end;
null;
 
end;
/

prompt  ......Breadcrumb Template 1135162456437532627
 
begin
 
begin
wwv_flow_api.create_menu_template (
  p_id=> 1135162456437532627 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_name=>'breadcrumbs',
  p_before_first=>'<span class="instructiontext">',
  p_current_page_option=>'#NAME#',
  p_non_current_page_option=>'<a href="#LINK#">#NAME#</a>',
  p_menu_link_attributes=>'',
  p_between_levels=>'&nbsp;&gt;&nbsp;',
  p_after_last=>'</span>',
  p_max_levels=>12,
  p_start_with_node=>'PARENT_TO_LEAF',
  p_theme_id  => 101,
  p_translate_this_template => 'N',
  p_template_comments=>'');
end;
null;
 
end;
/

---------------------------------------
prompt  ...Popup List of Values Templates
--
prompt  ......Popup LOV Template 1135164543556532669
 
begin
 
begin
wwv_flow_api.create_popup_lov_template (
  p_id=> 1135164543556532669 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_popup_icon=>'#IMAGE_PREFIX#list.gif',
  p_popup_icon_attr=>'width="13" height="13"',
  p_page_name=>'winlov',
  p_page_title=>'Search Dialog',
  p_page_html_head=>'<link rel="stylesheet" href="#WORKSPACE_IMAGES#main2.css" type="text/css">'||chr(10)||
'',
  p_page_body_attr=>'OnLoad="first_field()" style="margin:0;"',
  p_before_field_text=>' ',
  p_page_heading_text=>'<table width="100%" cellspacing="0" cellpadding="0"><tr><td>'||chr(10)||
'<div class="popupBlue">',
  p_page_footer_text =>'</center></td></tr></table>',
  p_filter_width     =>'20',
  p_filter_max_width =>'100',
  p_filter_text_attr =>'',
  p_find_button_text =>'Search',
  p_find_button_image=>'',
  p_find_button_attr =>'class="button10"',
  p_close_button_text=>'Close',
  p_close_button_image=>'',
  p_close_button_attr=>'class="button10"',
  p_next_button_text =>'Next >',
  p_next_button_image=>'',
  p_next_button_attr =>'class="button8_69c"',
  p_prev_button_text =>'< Previous',
  p_prev_button_image=>'',
  p_prev_button_attr =>'class="button8_69c"',
  p_after_field_text=>'</div><br />',
  p_scrollbars=>'1',
  p_resizable=>'1',
  p_width =>'400',
  p_height=>'450',
  p_result_row_x_of_y=>'<br /><div style="padding:2px; font-size:8pt;">Row(s) #FIRST_ROW# - #LAST_ROW#</div><center>',
  p_result_rows_per_pg=>10,
  p_before_result_set=>'<div style="padding-left:6px;">',
  p_theme_id  => 101,
  p_translate_this_template => 'N',
  p_after_result_set   =>'</div>');
end;
null;
 
end;
/

---------------------------------------
prompt  ...Calendar Templates
--
---------------------------------------
prompt  ...Application Themes
--
prompt  ......Theme 1079802953606488563
begin
wwv_flow_api.create_theme (
  p_id                        =>1079802953606488563 + wwv_flow_api.g_id_offset,
  p_flow_id                   =>wwv_flow.g_flow_id,
  p_theme_id  => 101,
  p_theme_name=>'Saphires',
  p_default_page_template=>1245068046305425259 + wwv_flow_api.g_id_offset,
  p_error_template=>1135157468037532621 + wwv_flow_api.g_id_offset,
  p_printer_friendly_template=>1135157468037532621 + wwv_flow_api.g_id_offset,
  p_breadcrumb_display_point=>'',
  p_sidebar_display_point=>'',
  p_login_template            =>null + wwv_flow_api.g_id_offset,
  p_default_button_template   =>1246824252491886845 + wwv_flow_api.g_id_offset,
  p_default_region_template   =>1246756937831840116 + wwv_flow_api.g_id_offset,
  p_default_chart_template    =>null + wwv_flow_api.g_id_offset,
  p_default_form_template     =>null + wwv_flow_api.g_id_offset,
  p_default_reportr_template => null,
  p_default_tabform_template  =>null + wwv_flow_api.g_id_offset,
  p_default_wizard_template   =>null + wwv_flow_api.g_id_offset,
  p_default_menur_template    =>null + wwv_flow_api.g_id_offset,
  p_default_listr_template    =>null + wwv_flow_api.g_id_offset,
  p_default_report_template   =>1246592133988720648 + wwv_flow_api.g_id_offset,
  p_default_label_template    =>1135159145247532623 + wwv_flow_api.g_id_offset,
  p_default_menu_template     =>1135162456437532627 + wwv_flow_api.g_id_offset,
  p_default_calendar_template =>null + wwv_flow_api.g_id_offset,
  p_default_list_template     =>1135162364204532627 + wwv_flow_api.g_id_offset,
  p_default_option_label      =>null + wwv_flow_api.g_id_offset,
  p_default_required_label    =>null + wwv_flow_api.g_id_offset);
end;
/
---------------------------------------
prompt  ...Build Options used by APPLICATION 42876
--
 
begin
 
wwv_flow_api.create_build_option (
  p_id     => 1258416841377875293 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_build_option_name   => 'TestFields',
  p_build_option_status => 'INCLUDE',
  p_default_on_export=>'INCLUDE',
  p_build_option_comment=> 'Use for testfields that you do not want displayed when application is deployed.');
 
end;
/

---------------------------------------
prompt  ...Messages Used by Application: 42876
--
---------------------------------------
prompt  ...Language Maps for Application 42876
--
 
begin
 
null;
 
end;
/

---------------------------------------
prompt  ...Shortcuts
--
 
begin
 
null;
 
end;
/

---------------------------------------
prompt  ...Configurations for application42876
--
 
begin
 
null;
 
end;
/

---------------------------------------
prompt  ...WEB SERVICES (9iR2 or better)
--
declare
    p1 varchar2(32767) := null;
    p2 varchar2(32767) := null;
    p3 varchar2(32767) := null;
    l_clob1 clob;
    l_clob2 clob;
    l_clob3 clob;
    l_length number := 1;
begin
p1:=p1||'<?xml version="1.0" encoding="UTF-8" ?> '||chr(10)||
'- <SOAP-ENV:Envelope SOAP-ENV:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ns0="capeconnect:GlobalWeather:GlobalWeather" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">'||chr(10)||
'-';

p1:=p1||' <SOAP-ENV:Body>'||chr(10)||
'- <ns0:getWeatherReport>'||chr(10)||
'  <code xsi:type="xsd:string">CYVR</code> '||chr(10)||
'  </ns0:getWeatherReport>'||chr(10)||
'  </SOAP-ENV:Body>'||chr(10)||
'  </SOAP-ENV:Envelope>';

p2 := null;
p3:=p3||'<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">'||chr(10)||
'<xsl:output method="html"/>'||chr(10)||
'<xsl:template match="/">'||chr(10)||
'    <p/><xsl:value-of select="//station/name"/>'||chr(10)||
'    <p/>Date/Time of report: <xsl:value-of select="//timestamp"/>'||chr(10)||
'    <p/>Temperature: <xsl:value-of select="//temperature/string"/>'||chr(10)||
'    <p/>Wind: <xsl:value-of select="//wind/string"/>'||chr(10)||
'    <p/>Visability: <xsl:value-of';

p3:=p3||' select="//visibility/string"/>'||chr(10)||
'</xsl:template>'||chr(10)||
'</xsl:stylesheet>';

wwv_flow_api.create_web_service(
  p_id => 1257434842260588647 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_name=>'Weather',
  p_url=>'http://live.capescience.com/ccx/GlobalWeather',
  p_action=>'capeconnect:GlobalWeather:GlobalWeather#getWeatherReport ',
  p_proxy_override=>'',
  p_soap_envelope=>p1,
  p_flow_items_comma_delimited=>p2,
  p_stylesheet=>p3,
  p_static_parm_01=>'',
  p_static_parm_02=>'',
  p_static_parm_03=>'',
  p_static_parm_04=>'',
  p_static_parm_05=>'',
  p_static_parm_06=>'',
  p_static_parm_07=>'',
  p_static_parm_08=>'',
  p_static_parm_09=>'',
  p_static_parm_10=>'',
  p_reference_id=>'');
 
end;
/
---------------------------------------
prompt  ...Authorization Schemes
--
prompt  ......Authentication Schemes 1135165162408532688
 
begin
 
declare
  s1 varchar2(32767) := null;
  s2 varchar2(32767) := null;
  s3 varchar2(32767) := null;
  s4 varchar2(32767) := null;
  s5 varchar2(32767) := null;
begin
s1 := null;
s2 := null;
s3 := null;
s4:=s4||'-BUILTIN-';

s5 := null;
wwv_flow_api.create_auth_setup (
  p_id=> 1135165162408532688 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_name=> 'HTML DB',
  p_description=>'Use internal "cookie user" account credentials and login page in this flow.',
  p_page_sentry_function=> s1,
  p_sess_verify_function=> s2,
  p_pre_auth_process=> s3,
  p_auth_function=> s4,
  p_post_auth_process=> s5,
  p_invalid_session_page=>'101',
  p_invalid_session_url=>'',
  p_cookie_name=>'',
  p_cookie_path=>'',
  p_cookie_domain=>'',
  p_ldap_host=>'',
  p_ldap_port=>'',
  p_ldap_string=>'',
  p_attribute_01=>'',
  p_attribute_02=>'wwv_flow_custom_auth_std.logout?p_this_flow=&APP_ID.&p_next_flow_page_sess=&APP_ID.:1:&SESSION.',
  p_attribute_03=>'',
  p_attribute_04=>'',
  p_attribute_05=>'',
  p_attribute_06=>'',
  p_attribute_07=>'',
  p_attribute_08=>'',
  p_required_patch=>'');
end;
null;
 
end;
/

prompt  ......Authentication Schemes 1135165250589532691
 
begin
 
declare
  s1 varchar2(32767) := null;
  s2 varchar2(32767) := null;
  s3 varchar2(32767) := null;
  s4 varchar2(32767) := null;
  s5 varchar2(32767) := null;
begin
s1:=s1||'-DATABASE-';

s2 := null;
s3 := null;
s4 := null;
s5 := null;
wwv_flow_api.create_auth_setup (
  p_id=> 1135165250589532691 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_name=> 'DATABASE',
  p_description=>'Use database authentication (user identified by DAD).',
  p_page_sentry_function=> s1,
  p_sess_verify_function=> s2,
  p_pre_auth_process=> s3,
  p_auth_function=> s4,
  p_post_auth_process=> s5,
  p_invalid_session_page=>'',
  p_invalid_session_url=>'',
  p_cookie_name=>'',
  p_cookie_path=>'',
  p_cookie_domain=>'',
  p_ldap_host=>'',
  p_ldap_port=>'',
  p_ldap_string=>'',
  p_attribute_01=>'',
  p_attribute_02=>'',
  p_attribute_03=>'',
  p_attribute_04=>'',
  p_attribute_05=>'',
  p_attribute_06=>'',
  p_attribute_07=>'',
  p_attribute_08=>'',
  p_required_patch=>'');
end;
null;
 
end;
/

prompt  ......Authentication Schemes 1136646748148327091
 
begin
 
declare
  s1 varchar2(32767) := null;
  s2 varchar2(32767) := null;
  s3 varchar2(32767) := null;
  s4 varchar2(32767) := null;
  s5 varchar2(32767) := null;
begin
s1:=s1||'-DATABASE-';

s2 := null;
s3 := null;
s4 := null;
s5 := null;
wwv_flow_api.create_auth_setup (
  p_id=> 1136646748148327091 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_name=> 'Public',
  p_description=>'Based on authentication scheme from gallery:',
  p_page_sentry_function=> s1,
  p_sess_verify_function=> s2,
  p_pre_auth_process=> s3,
  p_auth_function=> s4,
  p_post_auth_process=> s5,
  p_invalid_session_page=>'',
  p_invalid_session_url=>'',
  p_cookie_name=>'',
  p_cookie_path=>'',
  p_cookie_domain=>'',
  p_ldap_host=>'',
  p_ldap_port=>'',
  p_ldap_string=>'',
  p_attribute_01=>'',
  p_attribute_02=>'',
  p_attribute_03=>'',
  p_attribute_04=>'',
  p_attribute_05=>'',
  p_attribute_06=>'',
  p_attribute_07=>'',
  p_attribute_08=>'',
  p_required_patch=>'');
end;
null;
 
end;
/

---------------------------------------
prompt  ...Application Entry Points
--
 
begin
 
null;
 
end;
/

commit;
commit;
begin 
execute immediate 'alter session set nls_numeric_characters='''||wwv_flow_api.g_nls_numeric_chars||'''';
end;
/
set verify on
set feedback on
prompt  ...done
